/***************************************************************************
                         FILE INFORMATION HEADER

   FILE NAME:          SYN_DEF.H

   PROJECT NAME:       CNC 2801

   COMPONENT NAME:     Header file

   FUNCTION(s) NAME:

   DESCRIPTION:        Definisce i nuovi SINONIMI del CN

   DOCUMENT REFERENCE:

   PROGRAMMER NAME(s):  Galli Raffaele
   DATE (INITIAL):      25-05-2005
   VERSION HISTORY:

   MODIFICHE per RELEASE cnc 2801 V4.01.3

      25-05-2005   -   GALLI

         MODIFICATION:
            Modulo implementato

   MODIFICHE per RELEASE cnc 2801 V5.00.000

      07-11-2005   -   GALLI

         MODIFICATION:
            Aggiunte le seguenti variabili:
            "TAU_COUNTER", "TAUPLC_COUNTER",
            "CN0_STS_TCYC", "CN0_STS_TAU", "CN0_STS_TAUPLC".

      17-02-2006   -   Galli

         MODIFICA:
            Modifiche per il nuovo controllo di posizione
            per assi indipendenti:
            - aggiunti i seguenti sinonimi
              "VELPROG_AX_xx",   "VELVOL_AX_xx",   "VELRID_AX_xx",
              "VELOUT_AX_xx",    "ERRVEL_AX_xx",
              "VELMAXPOS_AX_xx", "VELMAXNEG_AX_xx",
              "REFNORM_AX_xx",   "MODECTRL_AX_xx".

   MODIFICHE per RELEASE cnc 2801 V5.00.001

      17-03-2006   -   Galli

         MODIFICA:
            Aggiunto il sinonimo "SMAEV_AX_xx".

   MODIFICHE per RELEASE cnc 2801 V5.00.009:

      24-11-2006   -   Galli

         MODIFICA:
            Aggiunti i seguenti sinonimi:
               "IS_FALSE_AX",
               "MCOUNT1",     "MCOUNT2",
               "MCOUNT1_CNF", "MCOUNT2_CNF".

   MODIFICHE per RELEASE cnc 2801 V5.00.011:

      08-01-2007   -   Galli

         MODIFICA:
            Nuova funzionalita' Jog su piu' assi:
            aggiunti i seguenti sinonimi:

                        Ingressi
            "IJOG_MODE", "IJOG_MODE_xx",
            "IJOG_DPOS_AX","IJOG_DPOS_AX_nn",
            "IJOG_VEL_AX", "IJOG_VEL_AX_nn",
            "IJOGP_AX", "IJOGP_AX_nn",
            "IJOGN_AX", "IJOGN_AX_nn",

                        Uscite
            "OJOG_MODE_AX_nn", "OJOG_VEL_AX_nn",  "OJOG_RAP_AX_nn",
            "OJOG_AX",  "OJOG_AX_nn",
            "OJOGP_AX", "OJOGP_AX_nn",
            "OJOGN_AX", "OJOGN_AX_nn",


MODIFICHE per RELEASE cnc 2801 V5.01.000:

      20-02-2008      Martinelli M.

      MODIFICA:
              aggiunti sinonimi POSPRO_AX_n per visualizzazione distanza
              di assi gestiti da PLC;

MODIFICHE per RELEASE cnc 900 V1.00.000:

      15-04-2010	Sottili Tesi

      MODIFICA:
			aggiunti sinonimi:
				- ECAT_BAUM_VEL_n	comando di velocita inviato a drive
									Ethercat Baumuller (gi convertito per il drive)
				- AX_REFDAC_n		riferimento di velocita inviato da cnc verso drive Ethercat
									(prima di conversioni per i drive)
				- AX_HWCOUNT_n		Posizione letta dal drive (in ud cnc).
				- EC_BA_ANGENC_n	Lettura angolo encoder per drive baumuller


MODIFICHE per RELEASE cnc 900  V1.04.003:

   27-04-2011 Tesi Paolo

   MODIFICA:
      artf1483 Perdita cicli di comunicazione
	  (riferimento file CntComunicazioneEth.h).

   28-04-2011  Tesi Paolo
   MODIFICA:
      Aggiunto sinonimi AX_REFDACL_x.

   MODIFICHE per RELEASE cnc900 V1.04.004

   25-05-2011  Tesi Paolo
   MODIFICA:
      artf1526 artf1483 Aggiunto sinonimi:
      SMA_ERRPOS_AX_.., IS_FERMO_AX_..,  IS_BMT_AX..,
      IS_CMDVEL_AX_.., IS_SGE_AX_.., IS_RDPOS_AX_.. .
      ETH_IS_COMM_OK, ETH_COMM_OK_PLC, ETH_ISCSNDFRM_ERR,
	  ETH_ISCWATEVRX_TI, ETH_ISCRCVFRM_ERR,
	  ETH_WRKCNT, ETH_WRKCNT_PLC, ETH_CNOTWRKCNT,
	  ETH_AX_ERRCOM_.. .

   08-06-2011  Tesi Paolo
   MODIFICA:
      Aggiunto sinonimo IS_SMAEP_AX_...

   MODIFICHE per RELEASE cnc900 V1.04.005

   15-06-2011  Tesi Paolo
   MODIFICA:
      artf1483 Aggiunto sinonimo EC_BA_NUMGIRI_...

   26-06-2011  Sottili
   MODIFICA:
      Eliminato sinonimo EC_BA_ANGENC e sostituito 
      con AX_DRVCOUNT (pi generico). Contiene il numero 
      di conti letti dal drive prima di ogni trattamento da 
      parte del cnc. (per Baumuller corrisponde al vecchio EC_BA_ANGENC).

   27-06-2011  Tesi Paolo
   MODIFICA:
      AX_REFDACL_.. passa da unsigned a signed.

   25-07-2011  Tesi Paolo
   MODIFICA:
      artf1526 Aggiunto funzione AggiornaSinonimoHWCOUNT()per
               aggiornare i sinonimi: AX_HWCOUNT_, IS_EQU_HWCNT_,
               IS_INV_HWCNT_.


   MODIFICHE per RELEASE cnc900 V1.05.001

   26-04-2012  Tesi Paolo
   MODIFICA:
      artf1682: Gestione errore comunicazione EcsLink.
      Ridefiniti per asse i sinonimi CNT_ECSLINK_KO, CCNT_ECSLINK_KO;
      adesso sono CNTECSLINK_KO_xx, CCNTECSLINKKO_xx.


   MODIFICHE per RELEASE cnc900 V1.05.002

   18-06-2012  Tesi Paolo
   MODIFICA:
      artf1677 Ottimizzazione utilizzo tempo nel real time.
      Aggiunti i sinonimi: ETH_TIM_COR_RVMN, ETH_TIM_COR_RVMP, ETH_REC_COM,
      ETH_TASKETH, TIM_INT, TIM_ETH, ERR_SYSTIM, ERR_SYSTIM_IS, ERR_SYSTIM_EA,
      TIM_INT_MAX, TIM_ETH_MAX, TIM_ETH_MAX_OP.

   16-07-2012  Tesi Paolo
   MODIFICA:
      artf1721 Misure tempi realtime.


MODIFICHE per RELEASE cnc900 V1.05.004:

      13-12-2012    Tesi Paolo

      MODIFICA:
         Artf1759 EoE e modulo ethercat EL6601.
         Introdotto sinonimi per debug EoE.


MODIFICHE per RELEASE cnc900 V1.05.008:

      03-07-2013    Tesi Paolo

      MODIFICA:
         Aggiunto monitor corrente motore IMOTOR_xy.


	25-11-2013    Tesi Paolo

	MODIFICA:
		Modifiche software versione V2.0.
		Aggiunto sinonimi tempi Babut ed eliminato
		sinonimi non utilizzati.

MODIFICHE per RELEASE cnc 900 V2.01.003:

      05-05-2014       Tesi Paolo

     MODIFICA:
		artf1876.


MODIFICHE per RELEASE cnc900 V1.05.017 e V2.01.005:

	23-07-2014    Tesi Paolo

	MODIFICA:
		artf1925 Problema passaggio per zero trasduttore Ecs4Assi, EL5101, EL5021.

	29-07-2014    Tesi Paolo

	MODIFICA:
		artf1928 Correzione per unit di misura calcetto.
		Aggiunto sinonimo per calcetto attivo.

	29-10-2014    Tesi Paolo

	MODIFICA:
		Eliminato sinonimi duplicati.

MODIFICHE per RELEASE cnc900 V2.02.003:
	07-05-2015    Batisti Federico

	MODIFICA:
		Eliminati sinonimi per istanze multiple di EL6731


MODIFICHE per RELEASE cnc900 V3.00.003

	25-01-2016       Tesi Paolo

	MODIFICA:
		#95 Gestione 2 tastiere di macchina.

MODIFICHE per RELEASE cnc900 V3.00.006
	08/06/2016 Tesi Paolo
	#1239

	05/07/2016 Tommaso Sottili
	#1277 Eliminata cmd_Ref da dbAxis e sinonimo CMDREF_AX 
	Non sono pi validi nel CNC900.

MODIFICHE per RELEASE cnc900 V3.00.007
	25/08/2016 Federico Batisti
	#1314 Sinonimo MCOUNT1_CNF definito su posizione gi occupata (syn_dword[33].u). 
	MODIFICA: Ridefinizione del sinonimo e di quelli a seguire fino a IS_CALCET_AX_15 (syn_dword[47])	

	MODIFICHE per RELEASE cnc900 V3.00.007
	
	14/09/2016 Tesi Paolo
	#1322

	23/09/2016 Tesi Paolo
	#1367

	02/10/2015 Tommaso Sottili
	#1425 - Sinonimo ETHPRNFRM per stampa frame EtherCAT su debug console
			e sinonimo ETHPRNFRM_STR (14/10/2016)

MODIFICHE per RELEASE cnc900 V3.00.008

   10-11-2016  Tesi Paolo
   MODIFICA:
      #1478 Eliminare codice relativo a gestione asse idraulico.

	05-12-2016 Batisti Federico
	MODIFICA:
		#1517: Configurazione EL6731 di tipo MDP

   15-12-2016  Tesi Paolo
   MODIFICA:
      #1241 Modifica interpolatore asse fre.


MODIFICHE per RELEASE cnc V3.00.009

   21-12-2016  Tesi Paolo
   MODIFICA:
      #1535 Eliminare codice relativo ad istruzione <PAR:...;MODE=2;...>

MODIFICHE per cnc900 V3.00.009

      10-02-2017 Tesi Paolo

      MODIFICA:
         #1122, 1436 - abilitato, con bit TRV2_NO_NUOVE_COSE, le modifiche
         per limitare la velocita' nel caso di twt non ortogonale.

   03-03-2017  Tesi Paolo
   MODIFICA:
      #1241 Modifica interpolatore asse fre.

	MODIFICHE per RELEASE cnc V3.01.000
	19-04-2017 Tesi Paolo
	MODIFICA:
		#1551

MODIFICHE per RELEASE CNC900S V3.01.000

	03/05/2017 - Tommaso Sottili
	#1627: Costruzione quota con trasduttore assoluto su giro e
		   fix per EL5032
			Aggiunti sinonimi AX_UD_COUNT_##, contiene l'accumulo
			dei contiSA dell'asse. Il dato  ricostruito, in quanto a 
			questo livello non esiste l'accumulo dei contisa.

MODIFICHE per RELEASE v3.01.002

			21/08/2017 Tommaso Sottili
			MODIFICA:  #1730: valorizzazione sinonimo bus Ethercat configurato 
			(informazione [ETHERCAT] Presente in machine.tar)

MODIFICHE per RELEASE v3.01.003

			04/05/2018 Tesi Paolo
			MODIFICA: aggiunti BEVEL_#, TAIL_#.

MODIFICHE per RELEASE cnc 900 V3.01.004:

	30-05-2018    Tesi Paolo
	MODIFICA:
	#1892 aggiunto memorizzazione stato dei bit asse libero di muoversi ed
		  asse appartenente al piano di contornatura

 	MODIFICHE per RELEASE cnc900 V3.02.000

	11-07-2018   -   Tesi Paolo
	MODIFICA:
	Aggiunto sinonimo AX_CORR.


MODIFICHE per RELEASE cnc V5.00.000

   07-02-2019  Tesi Paolo
   MODIFICA:
	  #2041 asse p.to p.to con target di posizione aggiornabile on-the-fly

MODIFICHE per RELEASE cnc v3.02.002, V5.00.001

	14-05-2019 Tesi Paolo
	MODIFICA:
    #1764 G881 per dockstation e 4assi

MODIFICHE per RELEASE cnc v3.02.003, V5.00.002

    05-07-2019 Tesi Paolo
    MODIFICA:
    #2063 implementazione supporto per modulo Ethercat-Inductosyn

    11-07-2019 Tesi Paolo
    MODIFICA:
    #2148 set asse mandrino con ricerca micro in alternativa a ricerca marca di zero
	
	15/07/2019 Tesi Paolo
	#2099 Aggiungere diagnostica errore di comunicazione ethercat
    (working counter 0) per tipologia di nodo ethercat

    30-07-2019 Tesi Paolo
    MODIFICA:
	 #2163 sinonimo traiettoria residua degli assi interpolati nel blocco in esecuzione

	25-09-2019 Tesi Paolo
	MODIFICA:
    #2187 zero del mandrino sul fronte di salita o di discesa del
    segnale micro collegato al mandrino


	MODIFICHE per RELEASE cnc900 V3.03.000, V5.01.000

    20/01/2021 Tesi Paolo
    MODIFICA:
    #2411 Antigioco BMAXX5000


	MODIFICHE per RELEASE cnc v3.03.001, V5.01.001

	18-03-2021 Tesi Paolo
	MODIFICA:
	#2443 valore sinonimo CMDVEL_AX_xy errato per asse comandato in velocita'

    08/07/2021 Tesi Paolo
    #2523 analisi programmi ricevuti da Giorgio (PIERRESSE)
    aggiunti sinonimi per memorizzare i valori del filtro FVS

***************************************************************************/
#pragma once

#ifndef _SYN_DEF_H_DEFINED
#define _SYN_DEF_H_DEFINED

/* Regole:                                     */
/* - i sononimi per asse hanno suffisso _AX_n, */
/*   dove n indica il numero di asse da 0 a 15 */



/******************************************************************/
/* Definizione dei sinonimi DOUBLE (da 0 a MAX_SYN_DOUBLE-1=1023) */
/******************************************************************/
/* [sec], Tempo di ciclo base (Dato di TARATURA) */
#define TCYC syn_double[0].i

// libero syn_double[1].i

/* [sec], Tempo di ciclo PLC (Dato di TARATURA) */
#define TPCYC syn_double[2].i

/* [mm/min] o [gradi/min], Velocita' desiderata (rtData) */
#define VD syn_double[3].i

/* [mm/min] o [gradi/min],                                     */
/* Velocita' interpolata, comandata sulla traiettoria (rtData) */
#define VT syn_double[4].i

/* [mm/(min x sec)] o [gradi/(min x sec)]                          */
/* Accelerazione interpolata, comandata sulla traiettoria (rtData) */
#define AT syn_double[5].i

// Valore attuale dell'ingresso analogico 1.
// Aggiornato da bmaXX 5000.
#define AN_INPUT1  syn_double[6].i
// Valore attuale dell'ingresso analogico 2.
// Aggiornato da bmaXX 5000.
#define AN_INPUT2  syn_double[7].i

#define FCT_TRAE syn_double[8].i
#define FCT_OFFSET_PER syn_double[9].i
#define FCT_ERRSP_PER syn_double[10].i
#define FCT_ERRSP syn_double[11].i
#define FCT_ADDTIM syn_double[12].i
#define FCT_ADDTIM_MIN syn_double[13].i
#define FCT_OFFSET_PER_2 syn_double[14].i
#define FCT_ERRSP_PER_2 syn_double[15].i
#define FCT_ERRSP_2 syn_double[16].i
#define FCT_ADDTIM_2 syn_double[17].i
#define FCT_ADDTIM_MIN_2 syn_double[18].i
#define TRAE_RES syn_double[19].i

#define FVS_NSAMPLES syn_double[20].i
#define FVS_KTVSPT   syn_double[21].i
#define FVS_KTVSPR   syn_double[22].i
#define FVS_CNT1     syn_double[23].i
#define FVS_CNT2     syn_double[24].i
#define G69_K        syn_double[25].i
#define G69_KTVSP    syn_double[26].i
#define G69_KR       syn_double[27].i

/* Per ASSI */

/* [mm] o [gradi], Posizione assoluta interpolata dal CN (rtData) */
#define POS_AX_0  syn_double[100].i
#define POS_AX_1  syn_double[101].i
#define POS_AX_2  syn_double[102].i
#define POS_AX_3  syn_double[103].i
#define POS_AX_4  syn_double[104].i
#define POS_AX_5  syn_double[105].i
#define POS_AX_6  syn_double[106].i
#define POS_AX_7  syn_double[107].i
#define POS_AX_8  syn_double[108].i
#define POS_AX_9  syn_double[109].i
#define POS_AX_10 syn_double[110].i
#define POS_AX_11 syn_double[111].i
#define POS_AX_12 syn_double[112].i
#define POS_AX_13 syn_double[113].i
#define POS_AX_14 syn_double[114].i
#define POS_AX_15 syn_double[115].i

/* [mm] o [gradi], Posizione assoluta comandata dal CN (rtData) */
#define CMDPOS_AX_0  syn_double[116].i
#define CMDPOS_AX_1  syn_double[117].i
#define CMDPOS_AX_2  syn_double[118].i
#define CMDPOS_AX_3  syn_double[119].i
#define CMDPOS_AX_4  syn_double[120].i
#define CMDPOS_AX_5  syn_double[121].i
#define CMDPOS_AX_6  syn_double[122].i
#define CMDPOS_AX_7  syn_double[123].i
#define CMDPOS_AX_8  syn_double[124].i
#define CMDPOS_AX_9  syn_double[125].i
#define CMDPOS_AX_10 syn_double[126].i
#define CMDPOS_AX_11 syn_double[127].i
#define CMDPOS_AX_12 syn_double[128].i
#define CMDPOS_AX_13 syn_double[129].i
#define CMDPOS_AX_14 syn_double[130].i
#define CMDPOS_AX_15 syn_double[131].i

/* [mm] o [gradi], Posizione attuale misurata */
/*                 (feedback di posizione)    */
/*                 ricevuta dal CN  (rtData)  */
#define ACTPOS_AX_0  syn_double[132].i
#define ACTPOS_AX_1  syn_double[133].i
#define ACTPOS_AX_2  syn_double[134].i
#define ACTPOS_AX_3  syn_double[135].i
#define ACTPOS_AX_4  syn_double[136].i
#define ACTPOS_AX_5  syn_double[137].i
#define ACTPOS_AX_6  syn_double[138].i
#define ACTPOS_AX_7  syn_double[139].i
#define ACTPOS_AX_8  syn_double[140].i
#define ACTPOS_AX_9  syn_double[141].i
#define ACTPOS_AX_10 syn_double[142].i
#define ACTPOS_AX_11 syn_double[143].i
#define ACTPOS_AX_12 syn_double[144].i
#define ACTPOS_AX_13 syn_double[145].i
#define ACTPOS_AX_14 syn_double[146].i
#define ACTPOS_AX_15 syn_double[147].i

/* [mm] o [gradi], Errore di inseguimento (rtData) */
#define ERRPOS_AX_0  syn_double[148].i
#define ERRPOS_AX_1  syn_double[149].i
#define ERRPOS_AX_2  syn_double[150].i
#define ERRPOS_AX_3  syn_double[151].i
#define ERRPOS_AX_4  syn_double[152].i
#define ERRPOS_AX_5  syn_double[153].i
#define ERRPOS_AX_6  syn_double[154].i
#define ERRPOS_AX_7  syn_double[155].i
#define ERRPOS_AX_8  syn_double[156].i
#define ERRPOS_AX_9  syn_double[157].i
#define ERRPOS_AX_10 syn_double[158].i
#define ERRPOS_AX_11 syn_double[159].i
#define ERRPOS_AX_12 syn_double[160].i
#define ERRPOS_AX_13 syn_double[161].i
#define ERRPOS_AX_14 syn_double[162].i
#define ERRPOS_AX_15 syn_double[163].i

/* [mm/min] o [giri/min], Velocita' interpolata dal CN (rtData) */
#define VEL_AX_0  syn_double[164].i
#define VEL_AX_1  syn_double[165].i
#define VEL_AX_2  syn_double[166].i
#define VEL_AX_3  syn_double[167].i
#define VEL_AX_4  syn_double[168].i
#define VEL_AX_5  syn_double[169].i
#define VEL_AX_6  syn_double[170].i
#define VEL_AX_7  syn_double[171].i
#define VEL_AX_8  syn_double[172].i
#define VEL_AX_9  syn_double[173].i
#define VEL_AX_10 syn_double[174].i
#define VEL_AX_11 syn_double[175].i
#define VEL_AX_12 syn_double[176].i
#define VEL_AX_13 syn_double[177].i
#define VEL_AX_14 syn_double[178].i
#define VEL_AX_15 syn_double[179].i

/* [mm/min] o [giri/min], Velocita' comandata dal CN (rtData) */
#define CMDVEL_AX_0  syn_double[180].i
#define CMDVEL_AX_1  syn_double[181].i
#define CMDVEL_AX_2  syn_double[182].i
#define CMDVEL_AX_3  syn_double[183].i
#define CMDVEL_AX_4  syn_double[184].i
#define CMDVEL_AX_5  syn_double[185].i
#define CMDVEL_AX_6  syn_double[186].i
#define CMDVEL_AX_7  syn_double[187].i
#define CMDVEL_AX_8  syn_double[188].i
#define CMDVEL_AX_9  syn_double[189].i
#define CMDVEL_AX_10 syn_double[190].i
#define CMDVEL_AX_11 syn_double[191].i
#define CMDVEL_AX_12 syn_double[192].i
#define CMDVEL_AX_13 syn_double[193].i
#define CMDVEL_AX_14 syn_double[194].i
#define CMDVEL_AX_15 syn_double[195].i

/* [mm/min] o [giri/min], Velocita' attuale misurata */
/*                        (feedback di velocita')    */
/*                        ricevuta dal CN  (rtData)  */
#define ACTVEL_AX_0  syn_double[196].i
#define ACTVEL_AX_1  syn_double[197].i
#define ACTVEL_AX_2  syn_double[198].i
#define ACTVEL_AX_3  syn_double[199].i
#define ACTVEL_AX_4  syn_double[200].i
#define ACTVEL_AX_5  syn_double[201].i
#define ACTVEL_AX_6  syn_double[202].i
#define ACTVEL_AX_7  syn_double[203].i
#define ACTVEL_AX_8  syn_double[204].i
#define ACTVEL_AX_9  syn_double[205].i
#define ACTVEL_AX_10 syn_double[206].i
#define ACTVEL_AX_11 syn_double[207].i
#define ACTVEL_AX_12 syn_double[208].i
#define ACTVEL_AX_13 syn_double[209].i
#define ACTVEL_AX_14 syn_double[210].i
#define ACTVEL_AX_15 syn_double[211].i

/* [mm/(min x sec)] o [giri/(min x sec)],    */
/* Accelerazione interpolata dal CN (rtData) */
#define ACC_AX_0  syn_double[212].i
#define ACC_AX_1  syn_double[213].i
#define ACC_AX_2  syn_double[214].i
#define ACC_AX_3  syn_double[215].i
#define ACC_AX_4  syn_double[216].i
#define ACC_AX_5  syn_double[217].i
#define ACC_AX_6  syn_double[218].i
#define ACC_AX_7  syn_double[219].i
#define ACC_AX_8  syn_double[220].i
#define ACC_AX_9  syn_double[221].i
#define ACC_AX_10 syn_double[222].i
#define ACC_AX_11 syn_double[223].i
#define ACC_AX_12 syn_double[224].i
#define ACC_AX_13 syn_double[225].i
#define ACC_AX_14 syn_double[226].i
#define ACC_AX_15 syn_double[227].i

/* Fattore di conversione da [mm] o [gradi]  a [ud] (Dato di TARATURA) */
/* (udPOS = mmPOS * KPOS)    (mmPOS = udPOS / KPOS)                    */
#define KPOS_AX_0  syn_double[228].i
#define KPOS_AX_1  syn_double[229].i
#define KPOS_AX_2  syn_double[230].i
#define KPOS_AX_3  syn_double[231].i
#define KPOS_AX_4  syn_double[232].i
#define KPOS_AX_5  syn_double[233].i
#define KPOS_AX_6  syn_double[234].i
#define KPOS_AX_7  syn_double[235].i
#define KPOS_AX_8  syn_double[236].i
#define KPOS_AX_9  syn_double[237].i
#define KPOS_AX_10 syn_double[238].i
#define KPOS_AX_11 syn_double[239].i
#define KPOS_AX_12 syn_double[240].i
#define KPOS_AX_13 syn_double[241].i
#define KPOS_AX_14 syn_double[242].i
#define KPOS_AX_15 syn_double[243].i

/* [mm] o [gradi], Risoluzione del sistema di misura (Dato di TARATURA) */
#define RSM_AX_0  syn_double[244].i
#define RSM_AX_1  syn_double[245].i
#define RSM_AX_2  syn_double[246].i
#define RSM_AX_3  syn_double[247].i
#define RSM_AX_4  syn_double[248].i
#define RSM_AX_5  syn_double[249].i
#define RSM_AX_6  syn_double[250].i
#define RSM_AX_7  syn_double[251].i
#define RSM_AX_8  syn_double[252].i
#define RSM_AX_9  syn_double[253].i
#define RSM_AX_10 syn_double[254].i
#define RSM_AX_11 syn_double[255].i
#define RSM_AX_12 syn_double[256].i
#define RSM_AX_13 syn_double[257].i
#define RSM_AX_14 syn_double[258].i
#define RSM_AX_15 syn_double[259].i

/* [mm/min] o [giri/min], Velocita' RAPIDA,       */
/* Limite di Velocita' di TARATURA dell'asse      */
/* Per mandrino e' la velocita' con gamma diretta */
/* (Dato di TARATURA)                             */
#define RAP_AX_0  syn_double[260].i
#define RAP_AX_1  syn_double[261].i
#define RAP_AX_2  syn_double[262].i
#define RAP_AX_3  syn_double[263].i
#define RAP_AX_4  syn_double[264].i
#define RAP_AX_5  syn_double[265].i
#define RAP_AX_6  syn_double[266].i
#define RAP_AX_7  syn_double[267].i
#define RAP_AX_8  syn_double[268].i
#define RAP_AX_9  syn_double[269].i
#define RAP_AX_10 syn_double[270].i
#define RAP_AX_11 syn_double[271].i
#define RAP_AX_12 syn_double[272].i
#define RAP_AX_13 syn_double[273].i
#define RAP_AX_14 syn_double[274].i
#define RAP_AX_15 syn_double[275].i

/* [mm/min] o [giri/min], Limite di Velocita' di dell'asse (Dato ATTUALE) */
#define VLIM_AX_0  syn_double[276].i
#define VLIM_AX_1  syn_double[277].i
#define VLIM_AX_2  syn_double[278].i
#define VLIM_AX_3  syn_double[279].i
#define VLIM_AX_4  syn_double[280].i
#define VLIM_AX_5  syn_double[281].i
#define VLIM_AX_6  syn_double[282].i
#define VLIM_AX_7  syn_double[283].i
#define VLIM_AX_8  syn_double[284].i
#define VLIM_AX_9  syn_double[285].i
#define VLIM_AX_10 syn_double[286].i
#define VLIM_AX_11 syn_double[287].i
#define VLIM_AX_12 syn_double[288].i
#define VLIM_AX_13 syn_double[289].i
#define VLIM_AX_14 syn_double[290].i
#define VLIM_AX_15 syn_double[291].i

/* [mm/(min x sec)] o [giri/(min x sec)],         */
/* Limite di Accelerazione di TARATURA dell'asse  */
/* (Dato di TARATURA)                             */
#define TACC_AX_0  syn_double[292].i
#define TACC_AX_1  syn_double[293].i
#define TACC_AX_2  syn_double[294].i
#define TACC_AX_3  syn_double[295].i
#define TACC_AX_4  syn_double[296].i
#define TACC_AX_5  syn_double[297].i
#define TACC_AX_6  syn_double[298].i
#define TACC_AX_7  syn_double[299].i
#define TACC_AX_8  syn_double[300].i
#define TACC_AX_9  syn_double[301].i
#define TACC_AX_10 syn_double[302].i
#define TACC_AX_11 syn_double[303].i
#define TACC_AX_12 syn_double[304].i
#define TACC_AX_13 syn_double[305].i
#define TACC_AX_14 syn_double[306].i
#define TACC_AX_15 syn_double[307].i

/* rapporto meccanico: numero giri motore per giro organo */
#define MOT_AX_0  syn_double[308].i
#define MOT_AX_1  syn_double[309].i
#define MOT_AX_2  syn_double[310].i
#define MOT_AX_3  syn_double[311].i
#define MOT_AX_4  syn_double[312].i
#define MOT_AX_5  syn_double[313].i
#define MOT_AX_6  syn_double[314].i
#define MOT_AX_7  syn_double[315].i
#define MOT_AX_8  syn_double[316].i
#define MOT_AX_9  syn_double[317].i
#define MOT_AX_10 syn_double[318].i
#define MOT_AX_11 syn_double[319].i
#define MOT_AX_12 syn_double[320].i
#define MOT_AX_13 syn_double[321].i
#define MOT_AX_14 syn_double[322].i
#define MOT_AX_15 syn_double[323].i

/* [mm] o [gradi], passo vite  */
#define PAS_AX_0  syn_double[324].i
#define PAS_AX_1  syn_double[325].i
#define PAS_AX_2  syn_double[326].i
#define PAS_AX_3  syn_double[327].i
#define PAS_AX_4  syn_double[328].i
#define PAS_AX_5  syn_double[329].i
#define PAS_AX_6  syn_double[330].i
#define PAS_AX_7  syn_double[331].i
#define PAS_AX_8  syn_double[332].i
#define PAS_AX_9  syn_double[333].i
#define PAS_AX_10 syn_double[334].i
#define PAS_AX_11 syn_double[335].i
#define PAS_AX_12 syn_double[336].i
#define PAS_AX_13 syn_double[337].i
#define PAS_AX_14 syn_double[338].i
#define PAS_AX_15 syn_double[339].i

/* rapporto trasduttore: numero giri trasduttore per giro organo */
#define TRN_AX_0  syn_double[340].i
#define TRN_AX_1  syn_double[341].i
#define TRN_AX_2  syn_double[342].i
#define TRN_AX_3  syn_double[343].i
#define TRN_AX_4  syn_double[344].i
#define TRN_AX_5  syn_double[345].i
#define TRN_AX_6  syn_double[346].i
#define TRN_AX_7  syn_double[347].i
#define TRN_AX_8  syn_double[348].i
#define TRN_AX_9  syn_double[349].i
#define TRN_AX_10 syn_double[350].i
#define TRN_AX_11 syn_double[351].i
#define TRN_AX_12 syn_double[352].i
#define TRN_AX_13 syn_double[353].i
#define TRN_AX_14 syn_double[354].i
#define TRN_AX_15 syn_double[355].i

/* NIP numero di impulsi riportati su organo */
#define NIP_AX_0  syn_double[356].i
#define NIP_AX_1  syn_double[357].i
#define NIP_AX_2  syn_double[358].i
#define NIP_AX_3  syn_double[359].i
#define NIP_AX_4  syn_double[360].i
#define NIP_AX_5  syn_double[361].i
#define NIP_AX_6  syn_double[362].i
#define NIP_AX_7  syn_double[363].i
#define NIP_AX_8  syn_double[364].i
#define NIP_AX_9  syn_double[365].i
#define NIP_AX_10 syn_double[366].i
#define NIP_AX_11 syn_double[367].i
#define NIP_AX_12 syn_double[368].i
#define NIP_AX_13 syn_double[369].i
#define NIP_AX_14 syn_double[370].i
#define NIP_AX_15 syn_double[371].i

/* [mm/min] o [giri/min], Velocita' effettiva   */
/* (misurata) max. positiva raggiunta dall'asse */
/* durante il posizionamento (ASSE INDIPENDENTE)*/
#define VELMAXPOS_AX_0  syn_double[372].i
#define VELMAXPOS_AX_1  syn_double[373].i
#define VELMAXPOS_AX_2  syn_double[374].i
#define VELMAXPOS_AX_3  syn_double[375].i
#define VELMAXPOS_AX_4  syn_double[376].i
#define VELMAXPOS_AX_5  syn_double[377].i
#define VELMAXPOS_AX_6  syn_double[378].i
#define VELMAXPOS_AX_7  syn_double[379].i
#define VELMAXPOS_AX_8  syn_double[380].i
#define VELMAXPOS_AX_9  syn_double[381].i
#define VELMAXPOS_AX_10 syn_double[382].i
#define VELMAXPOS_AX_11 syn_double[383].i
#define VELMAXPOS_AX_12 syn_double[384].i
#define VELMAXPOS_AX_13 syn_double[385].i
#define VELMAXPOS_AX_14 syn_double[386].i
#define VELMAXPOS_AX_15 syn_double[387].i

/* [mm/min] o [giri/min], Velocita' effettiva   */
/* (misurata) max. negativa raggiunta dall'asse */
/* durante il posizionamento (ASSE INDIPENDENTE)*/
#define VELMAXNEG_AX_0  syn_double[388].i
#define VELMAXNEG_AX_1  syn_double[389].i
#define VELMAXNEG_AX_2  syn_double[390].i
#define VELMAXNEG_AX_3  syn_double[391].i
#define VELMAXNEG_AX_4  syn_double[392].i
#define VELMAXNEG_AX_5  syn_double[393].i
#define VELMAXNEG_AX_6  syn_double[394].i
#define VELMAXNEG_AX_7  syn_double[395].i
#define VELMAXNEG_AX_8  syn_double[396].i
#define VELMAXNEG_AX_9  syn_double[397].i
#define VELMAXNEG_AX_10 syn_double[398].i
#define VELMAXNEG_AX_11 syn_double[399].i
#define VELMAXNEG_AX_12 syn_double[400].i
#define VELMAXNEG_AX_13 syn_double[401].i
#define VELMAXNEG_AX_14 syn_double[402].i
#define VELMAXNEG_AX_15 syn_double[403].i

/* RES_1 */
#define RES_1_AX_0  syn_double[404].i
#define RES_1_AX_1  syn_double[405].i
#define RES_1_AX_2  syn_double[406].i
#define RES_1_AX_3  syn_double[407].i
#define RES_1_AX_4  syn_double[408].i
#define RES_1_AX_5  syn_double[409].i
#define RES_1_AX_6  syn_double[410].i
#define RES_1_AX_7  syn_double[411].i
#define RES_1_AX_8  syn_double[412].i
#define RES_1_AX_9  syn_double[413].i
#define RES_1_AX_10 syn_double[414].i
#define RES_1_AX_11 syn_double[415].i
#define RES_1_AX_12 syn_double[416].i
#define RES_1_AX_13 syn_double[417].i
#define RES_1_AX_14 syn_double[418].i
#define RES_1_AX_15 syn_double[419].i

/* RES_2 */
#define RES_2_AX_0  syn_double[420].i
#define RES_2_AX_1  syn_double[421].i
#define RES_2_AX_2  syn_double[422].i
#define RES_2_AX_3  syn_double[423].i
#define RES_2_AX_4  syn_double[424].i
#define RES_2_AX_5  syn_double[425].i
#define RES_2_AX_6  syn_double[426].i
#define RES_2_AX_7  syn_double[427].i
#define RES_2_AX_8  syn_double[428].i
#define RES_2_AX_9  syn_double[429].i
#define RES_2_AX_10 syn_double[430].i
#define RES_2_AX_11 syn_double[431].i
#define RES_2_AX_12 syn_double[432].i
#define RES_2_AX_13 syn_double[433].i
#define RES_2_AX_14 syn_double[434].i
#define RES_2_AX_15 syn_double[435].i


/* [mm] o [gradi],                                                  */
/* Spazio di default da percorrere sugli assi in modo Jog di Spazio */
/* (IJOG_MODE_VEL=0)                                                */
/* Valido per tutti gli assi.                             (plcData) */
#define IJOG_DPOS_AX    syn_double[436].i

/* [mm] o [gradi],                                             */
/* Spazio da percorrere sugli assi in modo Jog di Spazio       */
/* (IJOG_MODE_VEL=0)                                 (plcData) */
/* <0 E' preso il valore di default (IJOG_DPOS_AX)             */
#define IJOG_DPOS_AX_0  syn_double[437].i
#define IJOG_DPOS_AX_1  syn_double[438].i
#define IJOG_DPOS_AX_2  syn_double[439].i
#define IJOG_DPOS_AX_3  syn_double[440].i
#define IJOG_DPOS_AX_4  syn_double[441].i
#define IJOG_DPOS_AX_5  syn_double[442].i
#define IJOG_DPOS_AX_6  syn_double[443].i
#define IJOG_DPOS_AX_7  syn_double[444].i
#define IJOG_DPOS_AX_8  syn_double[445].i
#define IJOG_DPOS_AX_9  syn_double[446].i
#define IJOG_DPOS_AX_10 syn_double[447].i
#define IJOG_DPOS_AX_11 syn_double[448].i
#define IJOG_DPOS_AX_12 syn_double[449].i
#define IJOG_DPOS_AX_13 syn_double[450].i
#define IJOG_DPOS_AX_14 syn_double[451].i
#define IJOG_DPOS_AX_15 syn_double[452].i


/* [mm/min] o [gradi/min],                                   */
/* Velocit programmata di default per assi in Jog in Lavoro */
/* (IJOG_MODE_RAP=0)                                         */
/* Valido per tutti gli assi.                      (plcData) */
#define IJOG_VEL_AX    syn_double[453].i

/* [mm/min] o [gradi/min],                        */
/* Velocit programmata per assi in Jog in Lavoro */
/* (IJOG_MODE_RAP=0)                    (plcData) */
/* <0 E' preso il valore di default (IJOG_VEL_AX) */
#define IJOG_VEL_AX_0  syn_double[454].i
#define IJOG_VEL_AX_1  syn_double[455].i
#define IJOG_VEL_AX_2  syn_double[456].i
#define IJOG_VEL_AX_3  syn_double[457].i
#define IJOG_VEL_AX_4  syn_double[458].i
#define IJOG_VEL_AX_5  syn_double[459].i
#define IJOG_VEL_AX_6  syn_double[460].i
#define IJOG_VEL_AX_7  syn_double[461].i
#define IJOG_VEL_AX_8  syn_double[462].i
#define IJOG_VEL_AX_9  syn_double[463].i
#define IJOG_VEL_AX_10 syn_double[464].i
#define IJOG_VEL_AX_11 syn_double[465].i
#define IJOG_VEL_AX_12 syn_double[466].i
#define IJOG_VEL_AX_13 syn_double[467].i
#define IJOG_VEL_AX_14 syn_double[468].i
#define IJOG_VEL_AX_15 syn_double[469].i

/* [mm] o [gradi], Posizione assoluta programmata (db_axis) */
#define POSPRO_AX_0  syn_double[470].i
#define POSPRO_AX_1  syn_double[471].i
#define POSPRO_AX_2  syn_double[472].i
#define POSPRO_AX_3  syn_double[473].i
#define POSPRO_AX_4  syn_double[474].i
#define POSPRO_AX_5  syn_double[475].i
#define POSPRO_AX_6  syn_double[476].i
#define POSPRO_AX_7  syn_double[477].i
#define POSPRO_AX_8  syn_double[478].i
#define POSPRO_AX_9  syn_double[479].i
#define POSPRO_AX_10 syn_double[480].i
#define POSPRO_AX_11 syn_double[481].i
#define POSPRO_AX_12 syn_double[482].i
#define POSPRO_AX_13 syn_double[483].i
#define POSPRO_AX_14 syn_double[484].i
#define POSPRO_AX_15 syn_double[485].i


/* [mm] o [gradi], Media mobile Errore di inseguimento (rtData) */
#define SMA_ERRPOS_AX_0  syn_double[486].i
#define SMA_ERRPOS_AX_1  syn_double[487].i
#define SMA_ERRPOS_AX_2  syn_double[488].i
#define SMA_ERRPOS_AX_3  syn_double[489].i
#define SMA_ERRPOS_AX_4  syn_double[490].i
#define SMA_ERRPOS_AX_5  syn_double[491].i
#define SMA_ERRPOS_AX_6  syn_double[492].i
#define SMA_ERRPOS_AX_7  syn_double[493].i
#define SMA_ERRPOS_AX_8  syn_double[494].i
#define SMA_ERRPOS_AX_9  syn_double[495].i
#define SMA_ERRPOS_AX_10 syn_double[496].i
#define SMA_ERRPOS_AX_11 syn_double[497].i
#define SMA_ERRPOS_AX_12 syn_double[498].i
#define SMA_ERRPOS_AX_13 syn_double[499].i
#define SMA_ERRPOS_AX_14 syn_double[500].i
#define SMA_ERRPOS_AX_15 syn_double[501].i


/* [mm/(min x sec)] o [giri/(min x sec)],    */
/* Accelerazione MAX (valore assoluto) interpolata dal CN (rtData) */
#define ACCMAX_AX_0  syn_double[502].i
#define ACCMAX_AX_1  syn_double[503].i
#define ACCMAX_AX_2  syn_double[504].i
#define ACCMAX_AX_3  syn_double[505].i
#define ACCMAX_AX_4  syn_double[506].i
#define ACCMAX_AX_5  syn_double[507].i
#define ACCMAX_AX_6  syn_double[508].i
#define ACCMAX_AX_7  syn_double[509].i
#define ACCMAX_AX_8  syn_double[510].i
#define ACCMAX_AX_9  syn_double[511].i
#define ACCMAX_AX_10 syn_double[512].i
#define ACCMAX_AX_11 syn_double[513].i
#define ACCMAX_AX_12 syn_double[514].i
#define ACCMAX_AX_13 syn_double[515].i
#define ACCMAX_AX_14 syn_double[516].i
#define ACCMAX_AX_15 syn_double[517].i

/* jerk */
#define JRK_AX_0  syn_double[518].i
#define JRK_AX_1  syn_double[519].i
#define JRK_AX_2  syn_double[520].i
#define JRK_AX_3  syn_double[521].i
#define JRK_AX_4  syn_double[522].i
#define JRK_AX_5  syn_double[523].i
#define JRK_AX_6  syn_double[524].i
#define JRK_AX_7  syn_double[525].i
#define JRK_AX_8  syn_double[526].i
#define JRK_AX_9  syn_double[527].i
#define JRK_AX_10 syn_double[528].i
#define JRK_AX_11 syn_double[529].i
#define JRK_AX_12 syn_double[530].i
#define JRK_AX_13 syn_double[531].i
#define JRK_AX_14 syn_double[532].i
#define JRK_AX_15 syn_double[533].i

/* jerk max */
#define JRKMAX_AX_0  syn_double[534].i
#define JRKMAX_AX_1  syn_double[535].i
#define JRKMAX_AX_2  syn_double[536].i
#define JRKMAX_AX_3  syn_double[537].i
#define JRKMAX_AX_4  syn_double[538].i
#define JRKMAX_AX_5  syn_double[539].i
#define JRKMAX_AX_6  syn_double[540].i
#define JRKMAX_AX_7  syn_double[541].i
#define JRKMAX_AX_8  syn_double[542].i
#define JRKMAX_AX_9  syn_double[543].i
#define JRKMAX_AX_10 syn_double[544].i
#define JRKMAX_AX_11 syn_double[545].i
#define JRKMAX_AX_12 syn_double[546].i
#define JRKMAX_AX_13 syn_double[547].i
#define JRKMAX_AX_14 syn_double[548].i
#define JRKMAX_AX_15 syn_double[549].i

// Sinonimi corrispondenti al comando di velocita inviato
// verso i drive Ethercat espresso come valore di tipo float. 
#define AX_REFPAR_FP_0 syn_double[550].i
#define AX_REFPAR_FP_1 syn_double[551].i
#define AX_REFPAR_FP_2 syn_double[552].i
#define AX_REFPAR_FP_3 syn_double[553].i
#define AX_REFPAR_FP_4 syn_double[554].i
#define AX_REFPAR_FP_5 syn_double[555].i
#define AX_REFPAR_FP_6 syn_double[556].i
#define AX_REFPAR_FP_7 syn_double[557].i
#define AX_REFPAR_FP_8 syn_double[558].i
#define AX_REFPAR_FP_9 syn_double[559].i
#define AX_REFPAR_FP_10 syn_double[560].i
#define AX_REFPAR_FP_11 syn_double[561].i
#define AX_REFPAR_FP_12 syn_double[562].i
#define AX_REFPAR_FP_13 syn_double[563].i
#define AX_REFPAR_FP_14 syn_double[564].i
#define AX_REFPAR_FP_15 syn_double[565].i

#define DMRATIO_AX_0 syn_double[566].i
#define DMRATIO_AX_1 syn_double[567].i
#define DMRATIO_AX_2 syn_double[568].i
#define DMRATIO_AX_3 syn_double[569].i
#define DMRATIO_AX_4 syn_double[570].i
#define DMRATIO_AX_5 syn_double[571].i
#define DMRATIO_AX_6 syn_double[572].i
#define DMRATIO_AX_7 syn_double[573].i
#define DMRATIO_AX_8 syn_double[574].i
#define DMRATIO_AX_9 syn_double[575].i
#define DMRATIO_AX_10 syn_double[576].i
#define DMRATIO_AX_11 syn_double[577].i
#define DMRATIO_AX_12 syn_double[578].i
#define DMRATIO_AX_13 syn_double[579].i
#define DMRATIO_AX_14 syn_double[580].i
#define DMRATIO_AX_15 syn_double[581].i

/////// PROFILE CONTROL BLOCK
// Valori attuali
// [mm/tau^2] ([gradi/tau^2]), Accelerazione
#define PCBA_ACC		syn_double[700].i
// [mm/tau^3] ([gradi/tau^3]), Valore limite del Jerk
#define PCBA_MAX_JERK	syn_double[701].i
// [n.tau]
#define PCBA_NT1A		syn_double[702].i
// [mm/tau] ([gradi/tau]), Velocita' programmata del blocco
// (deve tenere conto degli Override)
#define PCBA_VPROG		syn_double[703].i
// [mm/tau] ([gradi/tau]), Velocita' fine blocco max.
// in funzione delle accelerazioni e dei rapidi degli assi
#define PCBA_VFMAX		syn_double[704].i
// [mm/tau] ([gradi/tau]), Velocita' desiderata
// corrisponde o no alla Vprog in funzione del bit "bVdes"
#define PCBA_VDES		syn_double[705].i
// [mm/tau] ([gradi/tau]), Velocita' fine blocco
// (oppure velocita' di fine blocchi accorpati)
#define PCBA_VFC		syn_double[706].i
// [mm] ([gradi]), Spazio da Percorrere nei blocchi accorpati
// (Spazio multi blocco).
#define PCBA_SPMBLK		syn_double[707].i
// Valore di Override nel Blocco
#define PCBA_OVERRIDE	syn_double[708].i
// Valori target
// [mm/tau^2] ([gradi/tau^2]), Accelerazione
#define PCBT_ACC		syn_double[709].i
// [mm/tau^3] ([gradi/tau^3]), Valore limite del Jerk
#define PCBT_MAX_JERK	syn_double[710].i
// [n.tau]
#define PCBT_NT1A		syn_double[711].i
// [mm/tau] ([gradi/tau]), Velocita' programmata del blocco
// (deve tenere conto degli Override)
#define PCBT_VPROG		syn_double[712].i
// [mm/tau] ([gradi/tau]), Velocita' fine blocco max.
// in funzione delle accelerazioni e dei rapidi degli assi
#define PCBT_VFMAX		syn_double[713].i
// [mm/tau] ([gradi/tau]), Velocita' desiderata
// corrisponde o no alla Vprog in funzione del bit "bVdes"
#define PCBT_VDES		syn_double[714].i
// [mm/tau] ([gradi/tau]), Velocita' fine blocco
// (oppure velocita' di fine blocchi accorpati)
#define PCBT_VFC		syn_double[715].i
// [mm] ([gradi]), Spazio da Percorrere nei blocchi accorpati
// (Spazio multi blocco).
#define PCBT_SPMBLK		syn_double[716].i
// Valore di Override nel Blocco
#define PCBT_OVERRIDE	syn_double[717].i

/////// Variabili INTERPOLATORE
// Flag Accelerazione
#define DBINT_FACC		syn_double[718].i
// Flag Accelerazione valore precedente
#define DBINT_PFACC		syn_double[719].i
// Flag vari; variabile azzerata ad inizio babut()
#define DBINT_FLAG1		syn_double[720].i
// Filtro Accelerazione
#define DBINT_FLACC		syn_double[721].i
// Dato valido con FACC_SPCLC
#define DBINT_MSPTINP	syn_double[722].i
// [mm/tau] ([gradi/tau]), Velocita' finale del blocco
#define DBINT_VF		syn_double[723].i
// [mm/tau^2] ([gradi/tau^2]), Accelerazione calcolata nel tau
#define DBINT_AT		syn_double[724].i
// [mm/tau] ([gradi/tau]), Velocita' calcolata nel tau
#define DBINT_VT		syn_double[725].i
// [mm] ([gradi]), Spazio al tau
#define DBINT_SPTAU		syn_double[726].i
// Dati per Accelerazione Minima
#define DBINT_ACCMIN	syn_double[727].i
#define DBINT_NTACCMIN	syn_double[728].i
// Flag chiamata: 128 bits per debugging (traccia)
#define DBINT_FCALL0	syn_double[729].i
#define DBINT_FCALL1	syn_double[730].i
#define DBINT_FCALL2	syn_double[731].i
#define DBINT_FCALL3	syn_double[732].i

/////// Parametri di Accelerazione calcolati
// Dati di TARATURA:
// [mm/tau^2] ([gradi/tau^2]), Accelerazione Nominale
#define CAP_ACC			syn_double[733].i
// [mm/tau^3] ([gradi/tau^3]), Valore limite del Jerk
#define CAP_MAXJERK		syn_double[734].i
// [n.tau]
#define CAP_NT1A		syn_double[735].i
// Dati di INPUT:
// [mm/tau] ([gradi/tau]), Velocita' iniziale e desiderata
#define CAP_VI			syn_double[736].i
#define CAP_VD			syn_double[737].i
// [mm/tau^2] ([gradi/tau^2]), Accelerazione iniziale, finale e max.
#define CAP_ACC1		syn_double[738].i
#define CAP_ACC2		syn_double[739].i
#define CAP_ACCM		syn_double[740].i
// [mm/tau^3] ([gradi/tau^3]), Valore modulato del jerk massimo
#define CAP_JMAX		syn_double[741].i
// [rad/tau], Omega iniziale e finale
#define CAP_OMEGA1		syn_double[742].i
#define CAP_OMEGA2		syn_double[743].i
// Fase 1 e 2 [rad]: +/- pi/2
#define CAP_PH1			syn_double[744].i
#define CAP_PH2			syn_double[745].i
// Dati di calcolo parziale
#define CAP_M1			syn_double[746].i
#define CAP_M2			syn_double[747].i
#define CAP_W1			syn_double[748].i
#define CAP_W2			syn_double[749].i
// Dati di OUTPUT:
// [mm/tau] ([gradi/tau]), valori di velocita' per rampe di Acc.
#define CAP_V1X			syn_double[750].i
#define CAP_V2X			syn_double[751].i
// [mm] ([gradi]), Spazio da percorrere in rampa di Acc.
//                 (nel tempo nT1x)
#define CAP_SP1X		syn_double[752].i
// [mm] ([gradi]), Spazio da percorrere in rampa di Acc.
//                 (nel tempo nT2x)
#define CAP_SP2X		syn_double[753].i
// [mm] (gradi), Spazio da percorrere in Acc. Costante (nel tempo nTx)
#define CAP_SPX			syn_double[754].i
// [mm] (gradi), Spazio totale
#define CAP_SPT			syn_double[755].i
// [n.tau], tempo di salita e discesa dell'accelerazione
#define CAP_NT1X		syn_double[756].i
#define CAP_NT2X		syn_double[757].i
// [n.tau], tempo di accelerazione costante
#define CAP_NTX			syn_double[758].i
// [n.tau], Tempo Totale
#define CAP_NTTX		syn_double[759].i

//               DATI CALCOLATI ATTUALI (accumulatori)
// [mm/tau^2] ([gradi/tau^2]), Accelerazione attuale
#define CAP_A_AT		syn_double[760].i
// [mm/tau] ([gradi/tau]), Velocita' attuale
#define CAP_A_VT		syn_double[761].i
// [mm] ([gradi]), Spazio Attuale
#define CAP_A_ST		syn_double[762].i
// [mm/tau^2] ([gradi/tau^2]), Accelerazione precedente
#define CAP_P_AT		syn_double[763].i
// [mm/tau] ([gradi/tau]), Velocita' precedente
#define CAP_P_VT		syn_double[764].i
// [mm] ([gradi]), Spazio precedente
#define CAP_P_ST		syn_double[765].i
// [mm/tau] ([gradi/tau]), delta Velocita' per raggiungere a_At=0
#define CAP_A_DV		syn_double[766].i
// [mm] ([gradi]), delta Spazio da percorrere per raggiungere a_At=0
#define CAP_A_DS		syn_double[767].i

#define CAP_AT			syn_double[768].i
#define CAP_VT			syn_double[769].i
#define CAP_ST			syn_double[770].i

// [n.tau], Tempo Totale annullamento accelerazione
#define CAP_A_DNT		syn_double[771].i

// ++++++++ Recupero di Spazio +++++
// Se MaxJerk==0:    Periodo iniziale del Recupero di Spazio
// Se MaxJerk!=0:    Tempo iniziale del Recupero di Spazio
#define CAP_IR_NTTX		syn_double[772].i
// Se MaxJerk==0:    Periodo finale del Recupero di Spazio
// Se MaxJerk!=0:    Tempo finale del Recupero di Spazio
#define CAP_FR_NTTX		syn_double[773].i
// Rapporto tra Spazio da percorrere Spazio calcolato
#define CAP_RAPP_ST		syn_double[774].i
// Resto di Spazio: Differenza tra Spazio da percorrere Spazio calcolato
#define CAP_R_ST		syn_double[775].i
// Velocita' Max/2 di recupero di Spazio
#define CAP_VR_ST		syn_double[776].i
// Se MaxJerk==0:   Prima Accelerazione di recupero
// Se MaxJerk!=0:   Omega, coefficiente per recupero di Spazio
#define CAP_WR_ST		syn_double[777].i
// Se MaxJerk==0:   Seconda Accelerazione di recupero
// Se MaxJerk!=0:   NON UTILIZZATA!!!
#define CAP_WR_ST2		syn_double[778].i
// [n.tau], Tempo attuale
#define CAP_A_NT		syn_double[779].i
// Flag Accelerazione
#define CAP_A_FTYPE		syn_double[780].i

// VARIABILI BI.BBP
#define BBP_NT1AM		syn_double[781].i
#define BBP_NT1AMR		syn_double[782].i
#define BBP_MAXJERKM	syn_double[783].i
#define BBP_MAXJERKMR	syn_double[784].i

#define RA_TVG_AX_0  syn_double[800].i
#define RA_TVG_AX_1  syn_double[801].i
#define RA_TVG_AX_2  syn_double[802].i
#define RA_TVG_AX_3  syn_double[803].i
#define RA_TVG_AX_4  syn_double[804].i
#define RA_TVG_AX_5  syn_double[805].i
#define RA_TVG_AX_6  syn_double[806].i
#define RA_TVG_AX_7  syn_double[807].i
#define RA_TVG_AX_8  syn_double[808].i
#define RA_TVG_AX_9  syn_double[809].i
#define RA_TVG_AX_10  syn_double[810].i
#define RA_TVG_AX_11  syn_double[811].i
#define RA_TVG_AX_12  syn_double[812].i
#define RA_TVG_AX_13  syn_double[813].i
#define RA_TVG_AX_14  syn_double[814].i
#define RA_TVG_AX_15  syn_double[815].i
#define RA_SFF_AX_0  syn_double[816].i
#define RA_SFF_AX_1  syn_double[817].i
#define RA_SFF_AX_2  syn_double[818].i
#define RA_SFF_AX_3  syn_double[819].i
#define RA_SFF_AX_4  syn_double[820].i
#define RA_SFF_AX_5  syn_double[821].i
#define RA_SFF_AX_6  syn_double[822].i
#define RA_SFF_AX_7  syn_double[823].i
#define RA_SFF_AX_8  syn_double[824].i
#define RA_SFF_AX_9  syn_double[825].i
#define RA_SFF_AX_10  syn_double[826].i
#define RA_SFF_AX_11  syn_double[827].i
#define RA_SFF_AX_12  syn_double[828].i
#define RA_SFF_AX_13  syn_double[829].i
#define RA_SFF_AX_14  syn_double[830].i
#define RA_SFF_AX_15  syn_double[831].i
#define RA_MR_AX_0  syn_double[832].i
#define RA_MR_AX_1  syn_double[833].i
#define RA_MR_AX_2  syn_double[834].i
#define RA_MR_AX_3  syn_double[835].i
#define RA_MR_AX_4  syn_double[836].i
#define RA_MR_AX_5  syn_double[837].i
#define RA_MR_AX_6  syn_double[838].i
#define RA_MR_AX_7  syn_double[839].i
#define RA_MR_AX_8  syn_double[840].i
#define RA_MR_AX_9  syn_double[841].i
#define RA_MR_AX_10  syn_double[842].i
#define RA_MR_AX_11  syn_double[843].i
#define RA_MR_AX_12  syn_double[844].i
#define RA_MR_AX_13  syn_double[845].i
#define RA_MR_AX_14  syn_double[846].i
#define RA_MR_AX_15  syn_double[847].i
#define RA_XDTR_AX_0  syn_double[848].i
#define RA_XDTR_AX_1  syn_double[849].i
#define RA_XDTR_AX_2  syn_double[850].i
#define RA_XDTR_AX_3  syn_double[851].i
#define RA_XDTR_AX_4  syn_double[852].i
#define RA_XDTR_AX_5  syn_double[853].i
#define RA_XDTR_AX_6  syn_double[854].i
#define RA_XDTR_AX_7  syn_double[855].i
#define RA_XDTR_AX_8  syn_double[856].i
#define RA_XDTR_AX_9  syn_double[857].i
#define RA_XDTR_AX_10  syn_double[858].i
#define RA_XDTR_AX_11  syn_double[859].i
#define RA_XDTR_AX_12  syn_double[860].i
#define RA_XDTR_AX_13  syn_double[861].i
#define RA_XDTR_AX_14  syn_double[862].i
#define RA_XDTR_AX_15  syn_double[863].i
#define RA_DTR_AX_0  syn_double[864].i
#define RA_DTR_AX_1  syn_double[865].i
#define RA_DTR_AX_2  syn_double[866].i
#define RA_DTR_AX_3  syn_double[867].i
#define RA_DTR_AX_4  syn_double[868].i
#define RA_DTR_AX_5  syn_double[869].i
#define RA_DTR_AX_6  syn_double[870].i
#define RA_DTR_AX_7  syn_double[871].i
#define RA_DTR_AX_8  syn_double[872].i
#define RA_DTR_AX_9  syn_double[873].i
#define RA_DTR_AX_10  syn_double[874].i
#define RA_DTR_AX_11  syn_double[875].i
#define RA_DTR_AX_12  syn_double[876].i
#define RA_DTR_AX_13  syn_double[877].i
#define RA_DTR_AX_14  syn_double[878].i
#define RA_DTR_AX_15  syn_double[879].i
#define RA_RDTR_AX_0  syn_double[880].i
#define RA_RDTR_AX_1  syn_double[881].i
#define RA_RDTR_AX_2  syn_double[882].i
#define RA_RDTR_AX_3  syn_double[883].i
#define RA_RDTR_AX_4  syn_double[884].i
#define RA_RDTR_AX_5  syn_double[885].i
#define RA_RDTR_AX_6  syn_double[886].i
#define RA_RDTR_AX_7  syn_double[887].i
#define RA_RDTR_AX_8  syn_double[888].i
#define RA_RDTR_AX_9  syn_double[889].i
#define RA_RDTR_AX_10  syn_double[890].i
#define RA_RDTR_AX_11  syn_double[891].i
#define RA_RDTR_AX_12  syn_double[892].i
#define RA_RDTR_AX_13  syn_double[893].i
#define RA_RDTR_AX_14  syn_double[894].i
#define RA_RDTR_AX_15  syn_double[895].i

// BEVEL_#, TAIL_#
#define BEVEL_N  syn_double[896].i
#define BEVEL_R  syn_double[897].i
#define BEVEL_E  syn_double[898].i
#define TAIL_N  syn_double[899].i
#define TAIL_R  syn_double[900].i
#define TAIL_E  syn_double[901].i

// Sinonimi corrispondenti al valore attuale della correzione asse
#define AX_CORR_0 syn_double[902].i
#define AX_CORR_1 syn_double[903].i
#define AX_CORR_2 syn_double[904].i
#define AX_CORR_3 syn_double[905].i
#define AX_CORR_4 syn_double[906].i
#define AX_CORR_5 syn_double[907].i
#define AX_CORR_6 syn_double[908].i
#define AX_CORR_7 syn_double[909].i
#define AX_CORR_8 syn_double[910].i
#define AX_CORR_9 syn_double[911].i
#define AX_CORR_10 syn_double[912].i
#define AX_CORR_11 syn_double[913].i
#define AX_CORR_12 syn_double[914].i
#define AX_CORR_13 syn_double[915].i
#define AX_CORR_14 syn_double[916].i
#define AX_CORR_15 syn_double[917].i

// soglia di velocita' per ripresa di zero mandrino (SGV: [n1])
#define AX_SGLMSET1_0 syn_double[918].i
#define AX_SGLMSET1_1 syn_double[919].i
#define AX_SGLMSET1_2 syn_double[920].i
#define AX_SGLMSET1_3 syn_double[921].i
#define AX_SGLMSET1_4 syn_double[922].i
#define AX_SGLMSET1_5 syn_double[923].i
#define AX_SGLMSET1_6 syn_double[924].i
#define AX_SGLMSET1_7 syn_double[925].i
#define AX_SGLMSET1_8 syn_double[926].i
#define AX_SGLMSET1_9 syn_double[927].i
#define AX_SGLMSET1_10 syn_double[928].i
#define AX_SGLMSET1_11 syn_double[929].i
#define AX_SGLMSET1_12 syn_double[930].i
#define AX_SGLMSET1_13 syn_double[931].i
#define AX_SGLMSET1_14 syn_double[932].i
#define AX_SGLMSET1_15 syn_double[933].i

// velocita' limite asse finto
#define VLM_AX_0 syn_double[934].i
#define VLM_AX_1 syn_double[935].i
#define VLM_AX_2 syn_double[936].i
#define VLM_AX_3 syn_double[937].i
#define VLM_AX_4 syn_double[938].i
#define VLM_AX_5 syn_double[939].i
#define VLM_AX_6 syn_double[940].i
#define VLM_AX_7 syn_double[941].i
#define VLM_AX_8 syn_double[942].i
#define VLM_AX_9 syn_double[943].i
#define VLM_AX_10 syn_double[944].i
#define VLM_AX_11 syn_double[945].i
#define VLM_AX_12 syn_double[946].i
#define VLM_AX_13 syn_double[947].i
#define VLM_AX_14 syn_double[948].i
#define VLM_AX_15 syn_double[949].i

// Master slave torque coupling: master velocity
#define MSTC_VEL_M_0  syn_double[950].i
#define MSTC_VEL_M_1  syn_double[951].i
#define MSTC_VEL_M_2  syn_double[952].i
#define MSTC_VEL_M_3  syn_double[953].i
#define MSTC_VEL_M_4  syn_double[954].i
#define MSTC_VEL_M_5  syn_double[955].i
#define MSTC_VEL_M_6  syn_double[956].i
#define MSTC_VEL_M_7  syn_double[957].i
#define MSTC_VEL_M_8  syn_double[958].i
#define MSTC_VEL_M_9  syn_double[959].i
#define MSTC_VEL_M_10 syn_double[960].i
#define MSTC_VEL_M_11 syn_double[961].i
#define MSTC_VEL_M_12 syn_double[962].i
#define MSTC_VEL_M_13 syn_double[963].i
#define MSTC_VEL_M_14 syn_double[964].i
#define MSTC_VEL_M_15 syn_double[965].i

// Master slave torque coupling: slave velocity
#define MSTC_VEL_S_0  syn_double[966].i
#define MSTC_VEL_S_1  syn_double[967].i
#define MSTC_VEL_S_2  syn_double[968].i
#define MSTC_VEL_S_3  syn_double[969].i
#define MSTC_VEL_S_4  syn_double[970].i
#define MSTC_VEL_S_5  syn_double[971].i
#define MSTC_VEL_S_6  syn_double[972].i
#define MSTC_VEL_S_7  syn_double[973].i
#define MSTC_VEL_S_8  syn_double[974].i
#define MSTC_VEL_S_9  syn_double[975].i
#define MSTC_VEL_S_10 syn_double[976].i
#define MSTC_VEL_S_11 syn_double[977].i
#define MSTC_VEL_S_12 syn_double[978].i
#define MSTC_VEL_S_13 syn_double[979].i
#define MSTC_VEL_S_14 syn_double[980].i
#define MSTC_VEL_S_15 syn_double[981].i


// Sinonimi customizzabili da PlcQuick per oscilloscopio 
#define SIGVAR_0 syn_double[1008].i
#define SIGVAR_1 syn_double[1009].i
#define SIGVAR_2 syn_double[1010].i
#define SIGVAR_3 syn_double[1011].i
#define SIGVAR_4 syn_double[1012].i
#define SIGVAR_5 syn_double[1013].i
#define SIGVAR_6 syn_double[1014].i
#define SIGVAR_7 syn_double[1015].i
#define SIGVAR_8 syn_double[1016].i
#define SIGVAR_9 syn_double[1017].i
#define SIGVAR_10 syn_double[1018].i
#define SIGVAR_11 syn_double[1019].i
#define SIGVAR_12 syn_double[1020].i
#define SIGVAR_13 syn_double[1021].i
#define SIGVAR_14 syn_double[1022].i
#define SIGVAR_15 syn_double[1023].i


/******************************************************************/
/******************************************************************/





/****************************************************************/
/* Definizione dei sinonimi DWORD (da 0 a MAX_SYN_DWORD-1=1023) */
/****************************************************************/
/* Flag Asse Configurato (Dato di TARATURA) */
#define IS_CFG_AX    syn_dword[0].u
#define IS_CFG_AX_0  syn_dword[0].bit._00
#define IS_CFG_AX_1  syn_dword[0].bit._01
#define IS_CFG_AX_2  syn_dword[0].bit._02
#define IS_CFG_AX_3  syn_dword[0].bit._03
#define IS_CFG_AX_4  syn_dword[0].bit._04
#define IS_CFG_AX_5  syn_dword[0].bit._05
#define IS_CFG_AX_6  syn_dword[0].bit._06
#define IS_CFG_AX_7  syn_dword[0].bit._07
#define IS_CFG_AX_8  syn_dword[0].bit._08
#define IS_CFG_AX_9  syn_dword[0].bit._09
#define IS_CFG_AX_10 syn_dword[0].bit._10
#define IS_CFG_AX_11 syn_dword[0].bit._11
#define IS_CFG_AX_12 syn_dword[0].bit._12
#define IS_CFG_AX_13 syn_dword[0].bit._13
#define IS_CFG_AX_14 syn_dword[0].bit._14
#define IS_CFG_AX_15 syn_dword[0].bit._15

/* Flag NON Disponibile da TARATURA (Dato di TARATURA) */
#define IS_BRKTAR_AX    syn_dword[1].u
#define IS_BRKTAR_AX_0  syn_dword[1].bit._00
#define IS_BRKTAR_AX_1  syn_dword[1].bit._01
#define IS_BRKTAR_AX_2  syn_dword[1].bit._02
#define IS_BRKTAR_AX_3  syn_dword[1].bit._03
#define IS_BRKTAR_AX_4  syn_dword[1].bit._04
#define IS_BRKTAR_AX_5  syn_dword[1].bit._05
#define IS_BRKTAR_AX_6  syn_dword[1].bit._06
#define IS_BRKTAR_AX_7  syn_dword[1].bit._07
#define IS_BRKTAR_AX_8  syn_dword[1].bit._08
#define IS_BRKTAR_AX_9  syn_dword[1].bit._09
#define IS_BRKTAR_AX_10 syn_dword[1].bit._10
#define IS_BRKTAR_AX_11 syn_dword[1].bit._11
#define IS_BRKTAR_AX_12 syn_dword[1].bit._12
#define IS_BRKTAR_AX_13 syn_dword[1].bit._13
#define IS_BRKTAR_AX_14 syn_dword[1].bit._14
#define IS_BRKTAR_AX_15 syn_dword[1].bit._15

/* Flag Asse Lineare in [mm] (Dato di TARATURA) */
#define IS_LIN_AX    syn_dword[2].u
#define IS_LIN_AX_0  syn_dword[2].bit._00
#define IS_LIN_AX_1  syn_dword[2].bit._01
#define IS_LIN_AX_2  syn_dword[2].bit._02
#define IS_LIN_AX_3  syn_dword[2].bit._03
#define IS_LIN_AX_4  syn_dword[2].bit._04
#define IS_LIN_AX_5  syn_dword[2].bit._05
#define IS_LIN_AX_6  syn_dword[2].bit._06
#define IS_LIN_AX_7  syn_dword[2].bit._07
#define IS_LIN_AX_8  syn_dword[2].bit._08
#define IS_LIN_AX_9  syn_dword[2].bit._09
#define IS_LIN_AX_10 syn_dword[2].bit._10
#define IS_LIN_AX_11 syn_dword[2].bit._11
#define IS_LIN_AX_12 syn_dword[2].bit._12
#define IS_LIN_AX_13 syn_dword[2].bit._13
#define IS_LIN_AX_14 syn_dword[2].bit._14
#define IS_LIN_AX_15 syn_dword[2].bit._15

/* Flag Asse Lineare in [gradi] (Dato di TARATURA) */
#define IS_IGR_AX    syn_dword[3].u
#define IS_IGR_AX_0  syn_dword[3].bit._00
#define IS_IGR_AX_1  syn_dword[3].bit._01
#define IS_IGR_AX_2  syn_dword[3].bit._02
#define IS_IGR_AX_3  syn_dword[3].bit._03
#define IS_IGR_AX_4  syn_dword[3].bit._04
#define IS_IGR_AX_5  syn_dword[3].bit._05
#define IS_IGR_AX_6  syn_dword[3].bit._06
#define IS_IGR_AX_7  syn_dword[3].bit._07
#define IS_IGR_AX_8  syn_dword[3].bit._08
#define IS_IGR_AX_9  syn_dword[3].bit._09
#define IS_IGR_AX_10 syn_dword[3].bit._10
#define IS_IGR_AX_11 syn_dword[3].bit._11
#define IS_IGR_AX_12 syn_dword[3].bit._12
#define IS_IGR_AX_13 syn_dword[3].bit._13
#define IS_IGR_AX_14 syn_dword[3].bit._14
#define IS_IGR_AX_15 syn_dword[3].bit._15

/* Flag Asse TONDO (Dato di TARATURA) */
#define IS_TND_AX    syn_dword[4].u
#define IS_TND_AX_0  syn_dword[4].bit._00
#define IS_TND_AX_1  syn_dword[4].bit._01
#define IS_TND_AX_2  syn_dword[4].bit._02
#define IS_TND_AX_3  syn_dword[4].bit._03
#define IS_TND_AX_4  syn_dword[4].bit._04
#define IS_TND_AX_5  syn_dword[4].bit._05
#define IS_TND_AX_6  syn_dword[4].bit._06
#define IS_TND_AX_7  syn_dword[4].bit._07
#define IS_TND_AX_8  syn_dword[4].bit._08
#define IS_TND_AX_9  syn_dword[4].bit._09
#define IS_TND_AX_10 syn_dword[4].bit._10
#define IS_TND_AX_11 syn_dword[4].bit._11
#define IS_TND_AX_12 syn_dword[4].bit._12
#define IS_TND_AX_13 syn_dword[4].bit._13
#define IS_TND_AX_14 syn_dword[4].bit._14
#define IS_TND_AX_15 syn_dword[4].bit._15

/* Flag Asse ASSOLUTO (Dato di TARATURA) */
#define IS_ABS_AX    syn_dword[5].u
#define IS_ABS_AX_0  syn_dword[5].bit._00
#define IS_ABS_AX_1  syn_dword[5].bit._01
#define IS_ABS_AX_2  syn_dword[5].bit._02
#define IS_ABS_AX_3  syn_dword[5].bit._03
#define IS_ABS_AX_4  syn_dword[5].bit._04
#define IS_ABS_AX_5  syn_dword[5].bit._05
#define IS_ABS_AX_6  syn_dword[5].bit._06
#define IS_ABS_AX_7  syn_dword[5].bit._07
#define IS_ABS_AX_8  syn_dword[5].bit._08
#define IS_ABS_AX_9  syn_dword[5].bit._09
#define IS_ABS_AX_10 syn_dword[5].bit._10
#define IS_ABS_AX_11 syn_dword[5].bit._11
#define IS_ABS_AX_12 syn_dword[5].bit._12
#define IS_ABS_AX_13 syn_dword[5].bit._13
#define IS_ABS_AX_14 syn_dword[5].bit._14
#define IS_ABS_AX_15 syn_dword[5].bit._15

/* Flag Asse CNC da TARATURA (Dato di TARATURA) */
#define IS_CNCTAR_AX    syn_dword[6].u
#define IS_CNCTAR_AX_0  syn_dword[6].bit._00
#define IS_CNCTAR_AX_1  syn_dword[6].bit._01
#define IS_CNCTAR_AX_2  syn_dword[6].bit._02
#define IS_CNCTAR_AX_3  syn_dword[6].bit._03
#define IS_CNCTAR_AX_4  syn_dword[6].bit._04
#define IS_CNCTAR_AX_5  syn_dword[6].bit._05
#define IS_CNCTAR_AX_6  syn_dword[6].bit._06
#define IS_CNCTAR_AX_7  syn_dword[6].bit._07
#define IS_CNCTAR_AX_8  syn_dword[6].bit._08
#define IS_CNCTAR_AX_9  syn_dword[6].bit._09
#define IS_CNCTAR_AX_10 syn_dword[6].bit._10
#define IS_CNCTAR_AX_11 syn_dword[6].bit._11
#define IS_CNCTAR_AX_12 syn_dword[6].bit._12
#define IS_CNCTAR_AX_13 syn_dword[6].bit._13
#define IS_CNCTAR_AX_14 syn_dword[6].bit._14
#define IS_CNCTAR_AX_15 syn_dword[6].bit._15

/* Flag Asse FREE da TARATURA (Dato di TARATURA) */
#define IS_FRETAR_AX    syn_dword[7].u
#define IS_FRETAR_AX_0  syn_dword[7].bit._00
#define IS_FRETAR_AX_1  syn_dword[7].bit._01
#define IS_FRETAR_AX_2  syn_dword[7].bit._02
#define IS_FRETAR_AX_3  syn_dword[7].bit._03
#define IS_FRETAR_AX_4  syn_dword[7].bit._04
#define IS_FRETAR_AX_5  syn_dword[7].bit._05
#define IS_FRETAR_AX_6  syn_dword[7].bit._06
#define IS_FRETAR_AX_7  syn_dword[7].bit._07
#define IS_FRETAR_AX_8  syn_dword[7].bit._08
#define IS_FRETAR_AX_9  syn_dword[7].bit._09
#define IS_FRETAR_AX_10 syn_dword[7].bit._10
#define IS_FRETAR_AX_11 syn_dword[7].bit._11
#define IS_FRETAR_AX_12 syn_dword[7].bit._12
#define IS_FRETAR_AX_13 syn_dword[7].bit._13
#define IS_FRETAR_AX_14 syn_dword[7].bit._14
#define IS_FRETAR_AX_15 syn_dword[7].bit._15

/* Flag asse libero di muoversi (bit ASLM_MUV) */
#define IS_ASLM_MUV_AX    syn_dword[8].u
#define IS_ASLM_MUV_AX_0  syn_dword[8].bit._00
#define IS_ASLM_MUV_AX_1  syn_dword[8].bit._01
#define IS_ASLM_MUV_AX_2  syn_dword[8].bit._02
#define IS_ASLM_MUV_AX_3  syn_dword[8].bit._03
#define IS_ASLM_MUV_AX_4  syn_dword[8].bit._04
#define IS_ASLM_MUV_AX_5  syn_dword[8].bit._05
#define IS_ASLM_MUV_AX_6  syn_dword[8].bit._06
#define IS_ASLM_MUV_AX_7  syn_dword[8].bit._07
#define IS_ASLM_MUV_AX_8  syn_dword[8].bit._08
#define IS_ASLM_MUV_AX_9  syn_dword[8].bit._09
#define IS_ASLM_MUV_AX_10 syn_dword[8].bit._10
#define IS_ASLM_MUV_AX_11 syn_dword[8].bit._11
#define IS_ASLM_MUV_AX_12 syn_dword[8].bit._12
#define IS_ASLM_MUV_AX_13 syn_dword[8].bit._13
#define IS_ASLM_MUV_AX_14 syn_dword[8].bit._14
#define IS_ASLM_MUV_AX_15 syn_dword[8].bit._15

/* Flag Asse Digitale ECSLINK (Dato di TARATURA) */
#define IS_ECSLINK_AX    syn_dword[9].u
#define IS_ECSLINK_AX_0  syn_dword[9].bit._00
#define IS_ECSLINK_AX_1  syn_dword[9].bit._01
#define IS_ECSLINK_AX_2  syn_dword[9].bit._02
#define IS_ECSLINK_AX_3  syn_dword[9].bit._03
#define IS_ECSLINK_AX_4  syn_dword[9].bit._04
#define IS_ECSLINK_AX_5  syn_dword[9].bit._05
#define IS_ECSLINK_AX_6  syn_dword[9].bit._06
#define IS_ECSLINK_AX_7  syn_dword[9].bit._07
#define IS_ECSLINK_AX_8  syn_dword[9].bit._08
#define IS_ECSLINK_AX_9  syn_dword[9].bit._09
#define IS_ECSLINK_AX_10 syn_dword[9].bit._10
#define IS_ECSLINK_AX_11 syn_dword[9].bit._11
#define IS_ECSLINK_AX_12 syn_dword[9].bit._12
#define IS_ECSLINK_AX_13 syn_dword[9].bit._13
#define IS_ECSLINK_AX_14 syn_dword[9].bit._14
#define IS_ECSLINK_AX_15 syn_dword[9].bit._15

/* Flag asse appartenente al P.C. (bit ASLM_PC) */
#define IS_ASLM_PC_AX    syn_dword[10].u
#define IS_ASLM_PC_AX_0  syn_dword[10].bit._00
#define IS_ASLM_PC_AX_1  syn_dword[10].bit._01
#define IS_ASLM_PC_AX_2  syn_dword[10].bit._02
#define IS_ASLM_PC_AX_3  syn_dword[10].bit._03
#define IS_ASLM_PC_AX_4  syn_dword[10].bit._04
#define IS_ASLM_PC_AX_5  syn_dword[10].bit._05
#define IS_ASLM_PC_AX_6  syn_dword[10].bit._06
#define IS_ASLM_PC_AX_7  syn_dword[10].bit._07
#define IS_ASLM_PC_AX_8  syn_dword[10].bit._08
#define IS_ASLM_PC_AX_9  syn_dword[10].bit._09
#define IS_ASLM_PC_AX_10 syn_dword[10].bit._10
#define IS_ASLM_PC_AX_11 syn_dword[10].bit._11
#define IS_ASLM_PC_AX_12 syn_dword[10].bit._12
#define IS_ASLM_PC_AX_13 syn_dword[10].bit._13
#define IS_ASLM_PC_AX_14 syn_dword[10].bit._14
#define IS_ASLM_PC_AX_15 syn_dword[10].bit._15

/* Flag "Asse T" - Asse di Trascinamento di tipo 1 (Dato di TARATURA) */
#define IS_T1_AX    syn_dword[11].u
#define IS_T1_AX_0  syn_dword[11].bit._00
#define IS_T1_AX_1  syn_dword[11].bit._01
#define IS_T1_AX_2  syn_dword[11].bit._02
#define IS_T1_AX_3  syn_dword[11].bit._03
#define IS_T1_AX_4  syn_dword[11].bit._04
#define IS_T1_AX_5  syn_dword[11].bit._05
#define IS_T1_AX_6  syn_dword[11].bit._06
#define IS_T1_AX_7  syn_dword[11].bit._07
#define IS_T1_AX_8  syn_dword[11].bit._08
#define IS_T1_AX_9  syn_dword[11].bit._09
#define IS_T1_AX_10 syn_dword[11].bit._10
#define IS_T1_AX_11 syn_dword[11].bit._11
#define IS_T1_AX_12 syn_dword[11].bit._12
#define IS_T1_AX_13 syn_dword[11].bit._13
#define IS_T1_AX_14 syn_dword[11].bit._14
#define IS_T1_AX_15 syn_dword[11].bit._15

/* Flag "Asse T" - Asse di Trascinamento di tipo 2 (Dato di TARATURA) */
#define IS_T2_AX    syn_dword[12].u
#define IS_T2_AX_0  syn_dword[12].bit._00
#define IS_T2_AX_1  syn_dword[12].bit._01
#define IS_T2_AX_2  syn_dword[12].bit._02
#define IS_T2_AX_3  syn_dword[12].bit._03
#define IS_T2_AX_4  syn_dword[12].bit._04
#define IS_T2_AX_5  syn_dword[12].bit._05
#define IS_T2_AX_6  syn_dword[12].bit._06
#define IS_T2_AX_7  syn_dword[12].bit._07
#define IS_T2_AX_8  syn_dword[12].bit._08
#define IS_T2_AX_9  syn_dword[12].bit._09
#define IS_T2_AX_10 syn_dword[12].bit._10
#define IS_T2_AX_11 syn_dword[12].bit._11
#define IS_T2_AX_12 syn_dword[12].bit._12
#define IS_T2_AX_13 syn_dword[12].bit._13
#define IS_T2_AX_14 syn_dword[12].bit._14
#define IS_T2_AX_15 syn_dword[12].bit._15

/* Flag Asse MANDRINO (Dato di TARATURA) */
#define IS_MND_AX    syn_dword[14].u
#define IS_MND_AX_0  syn_dword[14].bit._00
#define IS_MND_AX_1  syn_dword[14].bit._01
#define IS_MND_AX_2  syn_dword[14].bit._02
#define IS_MND_AX_3  syn_dword[14].bit._03
#define IS_MND_AX_4  syn_dword[14].bit._04
#define IS_MND_AX_5  syn_dword[14].bit._05
#define IS_MND_AX_6  syn_dword[14].bit._06
#define IS_MND_AX_7  syn_dword[14].bit._07
#define IS_MND_AX_8  syn_dword[14].bit._08
#define IS_MND_AX_9  syn_dword[14].bit._09
#define IS_MND_AX_10 syn_dword[14].bit._10
#define IS_MND_AX_11 syn_dword[14].bit._11
#define IS_MND_AX_12 syn_dword[14].bit._12
#define IS_MND_AX_13 syn_dword[14].bit._13
#define IS_MND_AX_14 syn_dword[14].bit._14
#define IS_MND_AX_15 syn_dword[14].bit._15

/* Flag Asse MANDRINO SECONDARIO (Dato di TARATURA) */
#define IS_MND_SEC_AX    syn_dword[15].u
#define IS_MND_SEC_AX_0  syn_dword[15].bit._00
#define IS_MND_SEC_AX_1  syn_dword[15].bit._01
#define IS_MND_SEC_AX_2  syn_dword[15].bit._02
#define IS_MND_SEC_AX_3  syn_dword[15].bit._03
#define IS_MND_SEC_AX_4  syn_dword[15].bit._04
#define IS_MND_SEC_AX_5  syn_dword[15].bit._05
#define IS_MND_SEC_AX_6  syn_dword[15].bit._06
#define IS_MND_SEC_AX_7  syn_dword[15].bit._07
#define IS_MND_SEC_AX_8  syn_dword[15].bit._08
#define IS_MND_SEC_AX_9  syn_dword[15].bit._09
#define IS_MND_SEC_AX_10 syn_dword[15].bit._10
#define IS_MND_SEC_AX_11 syn_dword[15].bit._11
#define IS_MND_SEC_AX_12 syn_dword[15].bit._12
#define IS_MND_SEC_AX_13 syn_dword[15].bit._13
#define IS_MND_SEC_AX_14 syn_dword[15].bit._14
#define IS_MND_SEC_AX_15 syn_dword[15].bit._15

/* Flag Asse di Tornitura dei diametri (Dato di TARATURA) */
#define IS_ADM_AX    syn_dword[16].u
#define IS_ADM_AX_0  syn_dword[16].bit._00
#define IS_ADM_AX_1  syn_dword[16].bit._01
#define IS_ADM_AX_2  syn_dword[16].bit._02
#define IS_ADM_AX_3  syn_dword[16].bit._03
#define IS_ADM_AX_4  syn_dword[16].bit._04
#define IS_ADM_AX_5  syn_dword[16].bit._05
#define IS_ADM_AX_6  syn_dword[16].bit._06
#define IS_ADM_AX_7  syn_dword[16].bit._07
#define IS_ADM_AX_8  syn_dword[16].bit._08
#define IS_ADM_AX_9  syn_dword[16].bit._09
#define IS_ADM_AX_10 syn_dword[16].bit._10
#define IS_ADM_AX_11 syn_dword[16].bit._11
#define IS_ADM_AX_12 syn_dword[16].bit._12
#define IS_ADM_AX_13 syn_dword[16].bit._13
#define IS_ADM_AX_14 syn_dword[16].bit._14
#define IS_ADM_AX_15 syn_dword[16].bit._15

/* Flag Asse di Tornitura degli spallamenti (Dato di TARATURA) */
#define IS_ASP_AX    syn_dword[17].u
#define IS_ASP_AX_0  syn_dword[17].bit._00
#define IS_ASP_AX_1  syn_dword[17].bit._01
#define IS_ASP_AX_2  syn_dword[17].bit._02
#define IS_ASP_AX_3  syn_dword[17].bit._03
#define IS_ASP_AX_4  syn_dword[17].bit._04
#define IS_ASP_AX_5  syn_dword[17].bit._05
#define IS_ASP_AX_6  syn_dword[17].bit._06
#define IS_ASP_AX_7  syn_dword[17].bit._07
#define IS_ASP_AX_8  syn_dword[17].bit._08
#define IS_ASP_AX_9  syn_dword[17].bit._09
#define IS_ASP_AX_10 syn_dword[17].bit._10
#define IS_ASP_AX_11 syn_dword[17].bit._11
#define IS_ASP_AX_12 syn_dword[17].bit._12
#define IS_ASP_AX_13 syn_dword[17].bit._13
#define IS_ASP_AX_14 syn_dword[17].bit._14
#define IS_ASP_AX_15 syn_dword[17].bit._15

/* Flag Asse di Tornitura dei diametri programmato */
/* con quote diametrali (Dato di TARATURA)         */
#define IS_PPD_TAR_AX    syn_dword[18].u
#define IS_PPD_TAR_AX_0  syn_dword[18].bit._00
#define IS_PPD_TAR_AX_1  syn_dword[18].bit._01
#define IS_PPD_TAR_AX_2  syn_dword[18].bit._02
#define IS_PPD_TAR_AX_3  syn_dword[18].bit._03
#define IS_PPD_TAR_AX_4  syn_dword[18].bit._04
#define IS_PPD_TAR_AX_5  syn_dword[18].bit._05
#define IS_PPD_TAR_AX_6  syn_dword[18].bit._06
#define IS_PPD_TAR_AX_7  syn_dword[18].bit._07
#define IS_PPD_TAR_AX_8  syn_dword[18].bit._08
#define IS_PPD_TAR_AX_9  syn_dword[18].bit._09
#define IS_PPD_TAR_AX_10 syn_dword[18].bit._10
#define IS_PPD_TAR_AX_11 syn_dword[18].bit._11
#define IS_PPD_TAR_AX_12 syn_dword[18].bit._12
#define IS_PPD_TAR_AX_13 syn_dword[18].bit._13
#define IS_PPD_TAR_AX_14 syn_dword[18].bit._14
#define IS_PPD_TAR_AX_15 syn_dword[18].bit._15

/* Flag Asse di Tornitura dei diametri programmato */
/* con quote diametrali (Dato ATTUALE)             */
#define IS_PPD_AX    syn_dword[19].u
#define IS_PPD_AX_0  syn_dword[19].bit._00
#define IS_PPD_AX_1  syn_dword[19].bit._01
#define IS_PPD_AX_2  syn_dword[19].bit._02
#define IS_PPD_AX_3  syn_dword[19].bit._03
#define IS_PPD_AX_4  syn_dword[19].bit._04
#define IS_PPD_AX_5  syn_dword[19].bit._05
#define IS_PPD_AX_6  syn_dword[19].bit._06
#define IS_PPD_AX_7  syn_dword[19].bit._07
#define IS_PPD_AX_8  syn_dword[19].bit._08
#define IS_PPD_AX_9  syn_dword[19].bit._09
#define IS_PPD_AX_10 syn_dword[19].bit._10
#define IS_PPD_AX_11 syn_dword[19].bit._11
#define IS_PPD_AX_12 syn_dword[19].bit._12
#define IS_PPD_AX_13 syn_dword[19].bit._13
#define IS_PPD_AX_14 syn_dword[19].bit._14
#define IS_PPD_AX_15 syn_dword[19].bit._15

/* Stato di Asse in ALLARME (rtData) */
#define STS_ALR_AX    syn_dword[20].u
#define STS_ALR_AX_0  syn_dword[20].bit._00
#define STS_ALR_AX_1  syn_dword[20].bit._01
#define STS_ALR_AX_2  syn_dword[20].bit._02
#define STS_ALR_AX_3  syn_dword[20].bit._03
#define STS_ALR_AX_4  syn_dword[20].bit._04
#define STS_ALR_AX_5  syn_dword[20].bit._05
#define STS_ALR_AX_6  syn_dword[20].bit._06
#define STS_ALR_AX_7  syn_dword[20].bit._07
#define STS_ALR_AX_8  syn_dword[20].bit._08
#define STS_ALR_AX_9  syn_dword[20].bit._09
#define STS_ALR_AX_10 syn_dword[20].bit._10
#define STS_ALR_AX_11 syn_dword[20].bit._11
#define STS_ALR_AX_12 syn_dword[20].bit._12
#define STS_ALR_AX_13 syn_dword[20].bit._13
#define STS_ALR_AX_14 syn_dword[20].bit._14
#define STS_ALR_AX_15 syn_dword[20].bit._15

/* Stato di Asse in WARNING (rtData) */
#define STS_WRN_AX    syn_dword[21].u
#define STS_WRN_AX_0  syn_dword[21].bit._00
#define STS_WRN_AX_1  syn_dword[21].bit._01
#define STS_WRN_AX_2  syn_dword[21].bit._02
#define STS_WRN_AX_3  syn_dword[21].bit._03
#define STS_WRN_AX_4  syn_dword[21].bit._04
#define STS_WRN_AX_5  syn_dword[21].bit._05
#define STS_WRN_AX_6  syn_dword[21].bit._06
#define STS_WRN_AX_7  syn_dword[21].bit._07
#define STS_WRN_AX_8  syn_dword[21].bit._08
#define STS_WRN_AX_9  syn_dword[21].bit._09
#define STS_WRN_AX_10 syn_dword[21].bit._10
#define STS_WRN_AX_11 syn_dword[21].bit._11
#define STS_WRN_AX_12 syn_dword[21].bit._12
#define STS_WRN_AX_13 syn_dword[21].bit._13
#define STS_WRN_AX_14 syn_dword[21].bit._14
#define STS_WRN_AX_15 syn_dword[21].bit._15

/* Stato di Asse con posizionamento in corso (per assi FRE) (rtData) */
#define STS_BOC_AX    syn_dword[22].u
#define STS_BOC_AX_0  syn_dword[22].bit._00
#define STS_BOC_AX_1  syn_dword[22].bit._01
#define STS_BOC_AX_2  syn_dword[22].bit._02
#define STS_BOC_AX_3  syn_dword[22].bit._03
#define STS_BOC_AX_4  syn_dword[22].bit._04
#define STS_BOC_AX_5  syn_dword[22].bit._05
#define STS_BOC_AX_6  syn_dword[22].bit._06
#define STS_BOC_AX_7  syn_dword[22].bit._07
#define STS_BOC_AX_8  syn_dword[22].bit._08
#define STS_BOC_AX_9  syn_dword[22].bit._09
#define STS_BOC_AX_10 syn_dword[22].bit._10
#define STS_BOC_AX_11 syn_dword[22].bit._11
#define STS_BOC_AX_12 syn_dword[22].bit._12
#define STS_BOC_AX_13 syn_dword[22].bit._13
#define STS_BOC_AX_14 syn_dword[22].bit._14
#define STS_BOC_AX_15 syn_dword[22].bit._15

/* Stato di Asse AGGANCIATO (rtData) */
#define STS_FAG_AX    syn_dword[23].u
#define STS_FAG_AX_0  syn_dword[23].bit._00
#define STS_FAG_AX_1  syn_dword[23].bit._01
#define STS_FAG_AX_2  syn_dword[23].bit._02
#define STS_FAG_AX_3  syn_dword[23].bit._03
#define STS_FAG_AX_4  syn_dword[23].bit._04
#define STS_FAG_AX_5  syn_dword[23].bit._05
#define STS_FAG_AX_6  syn_dword[23].bit._06
#define STS_FAG_AX_7  syn_dword[23].bit._07
#define STS_FAG_AX_8  syn_dword[23].bit._08
#define STS_FAG_AX_9  syn_dword[23].bit._09
#define STS_FAG_AX_10 syn_dword[23].bit._10
#define STS_FAG_AX_11 syn_dword[23].bit._11
#define STS_FAG_AX_12 syn_dword[23].bit._12
#define STS_FAG_AX_13 syn_dword[23].bit._13
#define STS_FAG_AX_14 syn_dword[23].bit._14
#define STS_FAG_AX_15 syn_dword[23].bit._15

/* Stato di Asse AGGANCIATO IN CONTOURING (rtData) */
#define STS_FAGCN_AX    syn_dword[24].u
#define STS_FAGCN_AX_0  syn_dword[24].bit._00
#define STS_FAGCN_AX_1  syn_dword[24].bit._01
#define STS_FAGCN_AX_2  syn_dword[24].bit._02
#define STS_FAGCN_AX_3  syn_dword[24].bit._03
#define STS_FAGCN_AX_4  syn_dword[24].bit._04
#define STS_FAGCN_AX_5  syn_dword[24].bit._05
#define STS_FAGCN_AX_6  syn_dword[24].bit._06
#define STS_FAGCN_AX_7  syn_dword[24].bit._07
#define STS_FAGCN_AX_8  syn_dword[24].bit._08
#define STS_FAGCN_AX_9  syn_dword[24].bit._09
#define STS_FAGCN_AX_10 syn_dword[24].bit._10
#define STS_FAGCN_AX_11 syn_dword[24].bit._11
#define STS_FAGCN_AX_12 syn_dword[24].bit._12
#define STS_FAGCN_AX_13 syn_dword[24].bit._13
#define STS_FAGCN_AX_14 syn_dword[24].bit._14
#define STS_FAGCN_AX_15 syn_dword[24].bit._15

/* Stato di Asse AGGANCIATO FREE (rtData) */
#define STS_FAGFRE_AX    syn_dword[25].u
#define STS_FAGFRE_AX_0  syn_dword[25].bit._00
#define STS_FAGFRE_AX_1  syn_dword[25].bit._01
#define STS_FAGFRE_AX_2  syn_dword[25].bit._02
#define STS_FAGFRE_AX_3  syn_dword[25].bit._03
#define STS_FAGFRE_AX_4  syn_dword[25].bit._04
#define STS_FAGFRE_AX_5  syn_dword[25].bit._05
#define STS_FAGFRE_AX_6  syn_dword[25].bit._06
#define STS_FAGFRE_AX_7  syn_dword[25].bit._07
#define STS_FAGFRE_AX_8  syn_dword[25].bit._08
#define STS_FAGFRE_AX_9  syn_dword[25].bit._09
#define STS_FAGFRE_AX_10 syn_dword[25].bit._10
#define STS_FAGFRE_AX_11 syn_dword[25].bit._11
#define STS_FAGFRE_AX_12 syn_dword[25].bit._12
#define STS_FAGFRE_AX_13 syn_dword[25].bit._13
#define STS_FAGFRE_AX_14 syn_dword[25].bit._14
#define STS_FAGFRE_AX_15 syn_dword[25].bit._15

/* Stato di Asse AGGANCIATO IN VELOCITA' (rtData) */
#define STS_FAGVEL_AX    syn_dword[26].u
#define STS_FAGVEL_AX_0  syn_dword[26].bit._00
#define STS_FAGVEL_AX_1  syn_dword[26].bit._01
#define STS_FAGVEL_AX_2  syn_dword[26].bit._02
#define STS_FAGVEL_AX_3  syn_dword[26].bit._03
#define STS_FAGVEL_AX_4  syn_dword[26].bit._04
#define STS_FAGVEL_AX_5  syn_dword[26].bit._05
#define STS_FAGVEL_AX_6  syn_dword[26].bit._06
#define STS_FAGVEL_AX_7  syn_dword[26].bit._07
#define STS_FAGVEL_AX_8  syn_dword[26].bit._08
#define STS_FAGVEL_AX_9  syn_dword[26].bit._09
#define STS_FAGVEL_AX_10 syn_dword[26].bit._10
#define STS_FAGVEL_AX_11 syn_dword[26].bit._11
#define STS_FAGVEL_AX_12 syn_dword[26].bit._12
#define STS_FAGVEL_AX_13 syn_dword[26].bit._13
#define STS_FAGVEL_AX_14 syn_dword[26].bit._14
#define STS_FAGVEL_AX_15 syn_dword[26].bit._15


/* Contatore incrementale del num. di TCYC (rtData) */
#define TCYC_COUNTER     syn_dword[27].u

/* Contatore incrementale del num. di TAU (rtData) */
#define TAU_COUNTER      syn_dword[28].u

/* Contatore incrementale del num. di TAUPLC (rtData) */
#define TAUPLC_COUNTER   syn_dword[29].u


/*----------------------------------------*/
/* Variabile 0 degli stati del CN (rtData)*/
/*----------------------------------------*/
#define CN0_STS          syn_dword[30].u

/* Bit di commutazione di ogni TCYC */
#define CN0_STS_TCYC     syn_dword[30].bit._00

/* Bit di commutazione di ogni TAU */
#define CN0_STS_TAU      syn_dword[30].bit._01

/* Bit di commutazione di ogni TAUPLC */
#define CN0_STS_TAUPLC   syn_dword[30].bit._02
/*----------------------------------------*/
/*----------------------------------------*/

/* Flag Asse FALSO (Dato di TARATURA) */
#define IS_FALSE_AX    syn_dword[31].u
#define IS_FALSE_AX_0  syn_dword[31].bit._00
#define IS_FALSE_AX_1  syn_dword[31].bit._01
#define IS_FALSE_AX_2  syn_dword[31].bit._02
#define IS_FALSE_AX_3  syn_dword[31].bit._03
#define IS_FALSE_AX_4  syn_dword[31].bit._04
#define IS_FALSE_AX_5  syn_dword[31].bit._05
#define IS_FALSE_AX_6  syn_dword[31].bit._06
#define IS_FALSE_AX_7  syn_dword[31].bit._07
#define IS_FALSE_AX_8  syn_dword[31].bit._08
#define IS_FALSE_AX_9  syn_dword[31].bit._09
#define IS_FALSE_AX_10 syn_dword[31].bit._10
#define IS_FALSE_AX_11 syn_dword[31].bit._11
#define IS_FALSE_AX_12 syn_dword[31].bit._12
#define IS_FALSE_AX_13 syn_dword[31].bit._13
#define IS_FALSE_AX_14 syn_dword[31].bit._14
#define IS_FALSE_AX_15 syn_dword[31].bit._15



/* Contatore principale Mxx (plcData) */
#define MCOUNT1     syn_dword[32].u

/* Contatore secondario Mxx (plcData) */
#define MCOUNT2     syn_dword[33].u

/* Configurazione contatore principale Mxx (plcData) */
#define MCOUNT1_CNF syn_dword[34].u

/* Configurazione contatore secondario Mxx (plcData) */
#define MCOUNT2_CNF syn_dword[35].u



/* Assi da muovere in Jog in senso Positivo (plcData) */
#define IJOGP_AX    syn_dword[36].u
#define IJOGP_AX_0  syn_dword[36].bit._00
#define IJOGP_AX_1  syn_dword[36].bit._01
#define IJOGP_AX_2  syn_dword[36].bit._02
#define IJOGP_AX_3  syn_dword[36].bit._03
#define IJOGP_AX_4  syn_dword[36].bit._04
#define IJOGP_AX_5  syn_dword[36].bit._05
#define IJOGP_AX_6  syn_dword[36].bit._06
#define IJOGP_AX_7  syn_dword[36].bit._07
#define IJOGP_AX_8  syn_dword[36].bit._08
#define IJOGP_AX_9  syn_dword[36].bit._09
#define IJOGP_AX_10 syn_dword[36].bit._10
#define IJOGP_AX_11 syn_dword[36].bit._11
#define IJOGP_AX_12 syn_dword[36].bit._12
#define IJOGP_AX_13 syn_dword[36].bit._13
#define IJOGP_AX_14 syn_dword[36].bit._14
#define IJOGP_AX_15 syn_dword[36].bit._15

/* Assi da muovere in Jog in senso Negativo (plcData) */
#define IJOGN_AX    syn_dword[37].u
#define IJOGN_AX_0  syn_dword[37].bit._00
#define IJOGN_AX_1  syn_dword[37].bit._01
#define IJOGN_AX_2  syn_dword[37].bit._02
#define IJOGN_AX_3  syn_dword[37].bit._03
#define IJOGN_AX_4  syn_dword[37].bit._04
#define IJOGN_AX_5  syn_dword[37].bit._05
#define IJOGN_AX_6  syn_dword[37].bit._06
#define IJOGN_AX_7  syn_dword[37].bit._07
#define IJOGN_AX_8  syn_dword[37].bit._08
#define IJOGN_AX_9  syn_dword[37].bit._09
#define IJOGN_AX_10 syn_dword[37].bit._10
#define IJOGN_AX_11 syn_dword[37].bit._11
#define IJOGN_AX_12 syn_dword[37].bit._12
#define IJOGN_AX_13 syn_dword[37].bit._13
#define IJOGN_AX_14 syn_dword[37].bit._14
#define IJOGN_AX_15 syn_dword[37].bit._15

/* Jog attivo sull'asse (plcData) */
#define OJOG_AX    syn_dword[38].u
#define OJOG_AX_0  syn_dword[38].bit._00
#define OJOG_AX_1  syn_dword[38].bit._01
#define OJOG_AX_2  syn_dword[38].bit._02
#define OJOG_AX_3  syn_dword[38].bit._03
#define OJOG_AX_4  syn_dword[38].bit._04
#define OJOG_AX_5  syn_dword[38].bit._05
#define OJOG_AX_6  syn_dword[38].bit._06
#define OJOG_AX_7  syn_dword[38].bit._07
#define OJOG_AX_8  syn_dword[38].bit._08
#define OJOG_AX_9  syn_dword[38].bit._09
#define OJOG_AX_10 syn_dword[38].bit._10
#define OJOG_AX_11 syn_dword[38].bit._11
#define OJOG_AX_12 syn_dword[38].bit._12
#define OJOG_AX_13 syn_dword[38].bit._13
#define OJOG_AX_14 syn_dword[38].bit._14
#define OJOG_AX_15 syn_dword[38].bit._15

/* Jog Positivo attivo sull'asse (plcData) */
#define OJOGP_AX    syn_dword[39].u
#define OJOGP_AX_0  syn_dword[39].bit._00
#define OJOGP_AX_1  syn_dword[39].bit._01
#define OJOGP_AX_2  syn_dword[39].bit._02
#define OJOGP_AX_3  syn_dword[39].bit._03
#define OJOGP_AX_4  syn_dword[39].bit._04
#define OJOGP_AX_5  syn_dword[39].bit._05
#define OJOGP_AX_6  syn_dword[39].bit._06
#define OJOGP_AX_7  syn_dword[39].bit._07
#define OJOGP_AX_8  syn_dword[39].bit._08
#define OJOGP_AX_9  syn_dword[39].bit._09
#define OJOGP_AX_10 syn_dword[39].bit._10
#define OJOGP_AX_11 syn_dword[39].bit._11
#define OJOGP_AX_12 syn_dword[39].bit._12
#define OJOGP_AX_13 syn_dword[39].bit._13
#define OJOGP_AX_14 syn_dword[39].bit._14
#define OJOGP_AX_15 syn_dword[39].bit._15

/* Jog Negativo attivo sull'asse (plcData) */
#define OJOGN_AX    syn_dword[40].u
#define OJOGN_AX_0  syn_dword[40].bit._00
#define OJOGN_AX_1  syn_dword[40].bit._01
#define OJOGN_AX_2  syn_dword[40].bit._02
#define OJOGN_AX_3  syn_dword[40].bit._03
#define OJOGN_AX_4  syn_dword[40].bit._04
#define OJOGN_AX_5  syn_dword[40].bit._05
#define OJOGN_AX_6  syn_dword[40].bit._06
#define OJOGN_AX_7  syn_dword[40].bit._07
#define OJOGN_AX_8  syn_dword[40].bit._08
#define OJOGN_AX_9  syn_dword[40].bit._09
#define OJOGN_AX_10 syn_dword[40].bit._10
#define OJOGN_AX_11 syn_dword[40].bit._11
#define OJOGN_AX_12 syn_dword[40].bit._12
#define OJOGN_AX_13 syn_dword[40].bit._13
#define OJOGN_AX_14 syn_dword[40].bit._14
#define OJOGN_AX_15 syn_dword[40].bit._15

/*----------------------------------------*/
/*----------------------------------------*/

// Segnali a bit per asse: asse fermo.
#define IS_FERMO_AX_U  syn_dword[41].u
#define IS_FERMO_AX_0  syn_dword[41].bit._00
#define IS_FERMO_AX_1  syn_dword[41].bit._01
#define IS_FERMO_AX_2  syn_dword[41].bit._02
#define IS_FERMO_AX_3  syn_dword[41].bit._03
#define IS_FERMO_AX_4  syn_dword[41].bit._04
#define IS_FERMO_AX_5  syn_dword[41].bit._05
#define IS_FERMO_AX_6  syn_dword[41].bit._06
#define IS_FERMO_AX_7  syn_dword[41].bit._07
#define IS_FERMO_AX_8  syn_dword[41].bit._08
#define IS_FERMO_AX_9  syn_dword[41].bit._09
#define IS_FERMO_AX_10 syn_dword[41].bit._10
#define IS_FERMO_AX_11 syn_dword[41].bit._11
#define IS_FERMO_AX_12 syn_dword[41].bit._12
#define IS_FERMO_AX_13 syn_dword[41].bit._13
#define IS_FERMO_AX_14 syn_dword[41].bit._14
#define IS_FERMO_AX_15 syn_dword[41].bit._15

// Segnali a bit per asse: asse in moto.
#define IS_BMT_AX_U  syn_dword[42].u
#define IS_BMT_AX_0  syn_dword[42].bit._00
#define IS_BMT_AX_1  syn_dword[42].bit._01
#define IS_BMT_AX_2  syn_dword[42].bit._02
#define IS_BMT_AX_3  syn_dword[42].bit._03
#define IS_BMT_AX_4  syn_dword[42].bit._04
#define IS_BMT_AX_5  syn_dword[42].bit._05
#define IS_BMT_AX_6  syn_dword[42].bit._06
#define IS_BMT_AX_7  syn_dword[42].bit._07
#define IS_BMT_AX_8  syn_dword[42].bit._08
#define IS_BMT_AX_9  syn_dword[42].bit._09
#define IS_BMT_AX_10 syn_dword[42].bit._10
#define IS_BMT_AX_11 syn_dword[42].bit._11
#define IS_BMT_AX_12 syn_dword[42].bit._12
#define IS_BMT_AX_13 syn_dword[42].bit._13
#define IS_BMT_AX_14 syn_dword[42].bit._14
#define IS_BMT_AX_15 syn_dword[42].bit._15

// Segnali a bit per asse: comando di velocita' attivo.
#define IS_CMDVEL_AX_U  syn_dword[43].u
#define IS_CMDVEL_AX_0  syn_dword[43].bit._00
#define IS_CMDVEL_AX_1  syn_dword[43].bit._01
#define IS_CMDVEL_AX_2  syn_dword[43].bit._02
#define IS_CMDVEL_AX_3  syn_dword[43].bit._03
#define IS_CMDVEL_AX_4  syn_dword[43].bit._04
#define IS_CMDVEL_AX_5  syn_dword[43].bit._05
#define IS_CMDVEL_AX_6  syn_dword[43].bit._06
#define IS_CMDVEL_AX_7  syn_dword[43].bit._07
#define IS_CMDVEL_AX_8  syn_dword[43].bit._08
#define IS_CMDVEL_AX_9  syn_dword[43].bit._09
#define IS_CMDVEL_AX_10 syn_dword[43].bit._10
#define IS_CMDVEL_AX_11 syn_dword[43].bit._11
#define IS_CMDVEL_AX_12 syn_dword[43].bit._12
#define IS_CMDVEL_AX_13 syn_dword[43].bit._13
#define IS_CMDVEL_AX_14 syn_dword[43].bit._14
#define IS_CMDVEL_AX_15 syn_dword[43].bit._15

// Segnali a bit per asse ENTRO SOGLIA DI ERRORE.
#define IS_SGE_AX_U  syn_dword[44].u
#define IS_SGE_AX_0  syn_dword[44].bit._00
#define IS_SGE_AX_1  syn_dword[44].bit._01
#define IS_SGE_AX_2  syn_dword[44].bit._02
#define IS_SGE_AX_3  syn_dword[44].bit._03
#define IS_SGE_AX_4  syn_dword[44].bit._04
#define IS_SGE_AX_5  syn_dword[44].bit._05
#define IS_SGE_AX_6  syn_dword[44].bit._06
#define IS_SGE_AX_7  syn_dword[44].bit._07
#define IS_SGE_AX_8  syn_dword[44].bit._08
#define IS_SGE_AX_9  syn_dword[44].bit._09
#define IS_SGE_AX_10 syn_dword[44].bit._10
#define IS_SGE_AX_11 syn_dword[44].bit._11
#define IS_SGE_AX_12 syn_dword[44].bit._12
#define IS_SGE_AX_13 syn_dword[44].bit._13
#define IS_SGE_AX_14 syn_dword[44].bit._14
#define IS_SGE_AX_15 syn_dword[44].bit._15

// Segnali a bit per asse: Letta quota attuale.
#define IS_RDPOS_AX_U  syn_dword[45].u
#define IS_RDPOS_AX_0  syn_dword[45].bit._00
#define IS_RDPOS_AX_1  syn_dword[45].bit._01
#define IS_RDPOS_AX_2  syn_dword[45].bit._02
#define IS_RDPOS_AX_3  syn_dword[45].bit._03
#define IS_RDPOS_AX_4  syn_dword[45].bit._04
#define IS_RDPOS_AX_5  syn_dword[45].bit._05
#define IS_RDPOS_AX_6  syn_dword[45].bit._06
#define IS_RDPOS_AX_7  syn_dword[45].bit._07
#define IS_RDPOS_AX_8  syn_dword[45].bit._08
#define IS_RDPOS_AX_9  syn_dword[45].bit._09
#define IS_RDPOS_AX_10 syn_dword[45].bit._10
#define IS_RDPOS_AX_11 syn_dword[45].bit._11
#define IS_RDPOS_AX_12 syn_dword[45].bit._12
#define IS_RDPOS_AX_13 syn_dword[45].bit._13
#define IS_RDPOS_AX_14 syn_dword[45].bit._14
#define IS_RDPOS_AX_15 syn_dword[45].bit._15

// Segnali a bit per asse: filtro media mobile errore di posizione applicato.
#define IS_SMAEP_AX_U  syn_dword[46].u
#define IS_SMAEP_AX_0  syn_dword[46].bit._00
#define IS_SMAEP_AX_1  syn_dword[46].bit._01
#define IS_SMAEP_AX_2  syn_dword[46].bit._02
#define IS_SMAEP_AX_3  syn_dword[46].bit._03
#define IS_SMAEP_AX_4  syn_dword[46].bit._04
#define IS_SMAEP_AX_5  syn_dword[46].bit._05
#define IS_SMAEP_AX_6  syn_dword[46].bit._06
#define IS_SMAEP_AX_7  syn_dword[46].bit._07
#define IS_SMAEP_AX_8  syn_dword[46].bit._08
#define IS_SMAEP_AX_9  syn_dword[46].bit._09
#define IS_SMAEP_AX_10 syn_dword[46].bit._10
#define IS_SMAEP_AX_11 syn_dword[46].bit._11
#define IS_SMAEP_AX_12 syn_dword[46].bit._12
#define IS_SMAEP_AX_13 syn_dword[46].bit._13
#define IS_SMAEP_AX_14 syn_dword[46].bit._14
#define IS_SMAEP_AX_15 syn_dword[46].bit._15

// Segnali a bit per asse: calcetto attivo.
#define IS_CALCET_AX_U  syn_dword[47].u
#define IS_CALCET_AX_0  syn_dword[47].bit._00
#define IS_CALCET_AX_1  syn_dword[47].bit._01
#define IS_CALCET_AX_2  syn_dword[47].bit._02
#define IS_CALCET_AX_3  syn_dword[47].bit._03
#define IS_CALCET_AX_4  syn_dword[47].bit._04
#define IS_CALCET_AX_5  syn_dword[47].bit._05
#define IS_CALCET_AX_6  syn_dword[47].bit._06
#define IS_CALCET_AX_7  syn_dword[47].bit._07
#define IS_CALCET_AX_8  syn_dword[47].bit._08
#define IS_CALCET_AX_9  syn_dword[47].bit._09
#define IS_CALCET_AX_10 syn_dword[47].bit._10
#define IS_CALCET_AX_11 syn_dword[47].bit._11
#define IS_CALCET_AX_12 syn_dword[47].bit._12
#define IS_CALCET_AX_13 syn_dword[47].bit._13
#define IS_CALCET_AX_14 syn_dword[47].bit._14
#define IS_CALCET_AX_15 syn_dword[47].bit._15


// Master slave torque coupling: master set value
#define MSTC_VALUE_M_0  syn_dword[64].i
#define MSTC_VALUE_M_1  syn_dword[65].i
#define MSTC_VALUE_M_2  syn_dword[66].i
#define MSTC_VALUE_M_3  syn_dword[67].i
#define MSTC_VALUE_M_4  syn_dword[68].i
#define MSTC_VALUE_M_5  syn_dword[69].i
#define MSTC_VALUE_M_6  syn_dword[70].i
#define MSTC_VALUE_M_7  syn_dword[71].i
#define MSTC_VALUE_M_8  syn_dword[72].i
#define MSTC_VALUE_M_9  syn_dword[73].i
#define MSTC_VALUE_M_10 syn_dword[74].i
#define MSTC_VALUE_M_11 syn_dword[75].i
#define MSTC_VALUE_M_12 syn_dword[76].i
#define MSTC_VALUE_M_13 syn_dword[77].i
#define MSTC_VALUE_M_14 syn_dword[78].i
#define MSTC_VALUE_M_15 syn_dword[79].i
// Master slave torque coupling: slave set value
#define MSTC_VALUE_S_0  syn_dword[80].i
#define MSTC_VALUE_S_1  syn_dword[81].i
#define MSTC_VALUE_S_2  syn_dword[82].i
#define MSTC_VALUE_S_3  syn_dword[83].i
#define MSTC_VALUE_S_4  syn_dword[84].i
#define MSTC_VALUE_S_5  syn_dword[85].i
#define MSTC_VALUE_S_6  syn_dword[86].i
#define MSTC_VALUE_S_7  syn_dword[87].i
#define MSTC_VALUE_S_8  syn_dword[88].i
#define MSTC_VALUE_S_9  syn_dword[89].i
#define MSTC_VALUE_S_10 syn_dword[90].i
#define MSTC_VALUE_S_11 syn_dword[91].i
#define MSTC_VALUE_S_12 syn_dword[92].i
#define MSTC_VALUE_S_13 syn_dword[93].i
#define MSTC_VALUE_S_14 syn_dword[94].i
#define MSTC_VALUE_S_15 syn_dword[95].i
// Master slave torque coupling: master command
#define MSTC_CMD_M_U syn_dword[96].u
#define MSTC_CMD_M_0 syn_dword[96].bit._00
#define MSTC_CMD_M_1 syn_dword[96].bit._01
#define MSTC_CMD_M_2 syn_dword[96].bit._02
#define MSTC_CMD_M_3 syn_dword[96].bit._03
#define MSTC_CMD_M_4 syn_dword[96].bit._04
#define MSTC_CMD_M_5 syn_dword[96].bit._05
#define MSTC_CMD_M_6 syn_dword[96].bit._06
#define MSTC_CMD_M_7 syn_dword[96].bit._07
#define MSTC_CMD_M_8 syn_dword[96].bit._08
#define MSTC_CMD_M_9 syn_dword[96].bit._09
#define MSTC_CMD_M_10 syn_dword[96].bit._10
#define MSTC_CMD_M_11 syn_dword[96].bit._11
#define MSTC_CMD_M_12 syn_dword[96].bit._12
#define MSTC_CMD_M_13 syn_dword[96].bit._13
#define MSTC_CMD_M_14 syn_dword[96].bit._14
#define MSTC_CMD_M_15 syn_dword[96].bit._15
// Master slave torque coupling: slaver command
#define MSTC_CMD_S_U syn_dword[97].u
#define MSTC_CMD_S_0 syn_dword[97].bit._00
#define MSTC_CMD_S_1 syn_dword[97].bit._01
#define MSTC_CMD_S_2 syn_dword[97].bit._02
#define MSTC_CMD_S_3 syn_dword[97].bit._03
#define MSTC_CMD_S_4 syn_dword[97].bit._04
#define MSTC_CMD_S_5 syn_dword[97].bit._05
#define MSTC_CMD_S_6 syn_dword[97].bit._06
#define MSTC_CMD_S_7 syn_dword[97].bit._07
#define MSTC_CMD_S_8 syn_dword[97].bit._08
#define MSTC_CMD_S_9 syn_dword[97].bit._09
#define MSTC_CMD_S_10 syn_dword[97].bit._10
#define MSTC_CMD_S_11 syn_dword[97].bit._11
#define MSTC_CMD_S_12 syn_dword[97].bit._12
#define MSTC_CMD_S_13 syn_dword[97].bit._13
#define MSTC_CMD_S_14 syn_dword[97].bit._14
#define MSTC_CMD_S_15 syn_dword[97].bit._15

#define CNTERR_KEYB  syn_dword[98].u
#define CNTERR_ADIKR syn_dword[99].u

/* Per ASSI */

/* Numero di bit del comando di Riferimento di Velocita' */
/* (da 16 a 32)           (Dato di TARATURA)             */
#define NBIT_REF_AX_0  syn_dword[100].i
#define NBIT_REF_AX_1  syn_dword[101].i
#define NBIT_REF_AX_2  syn_dword[102].i
#define NBIT_REF_AX_3  syn_dword[103].i
#define NBIT_REF_AX_4  syn_dword[104].i
#define NBIT_REF_AX_5  syn_dword[105].i
#define NBIT_REF_AX_6  syn_dword[106].i
#define NBIT_REF_AX_7  syn_dword[107].i
#define NBIT_REF_AX_8  syn_dword[108].i
#define NBIT_REF_AX_9  syn_dword[109].i
#define NBIT_REF_AX_10 syn_dword[110].i
#define NBIT_REF_AX_11 syn_dword[111].i
#define NBIT_REF_AX_12 syn_dword[112].i
#define NBIT_REF_AX_13 syn_dword[113].i
#define NBIT_REF_AX_14 syn_dword[114].i
#define NBIT_REF_AX_15 syn_dword[115].i

/* Numero di bit di risoluzione "estesa" del sistema di misura */
/* (da 0 a 16)            (Dato di TARATURA)                   */
#define NBIT_RES_AX_0  syn_dword[116].i
#define NBIT_RES_AX_1  syn_dword[117].i
#define NBIT_RES_AX_2  syn_dword[118].i
#define NBIT_RES_AX_3  syn_dword[119].i
#define NBIT_RES_AX_4  syn_dword[120].i
#define NBIT_RES_AX_5  syn_dword[121].i
#define NBIT_RES_AX_6  syn_dword[122].i
#define NBIT_RES_AX_7  syn_dword[123].i
#define NBIT_RES_AX_8  syn_dword[124].i
#define NBIT_RES_AX_9  syn_dword[125].i
#define NBIT_RES_AX_10 syn_dword[126].i
#define NBIT_RES_AX_11 syn_dword[127].i
#define NBIT_RES_AX_12 syn_dword[128].i
#define NBIT_RES_AX_13 syn_dword[129].i
#define NBIT_RES_AX_14 syn_dword[130].i
#define NBIT_RES_AX_15 syn_dword[131].i

#define AX_QUOTANT_SA_0 syn_dword[132].i
#define AX_QUOTANT_SA_1 syn_dword[133].i
#define AX_QUOTANT_SA_2 syn_dword[134].i
#define AX_QUOTANT_SA_3 syn_dword[135].i
#define AX_QUOTANT_SA_4 syn_dword[136].i
#define AX_QUOTANT_SA_5 syn_dword[137].i
#define AX_QUOTANT_SA_6 syn_dword[138].i
#define AX_QUOTANT_SA_7 syn_dword[139].i
#define AX_QUOTANT_SA_8 syn_dword[140].i
#define AX_QUOTANT_SA_9 syn_dword[141].i
#define AX_QUOTANT_SA_10 syn_dword[142].i
#define AX_QUOTANT_SA_11 syn_dword[143].i
#define AX_QUOTANT_SA_12 syn_dword[144].i
#define AX_QUOTANT_SA_13 syn_dword[145].i
#define AX_QUOTANT_SA_14 syn_dword[146].i
#define AX_QUOTANT_SA_15 syn_dword[147].i

/* Conti (feedback) ricevuti dal CN (rtData) */
#define ACTCOUNT_AX_0  syn_dword[148].i
#define ACTCOUNT_AX_1  syn_dword[149].i
#define ACTCOUNT_AX_2  syn_dword[150].i
#define ACTCOUNT_AX_3  syn_dword[151].i
#define ACTCOUNT_AX_4  syn_dword[152].i
#define ACTCOUNT_AX_5  syn_dword[153].i
#define ACTCOUNT_AX_6  syn_dword[154].i
#define ACTCOUNT_AX_7  syn_dword[155].i
#define ACTCOUNT_AX_8  syn_dword[156].i
#define ACTCOUNT_AX_9  syn_dword[157].i
#define ACTCOUNT_AX_10 syn_dword[158].i
#define ACTCOUNT_AX_11 syn_dword[159].i
#define ACTCOUNT_AX_12 syn_dword[160].i
#define ACTCOUNT_AX_13 syn_dword[161].i
#define ACTCOUNT_AX_14 syn_dword[162].i
#define ACTCOUNT_AX_15 syn_dword[163].i

/* Delta conti (feedback) ricevuti dal CN (rtData) */
#define ACTDCOUNT_AX_0  syn_dword[164].i
#define ACTDCOUNT_AX_1  syn_dword[165].i
#define ACTDCOUNT_AX_2  syn_dword[166].i
#define ACTDCOUNT_AX_3  syn_dword[167].i
#define ACTDCOUNT_AX_4  syn_dword[168].i
#define ACTDCOUNT_AX_5  syn_dword[169].i
#define ACTDCOUNT_AX_6  syn_dword[170].i
#define ACTDCOUNT_AX_7  syn_dword[171].i
#define ACTDCOUNT_AX_8  syn_dword[172].i
#define ACTDCOUNT_AX_9  syn_dword[173].i
#define ACTDCOUNT_AX_10 syn_dword[174].i
#define ACTDCOUNT_AX_11 syn_dword[175].i
#define ACTDCOUNT_AX_12 syn_dword[176].i
#define ACTDCOUNT_AX_13 syn_dword[177].i
#define ACTDCOUNT_AX_14 syn_dword[178].i
#define ACTDCOUNT_AX_15 syn_dword[179].i

/* Modo di controllo di posizionamento dell'asse indipendente      */
/* 0=MODE_CONTROL_STANDARD  - Controllo di posizione standard      */
/* 1=MODE_CONTROL_POS       - Controllo di posizione con rampe     */
/*                            di accelerazione lineare             */
/* 2=MODE_CONTROL_POS_VEL   - Il posizionamento dell'asse e' fatto */
/*                            tramite un controllo in velocita'    */
#define MODECTRL_AX_0  syn_dword[180].u
#define MODECTRL_AX_1  syn_dword[181].u
#define MODECTRL_AX_2  syn_dword[182].u
#define MODECTRL_AX_3  syn_dword[183].u
#define MODECTRL_AX_4  syn_dword[184].u
#define MODECTRL_AX_5  syn_dword[185].u
#define MODECTRL_AX_6  syn_dword[186].u
#define MODECTRL_AX_7  syn_dword[187].u
#define MODECTRL_AX_8  syn_dword[188].u
#define MODECTRL_AX_9  syn_dword[189].u
#define MODECTRL_AX_10 syn_dword[190].u
#define MODECTRL_AX_11 syn_dword[191].u
#define MODECTRL_AX_12 syn_dword[192].u
#define MODECTRL_AX_13 syn_dword[193].u
#define MODECTRL_AX_14 syn_dword[194].u
#define MODECTRL_AX_15 syn_dword[195].u



/* Selettore del Modo Jog (plcData) */
#define IJOG_MODE       syn_dword[196].u

/* 0=Jog di Spazio    */
/* 1=Jog di Velocita' */
#define IJOG_MODE_VEL   syn_dword[196].bit._00

/* 0=Jog in Lavoro */
/* 1=Jog in Rapido */
#define IJOG_MODE_RAP   syn_dword[196].bit._01


/* Modo Jog attualmente selezionato (plcData) */
#define OJOG_MODE_AX_0  syn_dword[197].u

/* 0=Jog di Spazio    */
/* 1=Jog di Velocita' */
#define OJOG_VEL_AX_0   syn_dword[197].bit._00

/* 0=Jog in Lavoro */
/* 1=Jog in Rapido */
#define OJOG_RAP_AX_0   syn_dword[197].bit._01

#define OJOG_MODE_AX_1  syn_dword[198].u
#define OJOG_VEL_AX_1   syn_dword[198].bit._00
#define OJOG_RAP_AX_1   syn_dword[198].bit._01

#define OJOG_MODE_AX_2  syn_dword[199].u
#define OJOG_VEL_AX_2   syn_dword[199].bit._00
#define OJOG_RAP_AX_2   syn_dword[199].bit._01

#define OJOG_MODE_AX_3  syn_dword[200].u
#define OJOG_VEL_AX_3   syn_dword[200].bit._00
#define OJOG_RAP_AX_3   syn_dword[200].bit._01

#define OJOG_MODE_AX_4  syn_dword[201].u
#define OJOG_VEL_AX_4   syn_dword[201].bit._00
#define OJOG_RAP_AX_4   syn_dword[201].bit._01

#define OJOG_MODE_AX_5  syn_dword[202].u
#define OJOG_VEL_AX_5   syn_dword[202].bit._00
#define OJOG_RAP_AX_5   syn_dword[202].bit._01

#define OJOG_MODE_AX_6  syn_dword[203].u
#define OJOG_VEL_AX_6   syn_dword[203].bit._00
#define OJOG_RAP_AX_6   syn_dword[203].bit._01

#define OJOG_MODE_AX_7  syn_dword[204].u
#define OJOG_VEL_AX_7   syn_dword[204].bit._00
#define OJOG_RAP_AX_7   syn_dword[204].bit._01

#define OJOG_MODE_AX_8  syn_dword[205].u
#define OJOG_VEL_AX_8   syn_dword[205].bit._00
#define OJOG_RAP_AX_8   syn_dword[205].bit._01

#define OJOG_MODE_AX_9  syn_dword[206].u
#define OJOG_VEL_AX_9   syn_dword[206].bit._00
#define OJOG_RAP_AX_9   syn_dword[206].bit._01

#define OJOG_MODE_AX_10 syn_dword[207].u
#define OJOG_VEL_AX_10  syn_dword[207].bit._00
#define OJOG_RAP_AX_10  syn_dword[207].bit._01

#define OJOG_MODE_AX_11 syn_dword[208].u
#define OJOG_VEL_AX_11  syn_dword[208].bit._00
#define OJOG_RAP_AX_11  syn_dword[208].bit._01

#define OJOG_MODE_AX_12 syn_dword[209].u
#define OJOG_VEL_AX_12  syn_dword[209].bit._00
#define OJOG_RAP_AX_12  syn_dword[209].bit._01

#define OJOG_MODE_AX_13 syn_dword[210].u
#define OJOG_VEL_AX_13  syn_dword[210].bit._00
#define OJOG_RAP_AX_13  syn_dword[210].bit._01

#define OJOG_MODE_AX_14 syn_dword[211].u
#define OJOG_VEL_AX_14  syn_dword[211].bit._00
#define OJOG_RAP_AX_14  syn_dword[211].bit._01

#define OJOG_MODE_AX_15 syn_dword[212].u
#define OJOG_VEL_AX_15  syn_dword[212].bit._00
#define OJOG_RAP_AX_15  syn_dword[212].bit._01

/* Jog in esecuzione sugli assi (plcData) */
#define OJOG_EXE        syn_dword[213].u

// Sinonimi corrispondenti al comando di velocita inviato
// verso i drive Ethercat 
#define AX_REFPAR_0 syn_dword[214].i
#define AX_REFPAR_1 syn_dword[215].i
#define AX_REFPAR_2 syn_dword[216].i
#define AX_REFPAR_3 syn_dword[217].i
#define AX_REFPAR_4 syn_dword[218].i
#define AX_REFPAR_5 syn_dword[219].i
#define AX_REFPAR_6 syn_dword[220].i
#define AX_REFPAR_7 syn_dword[221].i
#define AX_REFPAR_8 syn_dword[222].i
#define AX_REFPAR_9 syn_dword[223].i
#define AX_REFPAR_10 syn_dword[224].i
#define AX_REFPAR_11 syn_dword[225].i
#define AX_REFPAR_12 syn_dword[226].i
#define AX_REFPAR_13 syn_dword[227].i
#define AX_REFPAR_14 syn_dword[228].i
#define AX_REFPAR_15 syn_dword[229].i

/* Posizione ricevuta dagli assi del cnc*/
#define AX_HWCOUNT_0	syn_dword[230].i
#define AX_HWCOUNT_1	syn_dword[231].i	
#define AX_HWCOUNT_2	syn_dword[232].i	
#define AX_HWCOUNT_3	syn_dword[233].i	
#define AX_HWCOUNT_4	syn_dword[234].i	
#define AX_HWCOUNT_5	syn_dword[235].i		
#define AX_HWCOUNT_6	syn_dword[236].i		
#define AX_HWCOUNT_7	syn_dword[237].i		
#define AX_HWCOUNT_8	syn_dword[238].i		
#define AX_HWCOUNT_9	syn_dword[239].i		
#define AX_HWCOUNT_10   syn_dword[240].i			
#define AX_HWCOUNT_11   syn_dword[241].i		
#define AX_HWCOUNT_12   syn_dword[242].i		
#define AX_HWCOUNT_13   syn_dword[243].i		
#define AX_HWCOUNT_14   syn_dword[244].i			
#define AX_HWCOUNT_15   syn_dword[245].i

/* Angolo encoder drive Baumuller Ethercat*/
#define AX_DRVCOUNT_0	syn_dword[246].u
#define AX_DRVCOUNT_1	syn_dword[247].u	
#define AX_DRVCOUNT_2	syn_dword[248].u	
#define AX_DRVCOUNT_3	syn_dword[249].u	
#define AX_DRVCOUNT_4	syn_dword[250].u	
#define AX_DRVCOUNT_5	syn_dword[251].u		
#define AX_DRVCOUNT_6	syn_dword[252].u		
#define AX_DRVCOUNT_7	syn_dword[253].u		
#define AX_DRVCOUNT_8	syn_dword[254].u		
#define AX_DRVCOUNT_9	syn_dword[255].u		
#define AX_DRVCOUNT_10   syn_dword[256].u
#define AX_DRVCOUNT_11   syn_dword[257].u		
#define AX_DRVCOUNT_12   syn_dword[258].u		
#define AX_DRVCOUNT_13   syn_dword[259].u		
#define AX_DRVCOUNT_14   syn_dword[260].u			
#define AX_DRVCOUNT_15   syn_dword[261].u

// Riferimento 32 bit inviato verso gli assi del cnc.
#define AX_REFDACL_0	syn_dword[262].i
#define AX_REFDACL_1	syn_dword[263].i
#define AX_REFDACL_2	syn_dword[264].i
#define AX_REFDACL_3	syn_dword[265].i
#define AX_REFDACL_4	syn_dword[266].i
#define AX_REFDACL_5	syn_dword[267].i
#define AX_REFDACL_6	syn_dword[268].i
#define AX_REFDACL_7	syn_dword[269].i
#define AX_REFDACL_8	syn_dword[270].i
#define AX_REFDACL_9	syn_dword[271].i
#define AX_REFDACL_10	syn_dword[272].i
#define AX_REFDACL_11	syn_dword[273].i
#define AX_REFDACL_12	syn_dword[274].i
#define AX_REFDACL_13	syn_dword[275].i
#define AX_REFDACL_14	syn_dword[276].i
#define AX_REFDACL_15	syn_dword[277].i

// Contatori debug comunicazione Ethernet.
#define ETH_CYCCOM				syn_dword[278].u		// ulCntCicloDiComunicazione
#define AX_FMICRO_U		        syn_dword[279].u
#define AX_FMICRO_0		        syn_dword[279].bit._00
#define AX_FMICRO_1		        syn_dword[279].bit._01
#define AX_FMICRO_2		        syn_dword[279].bit._02
#define AX_FMICRO_3		        syn_dword[279].bit._03
#define AX_FMICRO_4		        syn_dword[279].bit._04
#define AX_FMICRO_5		        syn_dword[279].bit._05
#define AX_FMICRO_6		        syn_dword[279].bit._06
#define AX_FMICRO_7		        syn_dword[279].bit._07
#define AX_FMICRO_8		        syn_dword[279].bit._08
#define AX_FMICRO_9		        syn_dword[279].bit._09
#define AX_FMICRO_10	        syn_dword[279].bit._10
#define AX_FMICRO_11	        syn_dword[279].bit._11
#define AX_FMICRO_12	        syn_dword[279].bit._12
#define AX_FMICRO_13	        syn_dword[279].bit._13
#define AX_FMICRO_14	        syn_dword[279].bit._14
#define AX_FMICRO_15	        syn_dword[279].bit._15
#define ETH_INT2				syn_dword[280].u		// ulCntInt_tau2
#define ETH_SNDFRM_ERR			syn_dword[281].u		// ulCntInviaFrameErr
#define ETH_CSNDFRM_ERR			syn_dword[282].u		// ulCntConsecInviaFrameErr
#define ETH_SNDFRM_OK			syn_dword[283].u		// ulCntInviaFrameOk
#define ETH_WATEVRX_TIM			syn_dword[284].u		// ulCntAttendeEventoDiRicezioneTimeout
#define ETH_CWATEVRX_TIM		syn_dword[285].u		// ulCntConsecAttendeEventoDiRicezioneTimeout
#define ETH_RCVFRM_ERR			syn_dword[286].u		// ulCntRicezioneFrameErr
#define ETH_CRCVFRM_ERR			syn_dword[287].u		// ulCntConsecRicezioneFrameErr
#define ETH_RCVFRM_OK			syn_dword[288].u		// ulCntRicezioneFrameOk
#define ETH_RETANRXFRM			syn_dword[289].u		// ulRetAnalizzaPacchettoRicevuto
#define ETH_ACCWIDTXRX			syn_dword[290].u		// bAccettaSfasamentoIdentificativiPacchettiTxRx
#define ETH_NCYCCOM_LOST		syn_dword[291].u		// ulNumeroPerditeAmmesseDiCicliDiComunicazione
#define AX_SETWIP_U		        syn_dword[292].u
#define AX_SETWIP_0		        syn_dword[292].bit._00
#define AX_SETWIP_1		        syn_dword[292].bit._01
#define AX_SETWIP_2		        syn_dword[292].bit._02
#define AX_SETWIP_3		        syn_dword[292].bit._03
#define AX_SETWIP_4		        syn_dword[292].bit._04
#define AX_SETWIP_5		        syn_dword[292].bit._05
#define AX_SETWIP_6		        syn_dword[292].bit._06
#define AX_SETWIP_7		        syn_dword[292].bit._07
#define AX_SETWIP_8		        syn_dword[292].bit._08
#define AX_SETWIP_9		        syn_dword[292].bit._09
#define AX_SETWIP_10	        syn_dword[292].bit._10
#define AX_SETWIP_11	        syn_dword[292].bit._11
#define AX_SETWIP_12	        syn_dword[292].bit._12
#define AX_SETWIP_13	        syn_dword[292].bit._13
#define AX_SETWIP_14	        syn_dword[292].bit._14
#define AX_SETWIP_15	        syn_dword[292].bit._15
#define ETH_NOT_VALID			syn_dword[293].u		// Contatore errore config ethercat
#define ETH_NOT_ACTIVE			syn_dword[294].u		// Contatore errore comunicazione ethercat non attiva
#define AX_MCRDERNEG_U		    syn_dword[295].u
#define AX_MCRDERNEG_0		    syn_dword[295].bit._00
#define AX_MCRDERNEG_1		    syn_dword[295].bit._01
#define AX_MCRDERNEG_2		    syn_dword[295].bit._02
#define AX_MCRDERNEG_3		    syn_dword[295].bit._03
#define AX_MCRDERNEG_4		    syn_dword[295].bit._04
#define AX_MCRDERNEG_5		    syn_dword[295].bit._05
#define AX_MCRDERNEG_6		    syn_dword[295].bit._06
#define AX_MCRDERNEG_7		    syn_dword[295].bit._07
#define AX_MCRDERNEG_8		    syn_dword[295].bit._08
#define AX_MCRDERNEG_9		    syn_dword[295].bit._09
#define AX_MCRDERNEG_10	        syn_dword[295].bit._10
#define AX_MCRDERNEG_11	        syn_dword[295].bit._11
#define AX_MCRDERNEG_12	        syn_dword[295].bit._12
#define AX_MCRDERNEG_13	        syn_dword[295].bit._13
#define AX_MCRDERNEG_14	        syn_dword[295].bit._14
#define AX_MCRDERNEG_15	        syn_dword[295].bit._15
#define AX_MCRDERPOS_U		    syn_dword[296].u
#define AX_MCRDERPOS_0		    syn_dword[296].bit._00
#define AX_MCRDERPOS_1		    syn_dword[296].bit._01
#define AX_MCRDERPOS_2		    syn_dword[296].bit._02
#define AX_MCRDERPOS_3		    syn_dword[296].bit._03
#define AX_MCRDERPOS_4		    syn_dword[296].bit._04
#define AX_MCRDERPOS_5		    syn_dword[296].bit._05
#define AX_MCRDERPOS_6		    syn_dword[296].bit._06
#define AX_MCRDERPOS_7		    syn_dword[296].bit._07
#define AX_MCRDERPOS_8		    syn_dword[296].bit._08
#define AX_MCRDERPOS_9		    syn_dword[296].bit._09
#define AX_MCRDERPOS_10	        syn_dword[296].bit._10
#define AX_MCRDERPOS_11	        syn_dword[296].bit._11
#define AX_MCRDERPOS_12	        syn_dword[296].bit._12
#define AX_MCRDERPOS_13	        syn_dword[296].bit._13
#define AX_MCRDERPOS_14	        syn_dword[296].bit._14
#define AX_MCRDERPOS_15	        syn_dword[296].bit._15
#define CNT0_IOECSCOMM			syn_dword[297].u		// Contatore allarme AL_IO_ECS_COMM NODO 0
#define CCNT0_IOECSCOMM			syn_dword[298].u		// Contatore allarme AL_IO_ECS_COMM NODO 0 (CONSECUTIVO)
#define CNT1_IOECSCOMM			syn_dword[299].u		// Contatore allarme AL_IO_ECS_COMM NODO 1
#define CCNT1_IOECSCOMM			syn_dword[300].u		// Contatore allarme AL_IO_ECS_COMM NODO 1 (CONSECUTIVO)
#define ETH_IS_COMM_OK			syn_dword[301].bit._00	// Stato comunicazione ethercat: 1 Ok, Ko.
#define ETH_COMM_OK_PLC			syn_dword[301].bit._01	// Stato comunicazione ethercat: 1 Ok, Ko.
														// aggiornato a tempo di PLC.
#define ETH_ISCSNDFRM_ERR		syn_dword[301].bit._02	// 1 : errori consecutivi send frame.
#define ETH_ISCWATEVRX_TI		syn_dword[301].bit._03	// 1: errori consecutivi frame non ricevuto.
#define ETH_ISCRCVFRM_ERR		syn_dword[301].bit._04	// 1: errori consecutivi read frame.
#define ETH_WRKCNT				syn_dword[301].bit._05	// 1 : tutti i moduli slave ethercat
														// hanno aggiornato il working counter.
														// 0 : almeno un modulo slave ethercat
														// non ha aggiornato il working counter.
#define ETH_WRKCNT_PLC			syn_dword[301].bit._06	// come ETH_WRKCNT aggiornato a tempo
														// del Plc.
#define ETH_SININPUT_PLC		syn_dword[301].bit._07	// 1 avvenuta sincronizzazione ingressi PLC.
#define ETH_SININPUT_QQ			syn_dword[301].bit._08  // 1 avvenuta sincronizzazione ingressi PLC Quick
#define ETHPRNFRM				syn_dword[301].bit._09  // #1425 - Abilita la stampa su debug console dei frame Ethercat
#define ETHPRNSTR				syn_dword[301].bit._10  // #1425 - Stampa struttura frame EtherCAT su console
#define ETHPRNTIM				syn_dword[301].bit._11  // #1425 - Stampa timestamp di ogni frame EtherCAT
#define ETH_CONFIGURED			syn_dword[301].bit._12  // #1730 - Sinonimo che corrisponde al valore [ETHERCAT] presente in machine.tar. Aggiornato da inzplc 
#define ETH_CNOTWRKCNT			syn_dword[302].u		// Numero volte consecutive in cui almeno
														// un modulo slave ethercat non ha aggiornato
														// il working counter.
#define ETH_AX_ERRCOM			syn_dword[303].u		// Contiene valori a bit.
														// 1 : Modulo slave asse non ha aggiornato
														// il working counter.
														// 0 : Modulo slave asse ha aggiornato
														// il working counter.
#define ETH_AX_ERRCOM_0			syn_dword[303].bit._00
#define ETH_AX_ERRCOM_1			syn_dword[303].bit._01
#define ETH_AX_ERRCOM_2			syn_dword[303].bit._02
#define ETH_AX_ERRCOM_3			syn_dword[303].bit._03
#define ETH_AX_ERRCOM_4			syn_dword[303].bit._04
#define ETH_AX_ERRCOM_5			syn_dword[303].bit._05
#define ETH_AX_ERRCOM_6			syn_dword[303].bit._06
#define ETH_AX_ERRCOM_7			syn_dword[303].bit._07
#define ETH_AX_ERRCOM_8			syn_dword[303].bit._08
#define ETH_AX_ERRCOM_9			syn_dword[303].bit._09
#define ETH_AX_ERRCOM_10		syn_dword[303].bit._10
#define ETH_AX_ERRCOM_11		syn_dword[303].bit._11
#define ETH_AX_ERRCOM_12		syn_dword[303].bit._12
#define ETH_AX_ERRCOM_13		syn_dword[303].bit._13
#define ETH_AX_ERRCOM_14		syn_dword[303].bit._14
#define ETH_AX_ERRCOM_15		syn_dword[303].bit._15

// Timer comunicazione ethercat.
#define ETH_TIM_				syn_dword[304].u
// libero syn_dword[304].bit._00
#define ETH_TIM_COR				syn_dword[304].bit._01

#define ETH_TIM_COR_RVAL		syn_dword[305].i
#define ETH_TIM_COR_UVAL		syn_dword[306].i
#define ETH_TIM_COR_SVAL		syn_dword[307].i

/* NUMERO RIVOLUZIONI encoder drive Baumuller Ethercat*/
#define EC_BA_NUMGIRI_0			syn_dword[308].i
#define EC_BA_NUMGIRI_1			syn_dword[309].i	
#define EC_BA_NUMGIRI_2			syn_dword[310].i	
#define EC_BA_NUMGIRI_3			syn_dword[311].i	
#define EC_BA_NUMGIRI_4			syn_dword[312].i	
#define EC_BA_NUMGIRI_5			syn_dword[313].i		
#define EC_BA_NUMGIRI_6			syn_dword[314].i		
#define EC_BA_NUMGIRI_7			syn_dword[315].i		
#define EC_BA_NUMGIRI_8			syn_dword[316].i		
#define EC_BA_NUMGIRI_9			syn_dword[317].i		
#define EC_BA_NUMGIRI_10		syn_dword[318].i
#define EC_BA_NUMGIRI_11		syn_dword[319].i		
#define EC_BA_NUMGIRI_12		syn_dword[320].i		
#define EC_BA_NUMGIRI_13		syn_dword[321].i		
#define EC_BA_NUMGIRI_14		syn_dword[322].i			
#define EC_BA_NUMGIRI_15		syn_dword[323].i

// Contatore allarme AL_ECSLINK_KO.
#define CNTECSLINK_KO_0	syn_dword[324].u
#define CNTECSLINK_KO_1	syn_dword[325].u	
#define CNTECSLINK_KO_2	syn_dword[326].u	
#define CNTECSLINK_KO_3	syn_dword[327].u	
#define CNTECSLINK_KO_4	syn_dword[328].u	
#define CNTECSLINK_KO_5	syn_dword[329].u		
#define CNTECSLINK_KO_6	syn_dword[330].u		
#define CNTECSLINK_KO_7	syn_dword[331].u		
#define CNTECSLINK_KO_8	syn_dword[332].u		
#define CNTECSLINK_KO_9	syn_dword[333].u		
#define CNTECSLINK_KO_10   syn_dword[334].u
#define CNTECSLINK_KO_11   syn_dword[335].u		
#define CNTECSLINK_KO_12   syn_dword[336].u		
#define CNTECSLINK_KO_13   syn_dword[337].u		
#define CNTECSLINK_KO_14   syn_dword[338].u			
#define CNTECSLINK_KO_15   syn_dword[339].u

// Inversione nella lettura conti trasduttore.
#define IS_INV_HWCNT_U syn_dword[340].u
#define IS_INV_HWCNT_0 syn_dword[340].bit._00
#define IS_INV_HWCNT_1 syn_dword[340].bit._01
#define IS_INV_HWCNT_2 syn_dword[340].bit._02
#define IS_INV_HWCNT_3 syn_dword[340].bit._03
#define IS_INV_HWCNT_4 syn_dword[340].bit._04
#define IS_INV_HWCNT_5 syn_dword[340].bit._05
#define IS_INV_HWCNT_6 syn_dword[340].bit._06
#define IS_INV_HWCNT_7 syn_dword[340].bit._07
#define IS_INV_HWCNT_8 syn_dword[340].bit._08
#define IS_INV_HWCNT_9 syn_dword[340].bit._09
#define IS_INV_HWCNT_10 syn_dword[340].bit._10
#define IS_INV_HWCNT_11 syn_dword[340].bit._11
#define IS_INV_HWCNT_12 syn_dword[340].bit._12
#define IS_INV_HWCNT_13 syn_dword[340].bit._13
#define IS_INV_HWCNT_14 syn_dword[340].bit._14
#define IS_INV_HWCNT_15 syn_dword[340].bit._15

// Lettura conti trasduttore invariati.
#define IS_EQU_HWCNT_U syn_dword[341].u
#define IS_EQU_HWCNT_0 syn_dword[341].bit._00
#define IS_EQU_HWCNT_1 syn_dword[341].bit._01
#define IS_EQU_HWCNT_2 syn_dword[341].bit._02
#define IS_EQU_HWCNT_3 syn_dword[341].bit._03
#define IS_EQU_HWCNT_4 syn_dword[341].bit._04
#define IS_EQU_HWCNT_5 syn_dword[341].bit._05
#define IS_EQU_HWCNT_6 syn_dword[341].bit._06
#define IS_EQU_HWCNT_7 syn_dword[341].bit._07
#define IS_EQU_HWCNT_8 syn_dword[341].bit._08
#define IS_EQU_HWCNT_9 syn_dword[341].bit._09
#define IS_EQU_HWCNT_11 syn_dword[341].bit._11
#define IS_EQU_HWCNT_12 syn_dword[341].bit._12
#define IS_EQU_HWCNT_13 syn_dword[341].bit._13
#define IS_EQU_HWCNT_14 syn_dword[341].bit._14
#define IS_EQU_HWCNT_15 syn_dword[341].bit._15

// Contatore allarme AL_ECSLINK_KO (CONSECUTIVO).
#define CCNTECSLINKKO_0	syn_dword[342].u
#define CCNTECSLINKKO_1	syn_dword[343].u	
#define CCNTECSLINKKO_2	syn_dword[344].u	
#define CCNTECSLINKKO_3	syn_dword[345].u	
#define CCNTECSLINKKO_4	syn_dword[346].u	
#define CCNTECSLINKKO_5	syn_dword[347].u		
#define CCNTECSLINKKO_6	syn_dword[348].u		
#define CCNTECSLINKKO_7	syn_dword[349].u		
#define CCNTECSLINKKO_8	syn_dword[350].u		
#define CCNTECSLINKKO_9	syn_dword[351].u		
#define CCNTECSLINKKO_10   syn_dword[352].u
#define CCNTECSLINKKO_11   syn_dword[353].u		
#define CCNTECSLINKKO_12   syn_dword[354].u		
#define CCNTECSLINKKO_13   syn_dword[355].u		
#define CCNTECSLINKKO_14   syn_dword[356].u			
#define CCNTECSLINKKO_15   syn_dword[357].u

// Valore massimo negativo (PC in ritardo rispetto a moduli ethercat)
// della correzione clock distribuito.
#define ETH_TIM_COR_RVMN     syn_dword[358].i
// Valore massimo positivo (PC in anticipo rispetto a moduli ethercat)
// della correzione clock distribuito.
#define ETH_TIM_COR_RVMP     syn_dword[359].i
// Stato della sequenza di recupero comunicazione ethercat.
#define ETH_REC_COM	         syn_dword[360].i
// contatore incrementato quando il task ethercat
// e' svegliato dall'attesa dell'evento di campionatura.
#define ETH_TASKETH          syn_dword[361].u
#define AX_OKSET_U		        syn_dword[362].u
#define AX_OKSET_0		        syn_dword[362].bit._00
#define AX_OKSET_1		        syn_dword[362].bit._01
#define AX_OKSET_2		        syn_dword[362].bit._02
#define AX_OKSET_3		        syn_dword[362].bit._03
#define AX_OKSET_4		        syn_dword[362].bit._04
#define AX_OKSET_5		        syn_dword[362].bit._05
#define AX_OKSET_6		        syn_dword[362].bit._06
#define AX_OKSET_7		        syn_dword[362].bit._07
#define AX_OKSET_8		        syn_dword[362].bit._08
#define AX_OKSET_9		        syn_dword[362].bit._09
#define AX_OKSET_10	        syn_dword[362].bit._10
#define AX_OKSET_11	        syn_dword[362].bit._11
#define AX_OKSET_12	        syn_dword[362].bit._12
#define AX_OKSET_13	        syn_dword[362].bit._13
#define AX_OKSET_14	        syn_dword[362].bit._14
#define AX_OKSET_15	        syn_dword[362].bit._15
#define PLCSUI          syn_dword[363].u
#define ETH_EOE_DW01       syn_dword[364].i
#define ETH_EOE_DW02       syn_dword[365].i
#define ETH_EOE_DW03       syn_dword[366].i
#define ETH_EOE_DW04       syn_dword[367].i
#define ETH_EOE_DW05       syn_dword[368].i
#define ETH_EOE_DW06       syn_dword[369].i
#define ETH_EOE_DW07       syn_dword[370].i
#define ETH_EOE_DW08       syn_dword[371].i
#define ETH_EOE_DW09       syn_dword[372].i
#define ETH_EOE_DW10       syn_dword[373].i
#define ETH_EOE_DW11       syn_dword[374].i
#define ETH_EOE_DW12       syn_dword[375].i
#define ETH_EOE_DW13       syn_dword[376].i
#define ETH_EOE_DW14       syn_dword[377].i
#define ETH_EOE_DW15       syn_dword[378].i
#define ETH_EOE_DW16       syn_dword[379].i
#define ETH_EOE_DW17       syn_dword[380].i
#define ETH_EOE_DW18       syn_dword[381].i
#define ETH_EOE_DW19       syn_dword[382].i
#define ETH_EOE_DW20       syn_dword[383].i
#define ETH_EOE_DW21       syn_dword[384].i
#define ETH_EOE_DW22       syn_dword[385].i
#define ETH_EOE_DW23       syn_dword[386].i
#define ETH_EOE_DW24       syn_dword[387].i
#define ETH_EOE_DW25       syn_dword[388].i
#define ETH_EOE_DW26       syn_dword[389].i
#define ETH_EOE_DW27       syn_dword[390].i
#define ETH_EOE_DW28       syn_dword[391].i
#define ETH_EOE_DW29       syn_dword[392].i
#define ETH_EOE_DW30       syn_dword[393].i
#define ETH_EOE_BIT01      syn_dword[394].bit._00
#define ETH_EOE_BIT02      syn_dword[394].bit._01
#define ETH_EOE_BIT03      syn_dword[394].bit._02
#define ETH_EOE_BIT04      syn_dword[394].bit._03
#define ETH_EOE_BIT05      syn_dword[394].bit._04
#define ETH_EOE_BIT06      syn_dword[394].bit._05
#define ETH_EOE_BIT07      syn_dword[394].bit._06
#define ETH_EOE_BIT08      syn_dword[394].bit._07
#define ETH_EOE_BIT09      syn_dword[394].bit._08
#define ETH_EOE_BIT10      syn_dword[394].bit._09
#define ETH_EOE_BIT11      syn_dword[394].bit._10
#define ETH_EOE_BIT12      syn_dword[394].bit._11
#define ETH_EOE_BIT13      syn_dword[394].bit._12
#define ETH_EOE_BIT14      syn_dword[394].bit._13
#define ETH_EOE_BIT15      syn_dword[394].bit._14
#define ETH_EOE_BIT16      syn_dword[394].bit._15

// Monitor corrente.
#define IMOTOR_0	syn_dword[395].i
#define IMOTOR_1	syn_dword[396].i
#define IMOTOR_2	syn_dword[397].i
#define IMOTOR_3	syn_dword[398].i
#define IMOTOR_4	syn_dword[399].i
#define IMOTOR_5	syn_dword[400].i
#define IMOTOR_6	syn_dword[401].i
#define IMOTOR_7	syn_dword[402].i
#define IMOTOR_8	syn_dword[403].i
#define IMOTOR_9	syn_dword[404].i
#define IMOTOR_10	syn_dword[405].i
#define IMOTOR_11	syn_dword[406].i
#define IMOTOR_12	syn_dword[407].i
#define IMOTOR_13	syn_dword[408].i
#define IMOTOR_14	syn_dword[409].i
#define IMOTOR_15	syn_dword[410].i

// Contatore cicli di Slow PLC.
#define SLOWPLC_COUNTER syn_dword[411].u
// Contatore eccezioni di Slow PLC.
#define SLOWPLC_EXCEPT  syn_dword[412].u

#define TMU_CNT    syn_dword[413].u
#define TMU_ENABLED syn_dword[414].bit._00
#define TMU_TX     syn_dword[415].u
// libero #define TMU_TXERR  syn_dword[416].u
#define TMU_RXOK   syn_dword[417].u
#define TMU_RXERR  syn_dword[418].u
#define TMU_TXBUSY syn_dword[419].u
#define TMU_RXLOST syn_dword[420].u

#define FINETIME_LI syn_dword[421].i
#define FINETIME_HI syn_dword[422].i
#define FINETIME_LI_D syn_dword[423].i
#define FINETIME_LI_DMIN syn_dword[424].i
#define FINETIME_LI_DMAX syn_dword[425].i
#define FINETIME_CNT01 syn_dword[426].i
#define FINETIME_CNT02 syn_dword[427].i


/* Stati tastiera di macchina. */
#define TMU_OVCLED   syn_dword[428].bit._00
#define TMU_OVCOVJOY syn_dword[428].bit._01
#define TMU_OVCKBCB  syn_dword[428].bit._02
#define TMU_SELASSEX syn_dword[428].bit._03
#define TMU_SELASSEY syn_dword[428].bit._04
#define TMU_SELASSEZ syn_dword[428].bit._05
#define TMU_SELASSE4 syn_dword[428].bit._06
#define TMU_SELASSE5 syn_dword[428].bit._07
#define TMU_SELASSE6 syn_dword[428].bit._08
#define TMU_COEFFX1  syn_dword[428].bit._09
#define TMU_COEFFX10 syn_dword[428].bit._10
#define TMU_COEFFX100 syn_dword[428].bit._11
#define TMU_ABIL_A syn_dword[428].bit._12
#define TMU_ABIL_B syn_dword[428].bit._13
#define TMU_ALLV_NO syn_dword[428].bit._14
#define TMU_ALLV_HWCA syn_dword[428].bit._15
#define TMU_ALLV_HWCB syn_dword[429].bit._00
#define TMU_ALLV_HWSV syn_dword[429].bit._01
#define TMU_ASSECCVOL syn_dword[429].bit._02
#define TMU_RESETALLV syn_dword[429].bit._03
#define TMU_RESETCNTV syn_dword[429].bit._04
#define TMU_OVERR1_ANA syn_dword[429].bit._05
#define TMU_OVERR1_DIG syn_dword[429].bit._06
#define TMU_OVERR1_ERR syn_dword[429].bit._07
#define TMU_OVERR1_NO  syn_dword[429].bit._08
#define TMU_OVERR2_ANA syn_dword[429].bit._09
#define TMU_OVERR2_DIG syn_dword[429].bit._10
#define TMU_OVERR2_ERR syn_dword[429].bit._11
#define TMU_OVERR2_NO  syn_dword[429].bit._12
#define TMU_OVERR3_ANA syn_dword[429].bit._13
#define TMU_OVERR3_DIG syn_dword[429].bit._14
#define TMU_OVERR3_ERR syn_dword[429].bit._15
#define TMU_OVERR3_NO  syn_dword[430].bit._00
#define TMU_STATO_S1 syn_dword[430].bit._01
#define TMU_STATO_S2 syn_dword[430].bit._02
#define TMU_ERR syn_dword[430].bit._03
#define TMU_ERRTIM syn_dword[430].bit._04
#define TMU_ERRSL syn_dword[430].bit._05
#define TMU_ERRDAT syn_dword[430].bit._06
#define TMU_ERR_HEADER syn_dword[430].bit._07
#define TMU_ERR_CHECKSUM syn_dword[430].bit._08
#define TMU_ERR_WORDK syn_dword[430].bit._09
#define TMU_ERR_WORDL syn_dword[430].bit._10
#define TMU_TIPO_MEM syn_dword[430].bit._11
#define TMU_TIPO_MEMECS syn_dword[430].bit._12
#define TMU_TIPO_MEMCUST syn_dword[430].bit._13
#define TMU_RES_CNTVOL syn_dword[430].bit._14
#define TMU_RES_ALLVOL syn_dword[430].bit._15
#define DRV_SYNCH  syn_dword[431].u
#define DRV_SYNCH_00 syn_dword[431].bit._00
#define DRV_SYNCH_01 syn_dword[431].bit._01
#define DRV_SYNCH_02 syn_dword[431].bit._02
#define DRV_SYNCH_03 syn_dword[431].bit._03
#define DRV_SYNCH_04 syn_dword[431].bit._04
#define DRV_SYNCH_05 syn_dword[431].bit._05
#define DRV_SYNCH_06 syn_dword[431].bit._06
#define DRV_SYNCH_07 syn_dword[431].bit._07
#define DRV_SYNCH_08 syn_dword[431].bit._08
#define DRV_SYNCH_09 syn_dword[431].bit._09
#define DRV_SYNCH_10 syn_dword[431].bit._10
#define DRV_SYNCH_11 syn_dword[431].bit._11
#define DRV_SYNCH_12 syn_dword[431].bit._12
#define DRV_SYNCH_13 syn_dword[431].bit._13
#define DRV_SYNCH_14 syn_dword[431].bit._14
#define DRV_SYNCH_15 syn_dword[431].bit._15

// 28 DWORD.
#define DOCK_TX_01 syn_dword[432].u
#define DOCK_TX_02 syn_dword[433].u
#define DOCK_TX_03 syn_dword[434].u
#define DOCK_TX_04 syn_dword[435].u
#define DOCK_TX_05 syn_dword[436].u
#define DOCK_TX_06 syn_dword[437].u
#define DOCK_TX_07 syn_dword[438].u
#define DOCK_TX_08 syn_dword[439].u
#define DOCK_TX_09 syn_dword[440].u
#define DOCK_TX_10 syn_dword[441].u
#define DOCK_TX_11 syn_dword[442].u
#define DOCK_TX_12 syn_dword[443].u
#define DOCK_TX_13 syn_dword[444].u
#define DOCK_TX_14 syn_dword[445].u
#define DOCK_TX_15 syn_dword[446].u
#define DOCK_TX_16 syn_dword[447].u
#define DOCK_TX_17 syn_dword[448].u
#define DOCK_TX_18 syn_dword[449].u
#define DOCK_TX_19 syn_dword[450].u
#define DOCK_TX_20 syn_dword[451].u
#define DOCK_TX_21 syn_dword[452].u
#define DOCK_TX_22 syn_dword[453].u
#define DOCK_TX_23 syn_dword[454].u
#define DOCK_TX_24 syn_dword[455].u
#define DOCK_TX_25 syn_dword[456].u
#define DOCK_TX_26 syn_dword[457].u
#define DOCK_TX_27 syn_dword[458].u
#define DOCK_TX_28 syn_dword[459].u
// 41 DWORD.
#define DOCK_RX_01 syn_dword[460].u
#define DOCK_RX_02 syn_dword[461].u
#define DOCK_RX_03 syn_dword[462].u
#define DOCK_RX_04 syn_dword[463].u
#define DOCK_RX_05 syn_dword[464].u
#define DOCK_RX_06 syn_dword[465].u
#define DOCK_RX_07 syn_dword[466].u
#define DOCK_RX_08 syn_dword[467].u
#define DOCK_RX_09 syn_dword[468].u
#define DOCK_RX_10 syn_dword[469].u
#define DOCK_RX_11 syn_dword[470].u
#define DOCK_RX_12 syn_dword[471].u
#define DOCK_RX_13 syn_dword[472].u
#define DOCK_RX_14 syn_dword[473].u
#define DOCK_RX_15 syn_dword[474].u
#define DOCK_RX_16 syn_dword[475].u
#define DOCK_RX_17 syn_dword[476].u
#define DOCK_RX_18 syn_dword[477].u
#define DOCK_RX_19 syn_dword[478].u
#define DOCK_RX_20 syn_dword[479].u
#define DOCK_RX_21 syn_dword[480].u
#define DOCK_RX_22 syn_dword[481].u
#define DOCK_RX_23 syn_dword[482].u
#define DOCK_RX_24 syn_dword[483].u
#define DOCK_RX_25 syn_dword[484].u
#define DOCK_RX_26 syn_dword[485].u
#define DOCK_RX_27 syn_dword[486].u
#define DOCK_RX_28 syn_dword[487].u
#define DOCK_RX_29 syn_dword[488].u
#define DOCK_RX_30 syn_dword[489].u
#define DOCK_RX_31 syn_dword[490].u
#define DOCK_RX_32 syn_dword[491].u
#define DOCK_RX_33 syn_dword[492].u
#define DOCK_RX_34 syn_dword[493].u
#define DOCK_RX_35 syn_dword[494].u
#define DOCK_RX_36 syn_dword[495].u
#define DOCK_RX_37 syn_dword[496].u
#define DOCK_RX_38 syn_dword[497].u
#define DOCK_RX_39 syn_dword[498].u
#define DOCK_RX_40 syn_dword[499].u
#define DOCK_RX_41 syn_dword[500].u
// 22 DWORD.
#define DOCK_RXL_01 syn_dword[501].u
#define DOCK_RXL_02 syn_dword[502].u
#define DOCK_RXL_03 syn_dword[503].u
#define DOCK_RXL_04 syn_dword[504].u
#define DOCK_RXL_05 syn_dword[505].u
#define DOCK_RXL_06 syn_dword[506].u
#define DOCK_RXL_07 syn_dword[507].u
#define DOCK_RXL_08 syn_dword[508].u
#define DOCK_RXL_09 syn_dword[509].u
#define DOCK_RXL_10 syn_dword[510].u
#define DOCK_RXL_11 syn_dword[511].u
#define DOCK_RXL_12 syn_dword[512].u
#define DOCK_RXL_13 syn_dword[513].u
#define DOCK_RXL_14 syn_dword[514].u
#define DOCK_RXL_15 syn_dword[515].u
#define DOCK_RXL_16 syn_dword[516].u
#define DOCK_RXL_17 syn_dword[517].u
#define DOCK_RXL_18 syn_dword[518].u
#define DOCK_RXL_19 syn_dword[519].u
#define DOCK_RXL_20 syn_dword[520].u
#define DOCK_RXL_21 syn_dword[521].u
#define DOCK_RXL_22 syn_dword[522].u
// 10 DWORD.
#define DOCK_BE_01 syn_dword[523].u
#define DOCK_BE_02 syn_dword[524].u
#define DOCK_BE_03 syn_dword[525].u
#define DOCK_BE_04 syn_dword[526].u
#define DOCK_BE_05 syn_dword[527].u
#define DOCK_BE_06 syn_dword[528].u
#define DOCK_BE_07 syn_dword[529].u
#define DOCK_BE_08 syn_dword[530].u
#define DOCK_BE_09 syn_dword[531].u
#define DOCK_BE_10 syn_dword[532].u

// Contatore di latch.
#define AX_DRVLATCH_0	syn_dword[533].u
#define AX_DRVLATCH_1	syn_dword[534].u	
#define AX_DRVLATCH_2	syn_dword[535].u	
#define AX_DRVLATCH_3	syn_dword[536].u	
#define AX_DRVLATCH_4	syn_dword[537].u	
#define AX_DRVLATCH_5	syn_dword[538].u		
#define AX_DRVLATCH_6	syn_dword[539].u		
#define AX_DRVLATCH_7	syn_dword[540].u		
#define AX_DRVLATCH_8	syn_dword[541].u		
#define AX_DRVLATCH_9	syn_dword[542].u		
#define AX_DRVLATCH_10   syn_dword[543].u
#define AX_DRVLATCH_11   syn_dword[544].u		
#define AX_DRVLATCH_12   syn_dword[545].u		
#define AX_DRVLATCH_13   syn_dword[546].u		
#define AX_DRVLATCH_14   syn_dword[547].u			
#define AX_DRVLATCH_15   syn_dword[548].u
// Quote riportate in intervallo (-RES/2, RES/2-1).
#define AX_DRVROUND_0	syn_dword[549].i
#define AX_DRVROUND_1	syn_dword[550].i	
#define AX_DRVROUND_2	syn_dword[551].i	
#define AX_DRVROUND_3	syn_dword[552].i	
#define AX_DRVROUND_4	syn_dword[553].i	
#define AX_DRVROUND_5	syn_dword[554].i		
#define AX_DRVROUND_6	syn_dword[555].i		
#define AX_DRVROUND_7	syn_dword[556].i		
#define AX_DRVROUND_8	syn_dword[557].i		
#define AX_DRVROUND_9	syn_dword[558].i		
#define AX_DRVROUND_10   syn_dword[559].i
#define AX_DRVROUND_11   syn_dword[560].i		
#define AX_DRVROUND_12   syn_dword[561].i		
#define AX_DRVROUND_13   syn_dword[562].i		
#define AX_DRVROUND_14   syn_dword[563].i			
#define AX_DRVROUND_15   syn_dword[564].i
// Quote latch riportate in intervallo (-RES/2, RES/2-1).
#define AX_DRVRNDLCH_0	syn_dword[565].i
#define AX_DRVRNDLCH_1	syn_dword[566].i	
#define AX_DRVRNDLCH_2	syn_dword[567].i	
#define AX_DRVRNDLCH_3	syn_dword[568].i	
#define AX_DRVRNDLCH_4	syn_dword[569].i	
#define AX_DRVRNDLCH_5	syn_dword[570].i		
#define AX_DRVRNDLCH_6	syn_dword[571].i		
#define AX_DRVRNDLCH_7	syn_dword[572].i		
#define AX_DRVRNDLCH_8	syn_dword[573].i		
#define AX_DRVRNDLCH_9	syn_dword[574].i		
#define AX_DRVRNDLCH_10   syn_dword[575].i
#define AX_DRVRNDLCH_11   syn_dword[576].i		
#define AX_DRVRNDLCH_12   syn_dword[577].i		
#define AX_DRVRNDLCH_13   syn_dword[578].i		
#define AX_DRVRNDLCH_14   syn_dword[579].i			
#define AX_DRVRNDLCH_15   syn_dword[580].i
// Delta latch.
#define AX_DELTALATCH_0	syn_dword[581].i
#define AX_DELTALATCH_1	syn_dword[582].i	
#define AX_DELTALATCH_2	syn_dword[583].i	
#define AX_DELTALATCH_3	syn_dword[584].i	
#define AX_DELTALATCH_4	syn_dword[585].i	
#define AX_DELTALATCH_5	syn_dword[586].i		
#define AX_DELTALATCH_6	syn_dword[587].i		
#define AX_DELTALATCH_7	syn_dword[588].i		
#define AX_DELTALATCH_8	syn_dword[589].i		
#define AX_DELTALATCH_9	syn_dword[590].i		
#define AX_DELTALATCH_10   syn_dword[591].i
#define AX_DELTALATCH_11   syn_dword[592].i		
#define AX_DELTALATCH_12   syn_dword[593].i		
#define AX_DELTALATCH_13   syn_dword[594].i		
#define AX_DELTALATCH_14   syn_dword[595].i			
#define AX_DELTALATCH_15   syn_dword[596].i
// Delta conti.
#define AX_DELTACOUNT_0	syn_dword[597].i
#define AX_DELTACOUNT_1	syn_dword[598].i	
#define AX_DELTACOUNT_2	syn_dword[599].i	
#define AX_DELTACOUNT_3	syn_dword[600].i	
#define AX_DELTACOUNT_4	syn_dword[601].i	
#define AX_DELTACOUNT_5	syn_dword[602].i		
#define AX_DELTACOUNT_6	syn_dword[603].i		
#define AX_DELTACOUNT_7	syn_dword[604].i		
#define AX_DELTACOUNT_8	syn_dword[605].i		
#define AX_DELTACOUNT_9	syn_dword[606].i		
#define AX_DELTACOUNT_10   syn_dword[607].i
#define AX_DELTACOUNT_11   syn_dword[608].i		
#define AX_DELTACOUNT_12   syn_dword[609].i		
#define AX_DELTACOUNT_13   syn_dword[610].i		
#define AX_DELTACOUNT_14   syn_dword[611].i			
#define AX_DELTACOUNT_15   syn_dword[612].i
// Conti giro encoder.
#define AX_REVCOUNT_0	syn_dword[613].i
#define AX_REVCOUNT_1	syn_dword[614].i	
#define AX_REVCOUNT_2	syn_dword[615].i	
#define AX_REVCOUNT_3	syn_dword[616].i	
#define AX_REVCOUNT_4	syn_dword[617].i	
#define AX_REVCOUNT_5	syn_dword[618].i		
#define AX_REVCOUNT_6	syn_dword[619].i		
#define AX_REVCOUNT_7	syn_dword[620].i		
#define AX_REVCOUNT_8	syn_dword[621].i		
#define AX_REVCOUNT_9	syn_dword[622].i		
#define AX_REVCOUNT_10   syn_dword[623].i
#define AX_REVCOUNT_11   syn_dword[624].i		
#define AX_REVCOUNT_12   syn_dword[625].i		
#define AX_REVCOUNT_13   syn_dword[626].i		
#define AX_REVCOUNT_14   syn_dword[627].i			
#define AX_REVCOUNT_15   syn_dword[628].i
// Quote touch - probe riportate in intervallo (-RES/2, RES/2-1).
#define AX_DRVRNDTP_0	syn_dword[629].i
#define AX_DRVRNDTP_1	syn_dword[630].i	
#define AX_DRVRNDTP_2	syn_dword[631].i	
#define AX_DRVRNDTP_3	syn_dword[632].i	
#define AX_DRVRNDTP_4	syn_dword[633].i	
#define AX_DRVRNDTP_5	syn_dword[634].i		
#define AX_DRVRNDTP_6	syn_dword[635].i		
#define AX_DRVRNDTP_7	syn_dword[636].i		
#define AX_DRVRNDTP_8	syn_dword[637].i		
#define AX_DRVRNDTP_9	syn_dword[638].i		
#define AX_DRVRNDTP_10   syn_dword[639].i
#define AX_DRVRNDTP_11   syn_dword[640].i		
#define AX_DRVRNDTP_12   syn_dword[641].i		
#define AX_DRVRNDTP_13   syn_dword[642].i		
#define AX_DRVRNDTP_14   syn_dword[643].i			
#define AX_DRVRNDTP_15   syn_dword[644].i
// Quote marker (micro) riportate in intervallo (-RES/2, RES/2-1).
#define AX_DRVRNDMKR_0	syn_dword[645].i
#define AX_DRVRNDMKR_1	syn_dword[646].i	
#define AX_DRVRNDMKR_2	syn_dword[647].i	
#define AX_DRVRNDMKR_3	syn_dword[648].i	
#define AX_DRVRNDMKR_4	syn_dword[649].i	
#define AX_DRVRNDMKR_5	syn_dword[650].i		
#define AX_DRVRNDMKR_6	syn_dword[651].i		
#define AX_DRVRNDMKR_7	syn_dword[652].i		
#define AX_DRVRNDMKR_8	syn_dword[653].i		
#define AX_DRVRNDMKR_9	syn_dword[654].i		
#define AX_DRVRNDMKR_10   syn_dword[655].i
#define AX_DRVRNDMKR_11   syn_dword[656].i		
#define AX_DRVRNDMKR_12   syn_dword[657].i		
#define AX_DRVRNDMKR_13   syn_dword[658].i		
#define AX_DRVRNDMKR_14   syn_dword[659].i			
#define AX_DRVRNDMKR_15   syn_dword[660].i

// Era: AX_5021COUNT_#: Conti giro determinati dal moduli EL5021.
//		Per EL5021 il significato  rimasto.
// Ora : AX_INTCOUNT_0: valore di conti intermedio tra quello
//		  letto dalla periferia e quello ricevuto dal CNC.
//		  Utilizzato solo da alcuni tipi di device per DEBUG.
//		  Per Asse Fisico Sercos  la quota ricostruita su un long (32bit)
#define AX_INTCOUNT_0	syn_dword[661].u
#define AX_INTCOUNT_1	syn_dword[662].u	
#define AX_INTCOUNT_2	syn_dword[663].u	
#define AX_INTCOUNT_3	syn_dword[664].u	
#define AX_INTCOUNT_4	syn_dword[665].u	
#define AX_INTCOUNT_5	syn_dword[666].u		
#define AX_INTCOUNT_6	syn_dword[667].u		
#define AX_INTCOUNT_7	syn_dword[668].u		
#define AX_INTCOUNT_8	syn_dword[669].u		
#define AX_INTCOUNT_9	syn_dword[670].u		
#define AX_INTCOUNT_10   syn_dword[671].u
#define AX_INTCOUNT_11   syn_dword[672].u		
#define AX_INTCOUNT_12   syn_dword[673].u		
#define AX_INTCOUNT_13   syn_dword[674].u		
#define AX_INTCOUNT_14   syn_dword[675].u			
#define AX_INTCOUNT_15   syn_dword[676].u

#define ACCUD_AX_0	syn_dword[677].u
#define ACCUD_AX_1	syn_dword[678].u
#define ACCUD_AX_2	syn_dword[679].u
#define ACCUD_AX_3	syn_dword[680].u
#define ACCUD_AX_4	syn_dword[681].u
#define ACCUD_AX_5	syn_dword[682].u
#define ACCUD_AX_6	syn_dword[683].u
#define ACCUD_AX_7	syn_dword[684].u
#define ACCUD_AX_8	syn_dword[685].u
#define ACCUD_AX_9	syn_dword[686].u
#define ACCUD_AX_10	syn_dword[687].u
#define ACCUD_AX_11	syn_dword[688].u
#define ACCUD_AX_12	syn_dword[689].u
#define ACCUD_AX_13	syn_dword[690].u
#define ACCUD_AX_14	syn_dword[691].u
#define ACCUD_AX_15	syn_dword[692].u

#define TMU_RESET syn_dword[693].bit._00
#define TMU_ACTIVE_2 syn_dword[693].bit._01
#define TMU_EC_FILTER syn_dword[693].bit._02
#define TMU_CHG_CHKSUM syn_dword[693].bit._03
#define TMU_RESET_CNT  syn_dword[694].u

#define RA_NSAMPL_AX_0	syn_dword[695].u
#define RA_NSAMPL_AX_1	syn_dword[696].u
#define RA_NSAMPL_AX_2	syn_dword[697].u
#define RA_NSAMPL_AX_3	syn_dword[698].u
#define RA_NSAMPL_AX_4	syn_dword[699].u
#define RA_NSAMPL_AX_5	syn_dword[700].u
#define RA_NSAMPL_AX_6	syn_dword[701].u
#define RA_NSAMPL_AX_7	syn_dword[702].u
#define RA_NSAMPL_AX_8	syn_dword[703].u
#define RA_NSAMPL_AX_9	syn_dword[704].u
#define RA_NSAMPL_AX_10	syn_dword[705].u
#define RA_NSAMPL_AX_11	syn_dword[706].u
#define RA_NSAMPL_AX_12	syn_dword[707].u
#define RA_NSAMPL_AX_13	syn_dword[708].u
#define RA_NSAMPL_AX_14	syn_dword[709].u
#define RA_NSAMPL_AX_15	syn_dword[710].u

#define RA_START_AX  syn_dword[711].u
#define RA_START_AX_0 syn_dword[711].bit._00
#define RA_START_AX_1 syn_dword[711].bit._01
#define RA_START_AX_2 syn_dword[711].bit._02
#define RA_START_AX_3 syn_dword[711].bit._03
#define RA_START_AX_4 syn_dword[711].bit._04
#define RA_START_AX_5 syn_dword[711].bit._05
#define RA_START_AX_6 syn_dword[711].bit._06
#define RA_START_AX_7 syn_dword[711].bit._07
#define RA_START_AX_8 syn_dword[711].bit._08
#define RA_START_AX_9 syn_dword[711].bit._09
#define RA_START_AX_10 syn_dword[711].bit._10
#define RA_START_AX_11 syn_dword[711].bit._11
#define RA_START_AX_12 syn_dword[711].bit._12
#define RA_START_AX_13 syn_dword[711].bit._13
#define RA_START_AX_14 syn_dword[711].bit._14
#define RA_START_AX_15 syn_dword[711].bit._15

#define RA_PHASE_AX_0	syn_dword[712].u
#define RA_PHASE_AX_1	syn_dword[713].u
#define RA_PHASE_AX_2	syn_dword[714].u
#define RA_PHASE_AX_3	syn_dword[715].u
#define RA_PHASE_AX_4	syn_dword[716].u
#define RA_PHASE_AX_5	syn_dword[717].u
#define RA_PHASE_AX_6	syn_dword[718].u
#define RA_PHASE_AX_7	syn_dword[719].u
#define RA_PHASE_AX_8	syn_dword[720].u
#define RA_PHASE_AX_9	syn_dword[721].u
#define RA_PHASE_AX_10	syn_dword[722].u
#define RA_PHASE_AX_11	syn_dword[723].u
#define RA_PHASE_AX_12	syn_dword[724].u
#define RA_PHASE_AX_13	syn_dword[725].u
#define RA_PHASE_AX_14	syn_dword[726].u
#define RA_PHASE_AX_15	syn_dword[727].u

#define RA_NTSAMPL_AX_0	syn_dword[728].u
#define RA_NTSAMPL_AX_1	syn_dword[729].u
#define RA_NTSAMPL_AX_2	syn_dword[730].u
#define RA_NTSAMPL_AX_3	syn_dword[731].u
#define RA_NTSAMPL_AX_4	syn_dword[732].u
#define RA_NTSAMPL_AX_5	syn_dword[733].u
#define RA_NTSAMPL_AX_6	syn_dword[734].u
#define RA_NTSAMPL_AX_7	syn_dword[735].u
#define RA_NTSAMPL_AX_8	syn_dword[736].u
#define RA_NTSAMPL_AX_9	syn_dword[737].u
#define RA_NTSAMPL_AX_10	syn_dword[738].u
#define RA_NTSAMPL_AX_11	syn_dword[739].u
#define RA_NTSAMPL_AX_12	syn_dword[740].u
#define RA_NTSAMPL_AX_13	syn_dword[741].u
#define RA_NTSAMPL_AX_14	syn_dword[742].u
#define RA_NTSAMPL_AX_15	syn_dword[743].u

#define RA_ADJUST_AX  syn_dword[744].u
#define RA_ADJUST_AX_0 syn_dword[744].bit._00
#define RA_ADJUST_AX_1 syn_dword[744].bit._01
#define RA_ADJUST_AX_2 syn_dword[744].bit._02
#define RA_ADJUST_AX_3 syn_dword[744].bit._03
#define RA_ADJUST_AX_4 syn_dword[744].bit._04
#define RA_ADJUST_AX_5 syn_dword[744].bit._05
#define RA_ADJUST_AX_6 syn_dword[744].bit._06
#define RA_ADJUST_AX_7 syn_dword[744].bit._07
#define RA_ADJUST_AX_8 syn_dword[744].bit._08
#define RA_ADJUST_AX_9 syn_dword[744].bit._09
#define RA_ADJUST_AX_10 syn_dword[744].bit._10
#define RA_ADJUST_AX_11 syn_dword[744].bit._11
#define RA_ADJUST_AX_12 syn_dword[744].bit._12
#define RA_ADJUST_AX_13 syn_dword[744].bit._13
#define RA_ADJUST_AX_14 syn_dword[744].bit._14
#define RA_ADJUST_AX_15 syn_dword[744].bit._15

#define RA_STON_AX  syn_dword[745].u
#define RA_STON_AX_0 syn_dword[745].bit._00
#define RA_STON_AX_1 syn_dword[745].bit._01
#define RA_STON_AX_2 syn_dword[745].bit._02
#define RA_STON_AX_3 syn_dword[745].bit._03
#define RA_STON_AX_4 syn_dword[745].bit._04
#define RA_STON_AX_5 syn_dword[745].bit._05
#define RA_STON_AX_6 syn_dword[745].bit._06
#define RA_STON_AX_7 syn_dword[745].bit._07
#define RA_STON_AX_8 syn_dword[745].bit._08
#define RA_STON_AX_9 syn_dword[745].bit._09
#define RA_STON_AX_10 syn_dword[745].bit._10
#define RA_STON_AX_11 syn_dword[745].bit._11
#define RA_STON_AX_12 syn_dword[745].bit._12
#define RA_STON_AX_13 syn_dword[745].bit._13
#define RA_STON_AX_14 syn_dword[745].bit._14
#define RA_STON_AX_15 syn_dword[745].bit._15

#define F_VMR_AX  syn_dword[746].u
#define F_VMR_AX_0 syn_dword[746].bit._00
#define F_VMR_AX_1 syn_dword[746].bit._01
#define F_VMR_AX_2 syn_dword[746].bit._02
#define F_VMR_AX_3 syn_dword[746].bit._03
#define F_VMR_AX_4 syn_dword[746].bit._04
#define F_VMR_AX_5 syn_dword[746].bit._05
#define F_VMR_AX_6 syn_dword[746].bit._06
#define F_VMR_AX_7 syn_dword[746].bit._07
#define F_VMR_AX_8 syn_dword[746].bit._08
#define F_VMR_AX_9 syn_dword[746].bit._09
#define F_VMR_AX_10 syn_dword[746].bit._10
#define F_VMR_AX_11 syn_dword[746].bit._11
#define F_VMR_AX_12 syn_dword[746].bit._12
#define F_VMR_AX_13 syn_dword[746].bit._13
#define F_VMR_AX_14 syn_dword[746].bit._14
#define F_VMR_AX_15 syn_dword[746].bit._15

#define TMU_TYPE_ACT  syn_dword[747].u
#define TMU_RCV_FWREL syn_dword[748].bit._00
#define TMU_RCV_TYPE  syn_dword[748].bit._01
#define TMU_RCV_ALL   syn_dword[748].bit._02
#define TMU_RCV_KEYS  syn_dword[748].bit._03
#define TMU_RCV_VOL   syn_dword[748].bit._04
#define TMU_RCV_OVR1  syn_dword[748].bit._05
#define TMU_RCV_OVR2  syn_dword[748].bit._06
#define TMU_RCV_OVR3  syn_dword[748].bit._07
#define TMU_RCV_JOY_X syn_dword[748].bit._08
#define TMU_RCV_JOY_Y syn_dword[748].bit._09
#define TMU_RCV_JOY_Z syn_dword[748].bit._10
#define TMU_RCV_INIT  syn_dword[748].bit._11
#define TMU_TX62      syn_dword[748].bit._12
#define TMU_TX63      syn_dword[748].bit._13
#define TMU_TX126     syn_dword[748].bit._14
#define TMU_TX127     syn_dword[748].bit._15
#define TMU_CNT_TX62  syn_dword[749].u
#define TMU_CNT_TX63  syn_dword[750].u
#define TMU_CNT_TX126  syn_dword[751].u
#define TMU_CNT_TX127  syn_dword[752].u

#define KPMOD_AX_0  syn_dword[753].u
#define KPMOD_AX_1  syn_dword[754].u
#define KPMOD_AX_2  syn_dword[755].u
#define KPMOD_AX_3  syn_dword[756].u
#define KPMOD_AX_4  syn_dword[757].u
#define KPMOD_AX_5  syn_dword[758].u
#define KPMOD_AX_6  syn_dword[759].u
#define KPMOD_AX_7  syn_dword[760].u
#define KPMOD_AX_8  syn_dword[761].u
#define KPMOD_AX_9  syn_dword[762].u
#define KPMOD_AX_10  syn_dword[763].u
#define KPMOD_AX_11  syn_dword[764].u
#define KPMOD_AX_12  syn_dword[765].u
#define KPMOD_AX_13  syn_dword[766].u
#define KPMOD_AX_14  syn_dword[767].u
#define KPMOD_AX_15  syn_dword[768].u

#define G69_AUTOFF  syn_dword[769].u
// #define fre__3  syn_dword[780] - syn_dword[801]

#define RA_NAI_AX_0  syn_dword[802].i
#define RA_NAI_AX_1  syn_dword[803].i
#define RA_NAI_AX_2  syn_dword[804].i
#define RA_NAI_AX_3  syn_dword[805].i
#define RA_NAI_AX_4  syn_dword[806].i
#define RA_NAI_AX_5  syn_dword[807].i
#define RA_NAI_AX_6  syn_dword[808].i
#define RA_NAI_AX_7  syn_dword[809].i
#define RA_NAI_AX_8  syn_dword[810].i
#define RA_NAI_AX_9  syn_dword[811].i
#define RA_NAI_AX_10  syn_dword[812].i
#define RA_NAI_AX_11  syn_dword[813].i
#define RA_NAI_AX_12  syn_dword[814].i
#define RA_NAI_AX_13  syn_dword[815].i
#define RA_NAI_AX_14  syn_dword[816].i
#define RA_NAI_AX_15  syn_dword[817].i

#define RA_ACCDV_AX_0  syn_dword[818].i
#define RA_ACCDV_AX_1  syn_dword[819].i
#define RA_ACCDV_AX_2  syn_dword[820].i
#define RA_ACCDV_AX_3  syn_dword[821].i
#define RA_ACCDV_AX_4  syn_dword[822].i
#define RA_ACCDV_AX_5  syn_dword[823].i
#define RA_ACCDV_AX_6  syn_dword[823].i
#define RA_ACCDV_AX_7  syn_dword[825].i
#define RA_ACCDV_AX_8  syn_dword[826].i
#define RA_ACCDV_AX_9  syn_dword[827].i
#define RA_ACCDV_AX_10  syn_dword[828].i
#define RA_ACCDV_AX_11  syn_dword[829].i
#define RA_ACCDV_AX_12  syn_dword[830].i
#define RA_ACCDV_AX_13  syn_dword[831].i
#define RA_ACCDV_AX_14  syn_dword[832].i
#define RA_ACCDV_AX_15  syn_dword[833].i

#define FCT_FLAGS	syn_dword[834].u
#define FCT_ENABLE_REQ	syn_dword[834].bit._00
#define FCT_ENABLE_EXE	syn_dword[834].bit._01
#define FCT_TON_REQ	syn_dword[834].bit._02
#define FCT_TOFF_REQ	syn_dword[834].bit._03
#define FCT_TON_EXE	syn_dword[834].bit._04
#define FCT_TOFF_EXE syn_dword[834].bit._05
#define FCT_OUTVAL syn_dword[834].bit._06
#define FCT_SETOUT syn_dword[834].bit._07
#define FCT_EXECUTED syn_dword[834].bit._08
#define FCT_NEW_BI syn_dword[834].bit._09
#define FCT_VOKCONST syn_dword[834].bit._10
#define FCT_CFG_OUT syn_dword[834].bit._11
#define FCT_CFG_OUT_2 syn_dword[834].bit._12
#define FCT_NOT_TIMON syn_dword[834].bit._13
#define FCT_RES_1 syn_dword[834].bit._14
#define FCT_RES_2 syn_dword[834].bit._15
#define FCT_ERR  syn_dword[835].u
#define FCT_ERR_00	syn_dword[835].bit._00
#define FCT_ERR_01	syn_dword[835].bit._01
#define FCT_FLAGS_2	syn_dword[836].u
#define FCT_ENABLE_EXE_2	syn_dword[836].bit._01
#define FCT_TON_EXE_2	syn_dword[836].bit._04
#define FCT_TOFF_EXE_2 syn_dword[836].bit._05
#define FCT_OUTVAL_2 syn_dword[836].bit._06
#define FCT_SETOUT_2 syn_dword[836].bit._07
#define FCT_EXECUTED_2 syn_dword[836].bit._08
#define FCT_NEW_BI_2 syn_dword[836].bit._09
#define FCT_VOKCONST_2 syn_dword[836].bit._10
#define FCT_ERR_2  syn_dword[837].u
#define FCT_ERR_00_2	syn_dword[837].bit._00
#define FCT_ERR_01_2	syn_dword[837].bit._01

#define FCT_MICROSEC syn_dword[838].i
#define FCT_MICSEC_RND syn_dword[839].i
#define FCT_TCYC_NREQ syn_dword[840].i
#define FCT_TCYC_NUM syn_dword[841].i
#define FCT_MICROSEC_2 syn_dword[842].i
#define FCT_MICSEC_RND_2 syn_dword[843].i
#define FCT_TCYC_NREQ_2 syn_dword[844].i
#define FCT_TCYC_NUM_2 syn_dword[845].i
#define FCT_ERR_COUNTER syn_dword[846].u
#define FCT_NPROGEXE syn_dword[847].i
#define FCT_TIMADVCNT syn_dword[848].i
#define FCT_FIRST_BB syn_dword[849].i
#define FCT_TIMADVCNT_2 syn_dword[850].i
#define FCT_FIRST_BB_2 syn_dword[851].i
#define FCT_DELAY_TIM syn_dword[852].i
#define FCT_FIXTIM_OF syn_dword[853].i
#define FCT_DELAY_TIM_2 syn_dword[854].i
#define FCT_FIXTIM_OF_2 syn_dword[855].i

#define T1A_FLAGS        syn_dword[856].u
#define T1A_NWAIT_CHG    syn_dword[856].bit._00

#define INT_FLAGS        syn_dword[857].u
// flag "multi block" (blocchi accorpati) VALORE ATTUALE
// N.B: si definiscono "blocchi accorpati i blocchi contigui
//      con Accelerazioni e Velocita' di fine blocco uguali
//      oppure entro una certa tolleranza e con velocita' di
//      fine blocco >= alle proprie velocita' programmate.
// "bmBlk" e' = 0 sull'ultimo blocco accorpato.
#define PCBA_BMBLK      syn_dword[857].bit._00
#define PCBT_BMBLK      syn_dword[857].bit._01
// flag per "Vdes":
// se bVdes=0  la Vdes corrisponde     alla Vprog
// se bVdes=1  la Vdes NON corrisponde alla Vprog
// IN QUESTO CASO LA "Vdes" e' un limite
// "invalicabile" (per il rispetto delle "Vfmax")
// da considerarsi nell'interpolatore per il calcolo
// della Velocita' DESiderata stessa
#define PCBA_BVDES		syn_dword[857].bit._02
#define PCBT_BVDES		syn_dword[857].bit._03

// Flag Velocita' costante
#define DBINT_FVK		syn_dword[857].bit._04
// Flag Fine Accelerazione
#define DBINT_BENDACC	syn_dword[857].bit._05
#define DBINT_BOK_PARAM	syn_dword[857].bit._06
#define BBP_T1A_CHG     syn_dword[857].bit._07

// Contatori di debug per istruzione T1A.
#define T1A_NWAIT_ACCTIM syn_dword[858].i
#define T1A_BIFS_ACCTIM syn_dword[859].i
#define T1A_NWAIT_CNT syn_dword[860].i
#define T1A_NWAIT_CNT_1 syn_dword[861].i
#define T1A_CNT syn_dword[862].i
#define T1A_CNT_1 syn_dword[863].i
#define T1A_NWAIT_CHG_CNT syn_dword[864].i

// Contatore routine Interpol ().
#define INTERPOL_CNT syn_dword[865].u
#define DBG_TWTN_CNT syn_dword[866].u

#define RA_SIG_AX_0	syn_dword[867].u
#define RA_SIG_AX_1	syn_dword[868].u
#define RA_SIG_AX_2	syn_dword[869].u
#define RA_SIG_AX_3	syn_dword[870].u
#define RA_SIG_AX_4	syn_dword[871].u
#define RA_SIG_AX_5	syn_dword[872].u
#define RA_SIG_AX_6	syn_dword[873].u
#define RA_SIG_AX_7	syn_dword[874].u
#define RA_SIG_AX_8	syn_dword[875].u
#define RA_SIG_AX_9	syn_dword[876].u
#define RA_SIG_AX_10	syn_dword[877].u
#define RA_SIG_AX_11	syn_dword[878].u
#define RA_SIG_AX_12	syn_dword[879].u
#define RA_SIG_AX_13	syn_dword[880].u
#define RA_SIG_AX_14	syn_dword[881].u
#define RA_SIG_AX_15	syn_dword[882].u

#define VSL_NACKEXE	syn_dword[883].u
#define VSL_ACKEXE	syn_dword[884].u
#define VSL_CFGFILE_OK syn_dword[885].u
#define VSL_S_U syn_dword[886].u
#define VSL_S_INIT syn_dword[886].bit._00
#define VSL_S_OK syn_dword[886].bit._01
#define VSL_S_ERR_1 syn_dword[886].bit._02
#define VSL_S_SEND syn_dword[886].bit._03
#define VSL_S_EXECUTING syn_dword[886].bit._04
#define VSL_RETCODE syn_dword[887].i

/* #1627: aggiunto sinonimo conti SA dell'asse */
#define AX_UD_COUNT_0		syn_dword[888].i
#define AX_UD_COUNT_1		syn_dword[889].i
#define AX_UD_COUNT_2		syn_dword[890].i
#define AX_UD_COUNT_3		syn_dword[891].i
#define AX_UD_COUNT_4		syn_dword[892].i
#define AX_UD_COUNT_5		syn_dword[893].i
#define AX_UD_COUNT_6		syn_dword[894].i
#define AX_UD_COUNT_7		syn_dword[895].i
#define AX_UD_COUNT_8		syn_dword[896].i
#define AX_UD_COUNT_9		syn_dword[897].i
#define AX_UD_COUNT_10		syn_dword[898].i
#define AX_UD_COUNT_11		syn_dword[899].i
#define AX_UD_COUNT_12		syn_dword[900].i
#define AX_UD_COUNT_13		syn_dword[901].i
#define AX_UD_COUNT_14		syn_dword[902].i
#define AX_UD_COUNT_15		syn_dword[903].i

#define VSL_EXECUTED_RD syn_dword[904].u
#define VSL_EXECUTED_WR syn_dword[905].u

// richiesta abilitazione aggiorna posizione target on-the-fly asse p.to p.to
#define         TPOFENA      syn_dword[906].u
#define         TPOFENA_0    syn_dword[906].bit._00
#define         TPOFENA_1    syn_dword[906].bit._01
#define         TPOFENA_2    syn_dword[906].bit._02
#define         TPOFENA_3    syn_dword[906].bit._03
#define         TPOFENA_4    syn_dword[906].bit._04
#define         TPOFENA_5    syn_dword[906].bit._05
#define         TPOFENA_6    syn_dword[906].bit._06
#define         TPOFENA_7    syn_dword[906].bit._07
#define         TPOFENA_8    syn_dword[906].bit._08
#define         TPOFENA_9    syn_dword[906].bit._09
#define         TPOFENA_10   syn_dword[906].bit._10
#define         TPOFENA_11   syn_dword[906].bit._11
#define         TPOFENA_12   syn_dword[906].bit._12
#define         TPOFENA_13   syn_dword[906].bit._13
#define         TPOFENA_14   syn_dword[906].bit._14
#define         TPOFENA_15   syn_dword[906].bit._15
// strobe nuova posizione target asse p.to p.to
#define         TPOFSTB      syn_dword[907].u
#define         TPOFSTB_0    syn_dword[907].bit._00
#define         TPOFSTB_1    syn_dword[907].bit._01
#define         TPOFSTB_2    syn_dword[907].bit._02
#define         TPOFSTB_3    syn_dword[907].bit._03
#define         TPOFSTB_4    syn_dword[907].bit._04
#define         TPOFSTB_5    syn_dword[907].bit._05
#define         TPOFSTB_6    syn_dword[907].bit._06
#define         TPOFSTB_7    syn_dword[907].bit._07
#define         TPOFSTB_8    syn_dword[907].bit._08
#define         TPOFSTB_9    syn_dword[907].bit._09
#define         TPOFSTB_10   syn_dword[907].bit._10
#define         TPOFSTB_11   syn_dword[907].bit._11
#define         TPOFSTB_12   syn_dword[907].bit._12
#define         TPOFSTB_13   syn_dword[907].bit._13
#define         TPOFSTB_14   syn_dword[907].bit._14
#define         TPOFSTB_15   syn_dword[907].bit._15
// acknowledge nuova posizione target asse p.to p.to
#define         TPOFACK	   syn_dword[908].u
#define         TPOFACK_0    syn_dword[908].bit._00
#define         TPOFACK_1    syn_dword[908].bit._01
#define         TPOFACK_2    syn_dword[908].bit._02
#define         TPOFACK_3    syn_dword[908].bit._03
#define         TPOFACK_4    syn_dword[908].bit._04
#define         TPOFACK_5    syn_dword[908].bit._05
#define         TPOFACK_6    syn_dword[908].bit._06
#define         TPOFACK_7    syn_dword[908].bit._07
#define         TPOFACK_8    syn_dword[908].bit._08
#define         TPOFACK_9    syn_dword[908].bit._09
#define         TPOFACK_10   syn_dword[908].bit._10
#define         TPOFACK_11   syn_dword[908].bit._11
#define         TPOFACK_12   syn_dword[908].bit._12
#define         TPOFACK_13   syn_dword[908].bit._13
#define         TPOFACK_14   syn_dword[908].bit._14
#define         TPOFACK_15   syn_dword[908].bit._15
// target position e' stata limitata su fine corsa positivo
#define         TPOFFPLIM	 syn_dword[909].u
#define         TPOFFPLIM_0    syn_dword[909].bit._00
#define         TPOFFPLIM_1    syn_dword[909].bit._01
#define         TPOFFPLIM_2    syn_dword[909].bit._02
#define         TPOFFPLIM_3    syn_dword[909].bit._03
#define         TPOFFPLIM_4    syn_dword[909].bit._04
#define         TPOFFPLIM_5    syn_dword[909].bit._05
#define         TPOFFPLIM_6    syn_dword[909].bit._06
#define         TPOFFPLIM_7    syn_dword[909].bit._07
#define         TPOFFPLIM_8    syn_dword[909].bit._08
#define         TPOFFPLIM_9    syn_dword[909].bit._09
#define         TPOFFPLIM_10   syn_dword[909].bit._10
#define         TPOFFPLIM_11   syn_dword[909].bit._11
#define         TPOFFPLIM_12   syn_dword[909].bit._12
#define         TPOFFPLIM_13   syn_dword[909].bit._13
#define         TPOFFPLIM_14   syn_dword[909].bit._14
#define         TPOFFPLIM_15   syn_dword[909].bit._15
// target position e' stata limitata su fine corsa negativo
#define         TPOFFNLIM	 syn_dword[910].u
#define         TPOFFNLIM_0    syn_dword[910].bit._00
#define         TPOFFNLIM_1    syn_dword[910].bit._01
#define         TPOFFNLIM_2    syn_dword[910].bit._02
#define         TPOFFNLIM_3    syn_dword[910].bit._03
#define         TPOFFNLIM_4    syn_dword[910].bit._04
#define         TPOFFNLIM_5    syn_dword[910].bit._05
#define         TPOFFNLIM_6    syn_dword[910].bit._06
#define         TPOFFNLIM_7    syn_dword[910].bit._07
#define         TPOFFNLIM_8    syn_dword[910].bit._08
#define         TPOFFNLIM_9    syn_dword[910].bit._09
#define         TPOFFNLIM_10   syn_dword[910].bit._10
#define         TPOFFNLIM_11   syn_dword[910].bit._11
#define         TPOFFNLIM_12   syn_dword[910].bit._12
#define         TPOFFNLIM_13   syn_dword[910].bit._13
#define         TPOFFNLIM_14   syn_dword[910].bit._14
#define         TPOFFNLIM_15   syn_dword[910].bit._15
// nuovo muro
#define         TPOFNW	 syn_dword[911].u
#define         TPOFNW_0    syn_dword[911].bit._00
#define         TPOFNW_1    syn_dword[911].bit._01
#define         TPOFNW_2    syn_dword[911].bit._02
#define         TPOFNW_3    syn_dword[911].bit._03
#define         TPOFNW_4    syn_dword[911].bit._04
#define         TPOFNW_5    syn_dword[911].bit._05
#define         TPOFNW_6    syn_dword[911].bit._06
#define         TPOFNW_7    syn_dword[911].bit._07
#define         TPOFNW_8    syn_dword[911].bit._08
#define         TPOFNW_9    syn_dword[911].bit._09
#define         TPOFNW_10   syn_dword[911].bit._10
#define         TPOFNW_11   syn_dword[911].bit._11
#define         TPOFNW_12   syn_dword[911].bit._12
#define         TPOFNW_13   syn_dword[911].bit._13
#define         TPOFNW_14   syn_dword[911].bit._14
#define         TPOFNW_15   syn_dword[911].bit._15
// richiesta di inversione del movimento in corso
#define         TPOFINV	 syn_dword[912].u
#define         TPOFINV_0    syn_dword[912].bit._00
#define         TPOFINV_1    syn_dword[912].bit._01
#define         TPOFINV_2    syn_dword[912].bit._02
#define         TPOFINV_3    syn_dword[912].bit._03
#define         TPOFINV_4    syn_dword[912].bit._04
#define         TPOFINV_5    syn_dword[912].bit._05
#define         TPOFINV_6    syn_dword[912].bit._06
#define         TPOFINV_7    syn_dword[912].bit._07
#define         TPOFINV_8    syn_dword[912].bit._08
#define         TPOFINV_9    syn_dword[912].bit._09
#define         TPOFINV_10   syn_dword[912].bit._10
#define         TPOFINV_11   syn_dword[912].bit._11
#define         TPOFINV_12   syn_dword[912].bit._12
#define         TPOFINV_13   syn_dword[912].bit._13
#define         TPOFINV_14   syn_dword[912].bit._14
#define         TPOFINV_15   syn_dword[912].bit._15
// comando in corso
#define         TPOFBOC	 syn_dword[913].u
#define         TPOFBOC_0    syn_dword[913].bit._00
#define         TPOFBOC_1    syn_dword[913].bit._01
#define         TPOFBOC_2    syn_dword[913].bit._02
#define         TPOFBOC_3    syn_dword[913].bit._03
#define         TPOFBOC_4    syn_dword[913].bit._04
#define         TPOFBOC_5    syn_dword[913].bit._05
#define         TPOFBOC_6    syn_dword[913].bit._06
#define         TPOFBOC_7    syn_dword[913].bit._07
#define         TPOFBOC_8    syn_dword[913].bit._08
#define         TPOFBOC_9    syn_dword[913].bit._09
#define         TPOFBOC_10   syn_dword[913].bit._10
#define         TPOFBOC_11   syn_dword[913].bit._11
#define         TPOFBOC_12   syn_dword[913].bit._12
#define         TPOFBOC_13   syn_dword[913].bit._13
#define         TPOFBOC_14   syn_dword[913].bit._14
#define         TPOFBOC_15   syn_dword[913].bit._15
// richiesta annullamento comando in corso
#define         TPOFBAN	 syn_dword[914].u
#define         TPOFBAN_0    syn_dword[914].bit._00
#define         TPOFBAN_1    syn_dword[914].bit._01
#define         TPOFBAN_2    syn_dword[914].bit._02
#define         TPOFBAN_3    syn_dword[914].bit._03
#define         TPOFBAN_4    syn_dword[914].bit._04
#define         TPOFBAN_5    syn_dword[914].bit._05
#define         TPOFBAN_6    syn_dword[914].bit._06
#define         TPOFBAN_7    syn_dword[914].bit._07
#define         TPOFBAN_8    syn_dword[914].bit._08
#define         TPOFBAN_9    syn_dword[914].bit._09
#define         TPOFBAN_10   syn_dword[914].bit._10
#define         TPOFBAN_11   syn_dword[914].bit._11
#define         TPOFBAN_12   syn_dword[914].bit._12
#define         TPOFBAN_13   syn_dword[914].bit._13
#define         TPOFBAN_14   syn_dword[914].bit._14
#define         TPOFBAN_15   syn_dword[914].bit._15
// secondo start
#define         TPOFBST	 syn_dword[915].u
#define         TPOFBST_0    syn_dword[915].bit._00
#define         TPOFBST_1    syn_dword[915].bit._01
#define         TPOFBST_2    syn_dword[915].bit._02
#define         TPOFBST_3    syn_dword[915].bit._03
#define         TPOFBST_4    syn_dword[915].bit._04
#define         TPOFBST_5    syn_dword[915].bit._05
#define         TPOFBST_6    syn_dword[915].bit._06
#define         TPOFBST_7    syn_dword[915].bit._07
#define         TPOFBST_8    syn_dword[915].bit._08
#define         TPOFBST_9    syn_dword[915].bit._09
#define         TPOFBST_10   syn_dword[915].bit._10
#define         TPOFBST_11   syn_dword[915].bit._11
#define         TPOFBST_12   syn_dword[915].bit._12
#define         TPOFBST_13   syn_dword[915].bit._13
#define         TPOFBST_14   syn_dword[915].bit._14
#define         TPOFBST_15   syn_dword[915].bit._15
// richiesta inversione quando spazio di frenatura non sufficiente
#define         TPOFANINV	 syn_dword[916].u
#define         TPOFANINV_0    syn_dword[916].bit._00
#define         TPOFANINV_1    syn_dword[916].bit._01
#define         TPOFANINV_2    syn_dword[916].bit._02
#define         TPOFANINV_3    syn_dword[916].bit._03
#define         TPOFANINV_4    syn_dword[916].bit._04
#define         TPOFANINV_5    syn_dword[916].bit._05
#define         TPOFANINV_6    syn_dword[916].bit._06
#define         TPOFANINV_7    syn_dword[916].bit._07
#define         TPOFANINV_8    syn_dword[916].bit._08
#define         TPOFANINV_9    syn_dword[916].bit._09
#define         TPOFANINV_10   syn_dword[916].bit._10
#define         TPOFANINV_11   syn_dword[916].bit._11
#define         TPOFANINV_12   syn_dword[916].bit._12
#define         TPOFANINV_13   syn_dword[916].bit._13
#define         TPOFANINV_14   syn_dword[916].bit._14
#define         TPOFANINV_15   syn_dword[916].bit._15
// start dopo inv
#define         TPOFIST	 syn_dword[917].u
#define         TPOFIST_0    syn_dword[917].bit._00
#define         TPOFIST_1    syn_dword[917].bit._01
#define         TPOFIST_2    syn_dword[917].bit._02
#define         TPOFIST_3    syn_dword[917].bit._03
#define         TPOFIST_4    syn_dword[917].bit._04
#define         TPOFIST_5    syn_dword[917].bit._05
#define         TPOFIST_6    syn_dword[917].bit._06
#define         TPOFIST_7    syn_dword[917].bit._07
#define         TPOFIST_8    syn_dword[917].bit._08
#define         TPOFIST_9    syn_dword[917].bit._09
#define         TPOFIST_10   syn_dword[917].bit._10
#define         TPOFIST_11   syn_dword[917].bit._11
#define         TPOFIST_12   syn_dword[917].bit._12
#define         TPOFIST_13   syn_dword[917].bit._13
#define         TPOFIST_14   syn_dword[917].bit._14
#define         TPOFIST_15   syn_dword[917].bit._15
// nuovo muro err n.ro 1
#define         TPOFNWE1	 syn_dword[918].u
#define         TPOFNWE1_0    syn_dword[918].bit._00
#define         TPOFNWE1_1    syn_dword[918].bit._01
#define         TPOFNWE1_2    syn_dword[918].bit._02
#define         TPOFNWE1_3    syn_dword[918].bit._03
#define         TPOFNWE1_4    syn_dword[918].bit._04
#define         TPOFNWE1_5    syn_dword[918].bit._05
#define         TPOFNWE1_6    syn_dword[918].bit._06
#define         TPOFNWE1_7    syn_dword[918].bit._07
#define         TPOFNWE1_8    syn_dword[918].bit._08
#define         TPOFNWE1_9    syn_dword[918].bit._09
#define         TPOFNWE1_10   syn_dword[918].bit._10
#define         TPOFNWE1_11   syn_dword[918].bit._11
#define         TPOFNWE1_12   syn_dword[918].bit._12
#define         TPOFNWE1_13   syn_dword[918].bit._13
#define         TPOFNWE1_14   syn_dword[918].bit._14
#define         TPOFNWE1_15   syn_dword[918].bit._15


#define AX_ORIG_SA_0		syn_dword[919].i
#define AX_ORIG_SA_1		syn_dword[920].i
#define AX_ORIG_SA_2		syn_dword[921].i
#define AX_ORIG_SA_3		syn_dword[922].i
#define AX_ORIG_SA_4		syn_dword[923].i
#define AX_ORIG_SA_5		syn_dword[924].i
#define AX_ORIG_SA_6		syn_dword[925].i
#define AX_ORIG_SA_7		syn_dword[926].i
#define AX_ORIG_SA_8		syn_dword[927].i
#define AX_ORIG_SA_9		syn_dword[928].i
#define AX_ORIG_SA_10		syn_dword[929].i
#define AX_ORIG_SA_11		syn_dword[930].i
#define AX_ORIG_SA_12		syn_dword[931].i
#define AX_ORIG_SA_13		syn_dword[932].i
#define AX_ORIG_SA_14		syn_dword[933].i
#define AX_ORIG_SA_15		syn_dword[934].i
#define AX_ORIGNT_SA_0		syn_dword[935].i
#define AX_ORIGNT_SA_1		syn_dword[936].i
#define AX_ORIGNT_SA_2		syn_dword[937].i
#define AX_ORIGNT_SA_3		syn_dword[938].i
#define AX_ORIGNT_SA_4		syn_dword[939].i
#define AX_ORIGNT_SA_5		syn_dword[940].i
#define AX_ORIGNT_SA_6		syn_dword[941].i
#define AX_ORIGNT_SA_7		syn_dword[942].i
#define AX_ORIGNT_SA_8		syn_dword[943].i
#define AX_ORIGNT_SA_9		syn_dword[944].i
#define AX_ORIGNT_SA_10		syn_dword[945].i
#define AX_ORIGNT_SA_11		syn_dword[946].i
#define AX_ORIGNT_SA_12		syn_dword[947].i
#define AX_ORIGNT_SA_13		syn_dword[948].i
#define AX_ORIGNT_SA_14		syn_dword[949].i
#define AX_ORIGNT_SA_15		syn_dword[950].i
#define AX_ORIGOTT_SA_0		syn_dword[951].i
#define AX_ORIGOTT_SA_1		syn_dword[952].i
#define AX_ORIGOTT_SA_2		syn_dword[953].i
#define AX_ORIGOTT_SA_3		syn_dword[954].i
#define AX_ORIGOTT_SA_4		syn_dword[955].i
#define AX_ORIGOTT_SA_5		syn_dword[956].i
#define AX_ORIGOTT_SA_6		syn_dword[957].i
#define AX_ORIGOTT_SA_7		syn_dword[958].i
#define AX_ORIGOTT_SA_8		syn_dword[959].i
#define AX_ORIGOTT_SA_9		syn_dword[960].i
#define AX_ORIGOTT_SA_10		syn_dword[961].i
#define AX_ORIGOTT_SA_11		syn_dword[962].i
#define AX_ORIGOTT_SA_12		syn_dword[963].i
#define AX_ORIGOTT_SA_13		syn_dword[964].i
#define AX_ORIGOTT_SA_14		syn_dword[965].i
#define AX_ORIGOTT_SA_15		syn_dword[966].i
#define AX_LATCHMARK_U syn_dword[967].u
#define AX_LATCHMARK_0 syn_dword[967].bit._00
#define AX_LATCHMARK_1 syn_dword[967].bit._01
#define AX_LATCHMARK_2 syn_dword[967].bit._02
#define AX_LATCHMARK_3 syn_dword[967].bit._03
#define AX_LATCHMARK_4 syn_dword[967].bit._04
#define AX_LATCHMARK_5 syn_dword[967].bit._05
#define AX_LATCHMARK_6 syn_dword[967].bit._06
#define AX_LATCHMARK_7 syn_dword[967].bit._07
#define AX_LATCHMARK_8 syn_dword[967].bit._08
#define AX_LATCHMARK_9 syn_dword[967].bit._09
#define AX_LATCHMARK_10 syn_dword[967].bit._10
#define AX_LATCHMARK_11 syn_dword[967].bit._11
#define AX_LATCHMARK_12 syn_dword[967].bit._12
#define AX_LATCHMARK_13 syn_dword[967].bit._13
#define AX_LATCHMARK_14 syn_dword[967].bit._14
#define AX_LATCHMARK_15 syn_dword[967].bit._15
#define AX_QAM_SA_0		syn_dword[968].i
#define AX_QAM_SA_1		syn_dword[969].i
#define AX_QAM_SA_2		syn_dword[970].i
#define AX_QAM_SA_3		syn_dword[971].i
#define AX_QAM_SA_4		syn_dword[972].i
#define AX_QAM_SA_5		syn_dword[973].i
#define AX_QAM_SA_6		syn_dword[974].i
#define AX_QAM_SA_7		syn_dword[975].i
#define AX_QAM_SA_8		syn_dword[976].i
#define AX_QAM_SA_9		syn_dword[977].i
#define AX_QAM_SA_10		syn_dword[978].i
#define AX_QAM_SA_11		syn_dword[979].i
#define AX_QAM_SA_12		syn_dword[980].i
#define AX_QAM_SA_13		syn_dword[981].i
#define AX_QAM_SA_14		syn_dword[982].i
#define AX_QAM_SA_15		syn_dword[983].i
#define AX_QUOTAOT_SA_0		syn_dword[984].i
#define AX_QUOTAOT_SA_1		syn_dword[985].i
#define AX_QUOTAOT_SA_2		syn_dword[986].i
#define AX_QUOTAOT_SA_3		syn_dword[987].i
#define AX_QUOTAOT_SA_4		syn_dword[988].i
#define AX_QUOTAOT_SA_5		syn_dword[989].i
#define AX_QUOTAOT_SA_6		syn_dword[990].i
#define AX_QUOTAOT_SA_7		syn_dword[991].i
#define AX_QUOTAOT_SA_8		syn_dword[992].i
#define AX_QUOTAOT_SA_9		syn_dword[993].i
#define AX_QUOTAOT_SA_10	syn_dword[994].i
#define AX_QUOTAOT_SA_11	syn_dword[995].i
#define AX_QUOTAOT_SA_12	syn_dword[996].i
#define AX_QUOTAOT_SA_13	syn_dword[997].i
#define AX_QUOTAOT_SA_14	syn_dword[998].i
#define AX_QUOTAOT_SA_15	syn_dword[999].i
#define AX_ORGZM_SA_0		syn_dword[1000].i
#define AX_ORGZM_SA_1		syn_dword[1001].i
#define AX_ORGZM_SA_2		syn_dword[1002].i
#define AX_ORGZM_SA_3		syn_dword[1003].i
#define AX_ORGZM_SA_4		syn_dword[1004].i
#define AX_ORGZM_SA_5		syn_dword[1005].i
#define AX_ORGZM_SA_6		syn_dword[1006].i
#define AX_ORGZM_SA_7		syn_dword[1007].i
#define AX_ORGZM_SA_8		syn_dword[1008].i
#define AX_ORGZM_SA_9		syn_dword[1009].i
#define AX_ORGZM_SA_10		syn_dword[1010].i
#define AX_ORGZM_SA_11		syn_dword[1011].i
#define AX_ORGZM_SA_12		syn_dword[1012].i
#define AX_ORGZM_SA_13		syn_dword[1013].i
#define AX_ORGZM_SA_14		syn_dword[1014].i
#define AX_ORGZM_SA_15		syn_dword[1015].i

#define ETH_ERRCOM_0		syn_dword[1016].u
#define ETH_ERRCOM_1		syn_dword[1017].u
#define ETH_ERRCOM_2		syn_dword[1018].u
#define ETH_ERRCOM_3		syn_dword[1019].u
#define ETH_ERRCOM_4		syn_dword[1020].u
#define ETH_ERRCOM_5		syn_dword[1021].u
#define ETH_ERRCOM_6		syn_dword[1022].u

// Segnali a bit da utilizzare nel PLC quick
// per acquisizione dati CNC realtime.
#define SIG_U syn_dword[1023].u
#define SIGBIT_0 syn_dword[1023].bit._00
#define SIGBIT_1 syn_dword[1023].bit._01
#define SIGBIT_2 syn_dword[1023].bit._02
#define SIGBIT_3 syn_dword[1023].bit._03
#define SIGBIT_4 syn_dword[1023].bit._04
#define SIGBIT_5 syn_dword[1023].bit._05
#define SIGBIT_6 syn_dword[1023].bit._06
#define SIGBIT_7 syn_dword[1023].bit._07
#define SIGBIT_8 syn_dword[1023].bit._08
#define SIGBIT_9 syn_dword[1023].bit._09
#define SIGBIT_10 syn_dword[1023].bit._10
#define SIGBIT_11 syn_dword[1023].bit._11
#define SIGBIT_12 syn_dword[1023].bit._12
#define SIGBIT_13 syn_dword[1023].bit._13
#define SIGBIT_14 syn_dword[1023].bit._14
#define SIGBIT_15 syn_dword[1023].bit._15


// Master slave torque coupling: master init stress value
#define MSTC_ISVAL_M_0  syn_dword[1024].i
#define MSTC_ISVAL_M_1  syn_dword[1025].i
#define MSTC_ISVAL_M_2  syn_dword[1026].i
#define MSTC_ISVAL_M_3  syn_dword[1027].i
#define MSTC_ISVAL_M_4  syn_dword[1028].i
#define MSTC_ISVAL_M_5  syn_dword[1029].i
#define MSTC_ISVAL_M_6  syn_dword[1030].i
#define MSTC_ISVAL_M_7  syn_dword[1031].i
#define MSTC_ISVAL_M_8  syn_dword[1032].i
#define MSTC_ISVAL_M_9  syn_dword[1033].i
#define MSTC_ISVAL_M_10 syn_dword[1034].i
#define MSTC_ISVAL_M_11 syn_dword[1035].i
#define MSTC_ISVAL_M_12 syn_dword[1036].i
#define MSTC_ISVAL_M_13 syn_dword[1037].i
#define MSTC_ISVAL_M_14 syn_dword[1038].i
#define MSTC_ISVAL_M_15 syn_dword[1039].i

// Master slave torque coupling: slave init stress value
#define MSTC_ISVAL_S_0  syn_dword[1040].i
#define MSTC_ISVAL_S_1  syn_dword[1041].i
#define MSTC_ISVAL_S_2  syn_dword[1042].i
#define MSTC_ISVAL_S_3  syn_dword[1043].i
#define MSTC_ISVAL_S_4  syn_dword[1044].i
#define MSTC_ISVAL_S_5  syn_dword[1045].i
#define MSTC_ISVAL_S_6  syn_dword[1046].i
#define MSTC_ISVAL_S_7  syn_dword[1047].i
#define MSTC_ISVAL_S_8  syn_dword[1048].i
#define MSTC_ISVAL_S_9  syn_dword[1049].i
#define MSTC_ISVAL_S_10 syn_dword[1050].i
#define MSTC_ISVAL_S_11 syn_dword[1051].i
#define MSTC_ISVAL_S_12 syn_dword[1052].i
#define MSTC_ISVAL_S_13 syn_dword[1053].i
#define MSTC_ISVAL_S_14 syn_dword[1054].i
#define MSTC_ISVAL_S_15 syn_dword[1055].i

#define MSTC_CNT01 syn_dword[1056].u
#define MSTC_CNT02 syn_dword[1057].u
#define ETHRES_OPSEQ  syn_dword[1058].i
#define ETHRES_ANAOUT syn_dword[1059].u
#define ETHRES_DIGOUT syn_dword[1060].u
#define ETHRES_OUT syn_dword[1061].u
#define ETHRES_AXS syn_dword[1062].u
#define ETHRES_TX syn_dword[1063].u

// TVDM
#define TVDM_VAL_0  syn_dword[1064].i
#define TVDM_VAL_1  syn_dword[1065].i
#define TVDM_VAL_2  syn_dword[1066].i
#define TVDM_VAL_3  syn_dword[1067].i
#define TVDM_VAL_4  syn_dword[1068].i
#define TVDM_VAL_5  syn_dword[1069].i
#define TVDM_VAL_6  syn_dword[1070].i
#define TVDM_VAL_7  syn_dword[1071].i
#define TVDM_VAL_8  syn_dword[1072].i
#define TVDM_VAL_9  syn_dword[1073].i
#define TVDM_VAL_10 syn_dword[1074].i
#define TVDM_VAL_11 syn_dword[1075].i
#define TVDM_VAL_12 syn_dword[1076].i
#define TVDM_VAL_13 syn_dword[1077].i
#define TVDM_VAL_14 syn_dword[1078].i
#define TVDM_VAL_15 syn_dword[1079].i
// TVDS
#define TVDES_VAL_0  syn_dword[1080].i
#define TVDES_VAL_1  syn_dword[1081].i
#define TVDES_VAL_2  syn_dword[1082].i
#define TVDES_VAL_3  syn_dword[1083].i
#define TVDES_VAL_4  syn_dword[1084].i
#define TVDES_VAL_5  syn_dword[1085].i
#define TVDES_VAL_6  syn_dword[1086].i
#define TVDES_VAL_7  syn_dword[1087].i
#define TVDES_VAL_8  syn_dword[1088].i
#define TVDES_VAL_9  syn_dword[1089].i
#define TVDES_VAL_10 syn_dword[1090].i
#define TVDES_VAL_11 syn_dword[1091].i
#define TVDES_VAL_12 syn_dword[1092].i
#define TVDES_VAL_13 syn_dword[1093].i
#define TVDES_VAL_14 syn_dword[1094].i
#define TVDES_VAL_15 syn_dword[1095].i
// stato di asse in modo velocita'
#define IS_VELMODE_AX    syn_dword[1096].u
#define IS_VELMODE_AX_0  syn_dword[1096].bit._00
#define IS_VELMODE_AX_1  syn_dword[1096].bit._01
#define IS_VELMODE_AX_2  syn_dword[1096].bit._02
#define IS_VELMODE_AX_3  syn_dword[1096].bit._03
#define IS_VELMODE_AX_4  syn_dword[1096].bit._04
#define IS_VELMODE_AX_5  syn_dword[1096].bit._05
#define IS_VELMODE_AX_6  syn_dword[1096].bit._06
#define IS_VELMODE_AX_7  syn_dword[1096].bit._07
#define IS_VELMODE_AX_8  syn_dword[1096].bit._08
#define IS_VELMODE_AX_9  syn_dword[1096].bit._09
#define IS_VELMODE_AX_10 syn_dword[1096].bit._10
#define IS_VELMODE_AX_11 syn_dword[1096].bit._11
#define IS_VELMODE_AX_12 syn_dword[1096].bit._12
#define IS_VELMODE_AX_13 syn_dword[1096].bit._13
#define IS_VELMODE_AX_14 syn_dword[1096].bit._14
#define IS_VELMODE_AX_15 syn_dword[1096].bit._15


#define DBG_00 syn_dword[1097].i
#define DBG_01 syn_dword[1098].i
#define DBG_02 syn_dword[1099].i
#define DBG_03 syn_dword[1100].i
#define DBG_04 syn_dword[1101].i
#define DBG_05 syn_dword[1102].i
#define DBG_06 syn_dword[1103].i
#define DBG_07 syn_dword[1104].i
#define DBG_08 syn_dword[1105].i
#define DBG_09 syn_dword[1106].i
#define DBG_10 syn_dword[1107].i
#define DBG_11 syn_dword[1108].i
#define DBG_12 syn_dword[1109].i
#define DBG_13 syn_dword[1110].i
#define DBG_14 syn_dword[1111].i
#define DBG_15 syn_dword[1112].i
/******************************************************************/
/******************************************************************/



/*************************************************************/
/* Definizione dei sinonimi WORD (da 0 a MAX_SYN_WORD-1=511) */
/*************************************************************/
/* Numero di assi configurati (Dato di TARATURA) */
#define AXES_NUM syn_word[0].u

#define DBG_BI_CIRC_1 syn_word[1].u

/* [n.TAU], Numero numero di cicli TAU per ogni TPLC (Dato di TARATURA) */
#define N_TAUPLC syn_word[2].u

#define DBG_BI_CIRC_2 syn_word[3].u

// Tempo di sw assi espresso in microsecondi.
#define TIM_INT syn_word[4].u
// Tempo del ciclo di comunicazione ethercat espresso in microsecondi.
#define TIM_ETH syn_word[5].u

#define DBG_BI_CIRC_3 syn_word[6].u

// Identifica emissione errore tempo di interpolazione troppo lungo.
#define ERR_SYSTIM_IS syn_word[7].u
// Identifica emissione errore analisi frame ethercat.
#define ERR_SYSTIM_EA syn_word[8].u
// Tempo massimo di sw assi espresso in microsecondi.
#define TIM_INT_MAX syn_word[9].u
// Tempo massimo del ciclo di comunicazione ethercat espresso in microsecondi.
// ethercat non in fase operazionale.
#define TIM_ETH_MAX syn_word[10].u
// Tempo massimo del ciclo di comunicazione ethercat espresso in microsecondi.
// ethercat in fase operazionale.
#define TIM_ETH_OP_MAX syn_word[11].u
#define TIM_QAL syn_word[12].u
#define TIM_QAL_MAX syn_word[13].u

// Stato degli ingressi analogici e digitali.
#define STATUS_DG_INPUT  syn_word[14].u
// Tempo del realtime espresso in microsecondi.
#define TIM_RT syn_word[15].u
// Tempo massimo del realtime espresso in microsecondi.
#define TIM_RT_MAX syn_word[16].u

#define DBG_TRAVAS_1 syn_word[17].u
#define DBG_TRAVAS_2 syn_word[18].u

#define TIM_INT_MIN syn_word[19].u
#define TIM_ETH_MIN syn_word[20].u
#define TIM_ETH_OP_MIN syn_word[21].u
#define TIM_QAL_MIN syn_word[22].u
#define TIM_RT_MIN syn_word[23].u

#define DBG_TRAVAS_3 syn_word[24].u

// Tempo della tastiera di macchina.
#define TIM_TAS syn_word[25].u
#define TIM_TAS_MIN syn_word[26].u
#define TIM_TAS_MAX syn_word[27].u
// Inizio misura tempo della tastiera di macchina.
#define TIM_INI_TAS syn_word[28].u
#define TIM_INI_TAS_MIN syn_word[29].u
#define TIM_INI_TAS_MAX syn_word[30].u
// Inizio misura tempo del sw assi.
#define TIM_INI_INT syn_word[31].u
#define TIM_INI_INT_MIN syn_word[32].u
#define TIM_INI_INT_MAX syn_word[33].u
// Inizio misura tempo del qal.
#define TIM_INI_QAL syn_word[34].u
#define TIM_INI_QAL_MIN syn_word[35].u
#define TIM_INI_QAL_MAX syn_word[36].u
// Tempi babut.
#define TIM_IBB syn_word[37].u
#define TIM_IBB_MIN syn_word[38].u
#define TIM_IBB_MAX syn_word[39].u
#define TIM_INI_IBB syn_word[40].u
#define TIM_INI_IBB_MIN syn_word[41].u
#define TIM_INI_IBB_MAX syn_word[42].u

#define DBG_TRAVAS_4 syn_word[43].u
#define DBG_CHGBMA_1 syn_word[44].u
#define DBG_TASMU_1  syn_word[45].u

#define TIM_SA1			syn_word[46].u
#define TIM_SA1_MIN		syn_word[47].u
#define TIM_SA1_MAX		syn_word[48].u
#define TIM_INI_SA1		syn_word[49].u
#define TIM_INI_SA1_MIN	syn_word[50].u
#define TIM_INI_SA1_MAX	syn_word[51].u
#define TIM_SA2			syn_word[52].u
#define TIM_SA2_MIN		syn_word[53].u
#define TIM_SA2_MAX		syn_word[54].u
#define TIM_INI_SA2		syn_word[55].u
#define TIM_INI_SA2_MIN	syn_word[56].u
#define TIM_INI_SA2_MAX	syn_word[57].u
#define TIM_WAIT_ETH	syn_word[58].u
#define TIM_WAIT_ETH_MIN	syn_word[59].u
#define TIM_WAIT_ETH_MAX	syn_word[60].u
#define TIM_WAIT_OVF	syn_word[61].u
#define TIM_INI_WETH_MIN syn_word[62].u
#define TIM_INI_WETH_MAX syn_word[63].u

// Sincronismo tra task ethercat e timer di sistema.
#define NOTEND_TASKETH syn_word[64].u

#define TIM_QALQUICK     syn_word[65].u
#define TIM_QALQUICK_MAX syn_word[66].u
#define TIM_QALQUICK_MIN syn_word[67].u


/* Per ASSI */

/* Numero d'ordine degli assi (Dato di TARATURA) */
#define N_ORD_AX_0  syn_word[100].u
#define N_ORD_AX_1  syn_word[101].u
#define N_ORD_AX_2  syn_word[102].u
#define N_ORD_AX_3  syn_word[103].u
#define N_ORD_AX_4  syn_word[104].u
#define N_ORD_AX_5  syn_word[105].u
#define N_ORD_AX_6  syn_word[106].u
#define N_ORD_AX_7  syn_word[107].u
#define N_ORD_AX_8  syn_word[108].u
#define N_ORD_AX_9  syn_word[109].u
#define N_ORD_AX_10 syn_word[110].u
#define N_ORD_AX_11 syn_word[111].u
#define N_ORD_AX_12 syn_word[112].u
#define N_ORD_AX_13 syn_word[113].u
#define N_ORD_AX_14 syn_word[114].u
#define N_ORD_AX_15 syn_word[115].u

/* Direzione dell'asse 1-2-3 (Dato di TARATURA) */
#define DRZTAR_AX_0  syn_word[116].u
#define DRZTAR_AX_1  syn_word[117].u
#define DRZTAR_AX_2  syn_word[118].u
#define DRZTAR_AX_3  syn_word[119].u
#define DRZTAR_AX_4  syn_word[120].u
#define DRZTAR_AX_5  syn_word[121].u
#define DRZTAR_AX_6  syn_word[122].u
#define DRZTAR_AX_7  syn_word[123].u
#define DRZTAR_AX_8  syn_word[124].u
#define DRZTAR_AX_9  syn_word[125].u
#define DRZTAR_AX_10 syn_word[126].u
#define DRZTAR_AX_11 syn_word[127].u
#define DRZTAR_AX_12 syn_word[128].u
#define DRZTAR_AX_13 syn_word[129].u
#define DRZTAR_AX_14 syn_word[130].u
#define DRZTAR_AX_15 syn_word[131].u

/* Direzione dell'asse 1-2-3 (Dato ATTUALE) */
#define DRZ_AX_0  syn_word[132].u
#define DRZ_AX_1  syn_word[133].u
#define DRZ_AX_2  syn_word[134].u
#define DRZ_AX_3  syn_word[135].u
#define DRZ_AX_4  syn_word[136].u
#define DRZ_AX_5  syn_word[137].u
#define DRZ_AX_6  syn_word[138].u
#define DRZ_AX_7  syn_word[139].u
#define DRZ_AX_8  syn_word[140].u
#define DRZ_AX_9  syn_word[141].u
#define DRZ_AX_10 syn_word[142].u
#define DRZ_AX_11 syn_word[143].u
#define DRZ_AX_12 syn_word[144].u
#define DRZ_AX_13 syn_word[145].u
#define DRZ_AX_14 syn_word[146].u
#define DRZ_AX_15 syn_word[147].u

/* Valore del KPT = Fattore scala SW dei conti trasduttore (Dato di TARATURA) */
#define KPT_AX_0  syn_word[148].u
#define KPT_AX_1  syn_word[149].u
#define KPT_AX_2  syn_word[150].u
#define KPT_AX_3  syn_word[151].u
#define KPT_AX_4  syn_word[152].u
#define KPT_AX_5  syn_word[153].u
#define KPT_AX_6  syn_word[154].u
#define KPT_AX_7  syn_word[155].u
#define KPT_AX_8  syn_word[156].u
#define KPT_AX_9  syn_word[157].u
#define KPT_AX_10 syn_word[158].u
#define KPT_AX_11 syn_word[159].u
#define KPT_AX_12 syn_word[160].u
#define KPT_AX_13 syn_word[161].u
#define KPT_AX_14 syn_word[162].u
#define KPT_AX_15 syn_word[163].u
/******************************************************************/

/* Riferimento inviato verso gli assi del cnc*/
#define AX_REFDAC_0	syn_word[164].i
#define AX_REFDAC_1	syn_word[165].i	
#define AX_REFDAC_2	syn_word[166].i	
#define AX_REFDAC_3	syn_word[167].i	
#define AX_REFDAC_4	syn_word[168].i	
#define AX_REFDAC_5	syn_word[169].i		
#define AX_REFDAC_6	syn_word[170].i		
#define AX_REFDAC_7	syn_word[171].i		
#define AX_REFDAC_8	syn_word[172].i		
#define AX_REFDAC_9	syn_word[173].i		
#define AX_REFDAC_10 syn_word[174].i			
#define AX_REFDAC_11 syn_word[175].i		
#define AX_REFDAC_12 syn_word[176].i		
#define AX_REFDAC_13 syn_word[177].i		
#define AX_REFDAC_14 syn_word[178].i			
#define AX_REFDAC_15 syn_word[179].i		

/******************************************************************/

/* Status word dei drive (visibile al plc)						  */

#define DSTATUSW_0 syn_word[180].i
#define DSTATUSW_1 syn_word[181].i
#define DSTATUSW_2 syn_word[182].i
#define DSTATUSW_3 syn_word[183].i
#define DSTATUSW_4 syn_word[184].i
#define DSTATUSW_5 syn_word[185].i
#define DSTATUSW_6 syn_word[186].i
#define DSTATUSW_7 syn_word[187].i
#define DSTATUSW_8 syn_word[188].i
#define DSTATUSW_9 syn_word[189].i
#define DSTATUSW_10 syn_word[190].i
#define DSTATUSW_11 syn_word[191].i
#define DSTATUSW_12 syn_word[192].i
#define DSTATUSW_13 syn_word[193].i
#define DSTATUSW_14 syn_word[194].i
#define DSTATUSW_15 syn_word[195].i

/* Coppia attuale nei drive (visibile al plc)						  */

#define AX_TORQUE_0  syn_word[196].i
#define AX_TORQUE_1  syn_word[197].i
#define AX_TORQUE_2  syn_word[198].i
#define AX_TORQUE_3  syn_word[199].i
#define AX_TORQUE_4  syn_word[200].i
#define AX_TORQUE_5  syn_word[201].i
#define AX_TORQUE_6  syn_word[202].i
#define AX_TORQUE_7  syn_word[203].i
#define AX_TORQUE_8  syn_word[204].i
#define AX_TORQUE_9  syn_word[205].i
#define AX_TORQUE_10 syn_word[206].i
#define AX_TORQUE_11 syn_word[207].i
#define AX_TORQUE_12 syn_word[208].i
#define AX_TORQUE_13 syn_word[209].i
#define AX_TORQUE_14 syn_word[210].i
#define AX_TORQUE_15 syn_word[211].i

#define ETH_EOE_W01  syn_word[212].i
#define ETH_EOE_W02  syn_word[213].i
#define ETH_EOE_W03  syn_word[214].i
#define ETH_EOE_W04  syn_word[215].i
#define ETH_EOE_W05  syn_word[216].i
#define ETH_EOE_W06  syn_word[217].i
#define ETH_EOE_W07  syn_word[218].i
#define ETH_EOE_W08  syn_word[219].i
#define ETH_EOE_W09  syn_word[220].i
#define ETH_EOE_W10  syn_word[221].i
#define ETH_EOE_W11  syn_word[222].i
#define ETH_EOE_W12  syn_word[223].i
#define ETH_EOE_W13  syn_word[224].i
#define ETH_EOE_W14  syn_word[225].i
#define ETH_EOE_W15  syn_word[226].i

#define TMU_DATORX_0  syn_word[227].u
#define TMU_DATORX_1  syn_word[228].u
#define TMU_DATORX_2  syn_word[229].u
#define TMU_DATORX_3  syn_word[230].u
#define TMU_DATORX_4  syn_word[231].u
#define TMU_DATORX_5  syn_word[232].u
#define TMU_DATORX_6  syn_word[233].u
#define TMU_DATORX_7  syn_word[234].u
#define TMU_DATOTX_0  syn_word[235].u
#define TMU_DATOTX_1  syn_word[236].u
#define TMU_DATOTX_2  syn_word[237].u
#define TMU_DATOTX_3  syn_word[238].u
#define TMU_DATOTX_4  syn_word[239].u
#define TMU_DATOTX_5  syn_word[240].u
#define TMU_DATOTX_6  syn_word[241].u
#define TMU_DATOTX_7  syn_word[242].u

#define TMU_DATAREL1  syn_word[243].u
#define TMU_DATAREL2  syn_word[244].u
#define TMU_QUOTAVOL  syn_word[245].i
#define TMU_OVERR1    syn_word[246].i
#define TMU_OVERR2    syn_word[247].i
#define TMU_OVERR3    syn_word[248].i
#define TMU_JOYSTICKX syn_word[249].i
#define TMU_JOYSTICKY syn_word[251].i
#define TMU_JOYSTICKZ syn_word[252].i
#define TMU_KEY00_15  syn_word[253].u
#define TMU_KEY16_31  syn_word[254].u
#define TMU_KEY32_47  syn_word[255].u
#define TMU_KEY48_63  syn_word[256].u
#define TMU_ADDRESS_K syn_word[257].i
#define TMU_ADDRESS_L syn_word[258].i
#define TMU_ERRVAL syn_word[259].u
#define TP_STATUS syn_word[260].u
#define TP_I syn_word[261].u
#define TP_O syn_word[262].u
#define TP_ES syn_word[263].u
#define TP_EC syn_word[264].u
#define TP_RET syn_word[265].u
#define TP_EM syn_word[266].u
#define TP_RET1 syn_word[267].u
#define ALTEXE_COUNTER syn_word[268].u

/* Diag data dei Profibus DP slaves e del Master					  */
#define EL6731_BEC	syn_word[269].u		//Bus Error Counter
#define EL6731_CC   syn_word[270].u		//Cycle Counter
#define EL6731_SEC	syn_word[271].u		//Slave Error Counter
#define EL6731_ACT	syn_word[272].u		//Actual Cycle Time
#define EL6731_RC	syn_word[272].u		//Repeat Counter
#define EL6731_BITS	syn_word[273].u		//Other flags...
/*
#define PB_DIAG_06  syn_word[274].u
#define PB_DIAG_07	syn_word[275].u
#define PB_DIAG_08	syn_word[276].u
#define PB_DIAG_09	syn_word[277].u
#define PB_DIAG_10	syn_word[278].u
#define PB_DIAG_11  syn_word[279].u
#define PB_DIAG_12	syn_word[280].u
#define PB_DIAG_13	syn_word[281].u
#define PB_DIAG_14	syn_word[282].u
#define PB_DIAG_15	syn_word[283].u
#define PB_DIAG_16  syn_word[284].u
#define PB_DIAG_17	syn_word[285].u
#define PB_DIAG_18	syn_word[286].u
#define PB_DIAG_19	syn_word[287].u
#define PB_DIAG_20	syn_word[288].u
#define PB_DIAG_21  syn_word[289].u
#define PB_DIAG_22	syn_word[290].u
#define PB_DIAG_23	syn_word[291].u
#define PB_DIAG_24	syn_word[292].u
#define PB_DIAG_25	syn_word[293].u
#define PB_DIAG_26  syn_word[294].u
#define PB_DIAG_27	syn_word[295].u
#define PB_DIAG_28	syn_word[296].u
#define PB_DIAG_29	syn_word[297].u
#define PB_DIAG_30	syn_word[298].u
#define PB_DIAG_31  syn_word[299].u
#define PB_DIAG_32	syn_word[300].u
#define PB_DIAG_33	syn_word[301].u
#define PB_DIAG_34	syn_word[302].u
#define PB_DIAG_35	syn_word[303].u
#define PB_DIAG_36  syn_word[304].u
#define PB_DIAG_37	syn_word[305].u
#define PB_DIAG_38	syn_word[306].u
#define PB_DIAG_39	syn_word[307].u
#define PB_DIAG_40	syn_word[308].u
#define PB_DIAG_41  syn_word[309].u
#define PB_DIAG_42	syn_word[310].u
#define PB_DIAG_43	syn_word[311].u
#define PB_DIAG_44	syn_word[312].u
#define PB_DIAG_45	syn_word[313].u
#define PB_DIAG_46  syn_word[314].u
#define PB_DIAG_47	syn_word[315].u
#define PB_DIAG_48	syn_word[316].u
#define PB_DIAG_49	syn_word[317].u */

/**/
#define B1T_W	syn_word[318].u
#define SB10B1G_W	syn_word[319].u

/******************************************************************/

/*************************************************************/
/* Definizione dei sinonimi BYTE (da 0 a MAX_SYN_BYTE-1=511) */
/*************************************************************/

/* Nome dell'asse (Dato di TARATURA) */
#define NAM_AX_0  syn_byte[100].i
#define NAM_AX_1  syn_byte[101].i
#define NAM_AX_2  syn_byte[102].i
#define NAM_AX_3  syn_byte[103].i
#define NAM_AX_4  syn_byte[104].i
#define NAM_AX_5  syn_byte[105].i
#define NAM_AX_6  syn_byte[106].i
#define NAM_AX_7  syn_byte[107].i
#define NAM_AX_8  syn_byte[108].i
#define NAM_AX_9  syn_byte[109].i
#define NAM_AX_10 syn_byte[110].i
#define NAM_AX_11 syn_byte[111].i
#define NAM_AX_12 syn_byte[112].i
#define NAM_AX_13 syn_byte[113].i
#define NAM_AX_14 syn_byte[114].i
#define NAM_AX_15 syn_byte[115].i

/* Numero DP Slaves Profibus con stato diverso da zero dei singoli master PB */
#define EL6731_ERROR  syn_byte[120].u
//#define EL6731_Error_00  syn_byte[120].u
//#define EL6731_Error_01  syn_byte[121].u
//#define EL6731_Error_02  syn_byte[122].u
//#define EL6731_Error_03  syn_byte[123].u
//#define EL6731_Error_04  syn_byte[124].u
//#define EL6731_Error_05  syn_byte[125].u
//#define EL6731_Error_06  syn_byte[126].u
//#define EL6731_Error_07  syn_byte[127].u

/* Stato dei primi 63 DP Slaves Profibus */
#define STATE_DP_00  syn_byte[130].u
#define STATE_DP_01  syn_byte[131].u
#define STATE_DP_02  syn_byte[132].u
#define STATE_DP_03  syn_byte[133].u
#define STATE_DP_04  syn_byte[134].u
#define STATE_DP_05  syn_byte[135].u
#define STATE_DP_06  syn_byte[136].u 
#define STATE_DP_07  syn_byte[137].u
#define STATE_DP_08  syn_byte[138].u
#define STATE_DP_09  syn_byte[139].u
#define STATE_DP_10  syn_byte[140].u
#define STATE_DP_11  syn_byte[141].u
#define STATE_DP_12  syn_byte[142].u
#define STATE_DP_13  syn_byte[143].u
#define STATE_DP_14  syn_byte[144].u
#define STATE_DP_15  syn_byte[145].u
#define STATE_DP_16  syn_byte[146].u
#define STATE_DP_17  syn_byte[147].u
#define STATE_DP_18  syn_byte[148].u
#define STATE_DP_19  syn_byte[149].u
#define STATE_DP_20  syn_byte[150].u
#define STATE_DP_21  syn_byte[151].u
#define STATE_DP_22  syn_byte[152].u
#define STATE_DP_23  syn_byte[153].u
#define STATE_DP_24  syn_byte[154].u
#define STATE_DP_25  syn_byte[155].u
#define STATE_DP_26  syn_byte[156].u
#define STATE_DP_27  syn_byte[157].u
#define STATE_DP_28  syn_byte[158].u
#define STATE_DP_29  syn_byte[159].u
#define STATE_DP_30  syn_byte[160].u
#define STATE_DP_31  syn_byte[161].u
#define STATE_DP_32  syn_byte[162].u
#define STATE_DP_33  syn_byte[163].u
#define STATE_DP_34  syn_byte[164].u
#define STATE_DP_35  syn_byte[165].u
#define STATE_DP_36  syn_byte[166].u
#define STATE_DP_37  syn_byte[167].u
#define STATE_DP_38  syn_byte[168].u
#define STATE_DP_39  syn_byte[169].u
#define STATE_DP_40  syn_byte[170].u
#define STATE_DP_41  syn_byte[171].u
#define STATE_DP_42  syn_byte[172].u
#define STATE_DP_43  syn_byte[173].u
#define STATE_DP_44  syn_byte[174].u
#define STATE_DP_45  syn_byte[175].u
#define STATE_DP_46  syn_byte[176].u
#define STATE_DP_47  syn_byte[177].u
#define STATE_DP_48  syn_byte[178].u
#define STATE_DP_49  syn_byte[179].u 
#define STATE_DP_50  syn_byte[180].u
#define STATE_DP_51  syn_byte[181].u
#define STATE_DP_52  syn_byte[182].u
#define STATE_DP_53  syn_byte[183].u
#define STATE_DP_54  syn_byte[184].u
#define STATE_DP_55  syn_byte[185].u
#define STATE_DP_56  syn_byte[186].u
#define STATE_DP_57  syn_byte[187].u
#define STATE_DP_58  syn_byte[188].u
#define STATE_DP_59  syn_byte[189].u
#define STATE_DP_60  syn_byte[190].u
#define STATE_DP_61  syn_byte[191].u
#define STATE_DP_62  syn_byte[192].u
/******************************************************************/
/******************************************************************/

#endif /* _SYN_DEF_H_DEFINED */
